/*******************************************************************************
* FILE NAME: i0String.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of classes/functions declared        *
*   in i0String.hpp.                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
extern "C"
  {
  #include <limits.h>
  }

#include <i0string.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _I0STRING_CPP_
  #include <ipagetun.h>
#endif

#pragma data_seg(ICLStaticConst)
const unsigned I0String::notFound = UINT_MAX;
#pragma data_seg()

/*------------------------------------------------------------------------------
| I0String::~I0String                                                          |
------------------------------------------------------------------------------*/
I0String::~I0String( )
{ }
