/**********************************************************************
*                                                                     *
*  IBM(R) VisualAge(TM) for C++ for Windows(R), Version 3.5           *
*                                                                     *
*  PID: 5622-880                                                      *
*  - Licensed Material - Program-Property of IBM                      *
*  (C) Copyright IBM Corp. 1991, 1995 - All Right Reserved.           *
*                                                                     *
*  US Government Users Restricted Rights - Use, duplication or        *
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  *
*                                                                     *
*  VisualAge, and IBM are trademarks or registered trademarks of      *
*  International Business Machines Corporation.                       *
*  Windows is a registered trademark of Microsoft Corporation.        *
*                                                                     *
**********************************************************************/

// ----------------
// ISetOnKeySetImpl
// ----------------

// public members

template <class Base>
inline void
ISetOnKeySetImpl <Base>::
operator= (ISetOnKeySetImpl <Base> const& collection)
{ BaseOf (*this).Base::operator= (BaseOf (collection));
}
#if defined (__LIB_BUILD__)
// private members

template <class Base>
inline Base&
ISetOnKeySetImpl <Base>::
BaseOf (ISetOnKeySetImpl <Base> const& collection)
{ return collection.ivBase;
}

template <class Base>
inline ISetOnKeySetImpl <Base>::Ops&
ISetOnKeySetImpl <Base>::
OpsOf (ISetOnKeySetImpl <Base> const& collection)
{ return (Ops&) Inherited::OpsOf (collection);
}
#endif

// ----------------
// IASetOnKeySetOps
// ----------------

// public members

template <class Base>
inline
IASetOnKeySetOps <Base>::
~IASetOnKeySetOps ()
{
}
