/**********************************************************************
*                                                                     *
*  IBM(R) VisualAge(TM) for C++ for Windows(R), Version 3.5           *
*                                                                     *
*  PID: 5622-880                                                      *
*  - Licensed Material - Program-Property of IBM                      *
*  (C) Copyright IBM Corp. 1991, 1995 - All Right Reserved.           *
*                                                                     *
*  US Government Users Restricted Rights - Use, duplication or        *
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  *
*                                                                     *
*  VisualAge, and IBM are trademarks or registered trademarks of      *
*  International Business Machines Corporation.                       *
*  Windows is a registered trademark of Microsoft Corporation.        *
*                                                                     *
**********************************************************************/

// ---------------------------------
// ISortedRelationOnKeySortedBagImpl
// ---------------------------------

// public members

template <class Base>
inline void
ISortedRelationOnKeySortedBagImpl <Base>::
operator= (ISortedRelationOnKeySortedBagImpl <Base> const& collection)
{ BaseOf (*this).Base::operator= (BaseOf (collection));
}
#if defined (__LIB_BUILD__)

// protected members

template <class Base>
inline IBoolean
ISortedRelationOnKeySortedBagImpl <Base>::
EqualElements (void const* element1, void const* element2) const
{ return OpsOf (*this).EqualElements (element1, element2);
}

// private members

template <class Base>
inline Base&
ISortedRelationOnKeySortedBagImpl <Base>::
BaseOf (ISortedRelationOnKeySortedBagImpl <Base> const& collection)
{ return collection.ivBase;
}

template <class Base>
inline ISortedRelationOnKeySortedBagImpl <Base>::Ops&
ISortedRelationOnKeySortedBagImpl <Base>::
OpsOf (ISortedRelationOnKeySortedBagImpl <Base> const& collection)
{ return (Ops&) IACollectionImpl::OpsOf (collection);
}
#endif

// ---------------------------------
// IASortedRelationOnKeySortedBagOps
// ---------------------------------

// public members

template <class Base>
inline
IASortedRelationOnKeySortedBagOps <Base>::
~IASortedRelationOnKeySortedBagOps ()
{
}
