/* NOSHIP */
/*****************************************************************************
 *
 * Class: CAswADTObjectInstance
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    Wraps CAswObjectInstance for IDispatch programmability, given the
 *    ADT equivalent
 *
 *****************************************************************************/

#ifndef  ASLSADTO_H
#define  ASLSADTO_H
#include <aspack.h>
class ASWPUBCLASS CAswADTObjectInstance : public CAswCOMBase
{
public:
   ASWPUBMETHOD   CAswADTObjectInstance(PASWCONTROL   pControl,
                                        PLSADAPTER    pAdapterRegistry,
                                        LPUNKNOWN     pUnkOuter);
   ASWPUBMETHOD   ~CAswADTObjectInstance();
   CAswResult ASWPUBMETHOD Setup(LSADTCLSIDREF  ridAdtClass, 
                                 LSUSHORT       nFlags,
                                 PILSIADTCONTROL hAdtObj = LSNULL );
   CAswResult ASWPUBMETHOD Shutdown(BOOL fEmergency = FALSE);
   inline PILSIADTCONTROL GetADTHandle( void )
   {
      return m_AswAdtDispatch.GetADTHandle( );
   }
   inline LSADTCLASSID GetADTClassId( void )
   {
      return m_AswAdtDispatch.GetADTClassId();
   }
private:
   ASWAN_DECLARATIONS(1);
   CAswAdtDispatch      m_AswAdtDispatch;
};
#include <aspop.h>
#endif   
