/* NOSHIP */
#ifndef _IGBSPR_
#define _IGBSPR_
/*******************************************************************************
* FILE NAME: igbspr.h                                                          *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class(es):                                              *
*     IGBMSPR.H  Archimedes Sprite from RiscOS Format support                  *
*                                                                              *
*                                                                              *
*******************************************************************************/

extern GBM_ERR spr_qft(GBMFT *gbmft);
extern GBM_ERR spr_rhdr(char *fn, int fd, GBM *gbm, char *opt);
extern GBM_ERR spr_rpal(int fd, GBM *gbm, GBMRGB *gbmrgb);
extern GBM_ERR spr_rdata(int fd, GBM *gbm, byte *data);
extern GBM_ERR spr_w(char *fn, int fd, GBM *gbm, GBMRGB *gbmrgb, byte *data, char *opt);
extern unsigned long spr_err(GBM_ERR rc);

#endif
