/* NOSHIP */
#ifndef _IPAGETUN_
#define _IPAGETUN_
/*******************************************************************************
* FILE NAME: ipagetun.h                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Definition of Page Layout                                                  *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef IC_DEVELOP

#ifdef _IBASE_CPP_
  #pragma alloc_text(IABernieWeekend,    ICLUI_Init::ICLUI_Init())
  #pragma alloc_text(IShakAttack,        IBase::messageText(unsigned long,const char*,const char*,const char*,const char*,const char*,const char*,const char*,const char*,const char*))
  #pragma alloc_text(IShakAttack,        IBase::messageFile())
  #pragma alloc_text(IShakAttack,        IBase::setMessageFile(const char*))
  #pragma alloc_text(IMountainsOfBusch,  ICLUI_Init::write(const char*))
#endif

#ifdef _IEXCBASE_CPP_
  #pragma alloc_text(IABernieWeekend,     IException::TraceFn::TraceFn())
  #pragma alloc_text(IABernieWeekend,     IException::setTraceFunction(IException::TraceFn&))
  #pragma alloc_text(IMillerTime,        IException::IException(const char*,unsigned long,IException::Severity))
  #pragma alloc_text(IMillerTime,        IExceptionLocation::IExceptionLocation(const char*,const char*,unsigned long))
  #pragma alloc_text(IMillerTime,        IExcText::IExcText(const char*,const IExcText*))
  #pragma alloc_text(IMillerTime,        IException::addLocation(const IExceptionLocation&))
  #pragma alloc_text(IMillerTime,        IException::logExceptionData())
  #pragma alloc_text(IMillerTime,        IExceptStaticPtr::traceFunction())
  #pragma alloc_text(IMillerTime,        IException::TraceFn::logData(IException&))
  #pragma alloc_text(IMillerTime,        IExceptionLocation::fileName() const)
  #pragma alloc_text(IMillerTime,        IExceptionLocation::functionName() const)
  #pragma alloc_text(IMillerTime,        IException::textCount() const)
  #pragma alloc_text(IMillerTime,        IException::text(unsigned long) const)
  #pragma alloc_text(IMillerTime,        IExceptionLocation::lineNumber() const)
  #pragma alloc_text(IMountainsOfBusch,  IException::errorId() const)
  #pragma alloc_text(IMountainsOfBusch,  IException::errorCodeGroup() const)
  #pragma alloc_text(IMountainsOfBusch,  IException::TraceFn::exceptionLogged())
  #pragma alloc_text(IMountainsOfBusch,  IException::IException(const IException&))
  #pragma alloc_text(IMountainsOfBusch,  IExcText::IExcText(const IExcText&))
  #pragma alloc_text(IMountainsOfBusch,  IException::locationCount() const)
  #pragma alloc_text(IMountainsOfBusch,  IException::~IException())
  #pragma alloc_text(ITheRightPrice,     IInvalidRequest::IInvalidRequest(const char*,unsigned long,IException::Severity))
  #pragma alloc_text(ITheRightPrice,     IInvalidRequest::name() const)
  #pragma alloc_text(ITheRightPrice,     IInvalidRequest::IInvalidRequest(const IInvalidRequest&))
  #pragma alloc_text(ITheRightPrice,     IInvalidRequest::~IInvalidRequest())
  #pragma alloc_text(IStangerHook,       IAccessError::IAccessError(const char*,unsigned long,IException::Severity))
  #pragma alloc_text(IStangerHook,       IException::setErrorCodeGroup(const char*))
  #pragma alloc_text(IStangerHook,       IAccessError::name() const)
  #pragma alloc_text(IStangerHook,       IAccessError::IAccessError(const IAccessError&))
  #pragma alloc_text(IStangerHook,       IAccessError::~IAccessError())
  #pragma alloc_text(ITheRightPrice,     IInvalidParameter::IInvalidParameter(const char*,unsigned long,IException::Severity))
  #pragma alloc_text(ITheRightPrice,     IInvalidParameter::name() const)
  #pragma alloc_text(ITsujiNightLive,    IInvalidParameter::IInvalidParameter(const IInvalidParameter&))
  #pragma alloc_text(ITsujiNightLive,    IInvalidParameter::~IInvalidParameter())
#endif

#ifdef _ISTRING0_CPP_
  #pragma alloc_text(IABernieWeekend,     IString::IString())
  #pragma alloc_text(IABernieWeekend,     IString::IString(const char*))
  #pragma alloc_text(IABernieWeekend,     IString::initBuffer(const void*,unsigned int,const void*,unsigned int,const void*,unsigned int,char))
  #pragma alloc_text(IABernieWeekend,     IString::IString(IBuffer*))
  #pragma alloc_text(IABernieWeekend,     IString::~IString())
  #pragma alloc_text(IBoezePhoneHome,     IString::IString(const void*,unsigned int,char))
  #pragma alloc_text(IABernieWeekend,     IString::IString(const IString&))
  #pragma alloc_text(IABernieWeekend,     IString::operator=(const IString&))
  #pragma alloc_text(IGRedPepperStich,    IString::IString(const void*,unsigned int,const void*,unsigned int,char))
  #pragma alloc_text(ITheRightPrice,     operator<<(ostream&,const IString&))
  #pragma alloc_text(IShakAttack,        IString::IString(int))
  #pragma alloc_text(IOnAnotherBenge,    IString::initBuffer(long))
  #pragma alloc_text(IHolmesBuilder,      IString::IString(unsigned long))
  #pragma alloc_text(IHolmesBuilder,      IString::initBuffer(unsigned long))
  #pragma alloc_text(IStangerHook,       IString::IString(const void*,unsigned int,const void*,unsigned int,const void*,unsigned int,char))
  #pragma alloc_text(IMillerTime,        IString::rightJustify(unsigned int,char))
  #pragma alloc_text(IMountainsOfBusch,  IString::IString(char))
  #pragma alloc_text(ITheRightPrice,     IString::IString(long))
#endif

#ifdef _IBUFFER0_CPP_
  #pragma alloc_text(IABernieWeekend,     IBuffer::defaultBuffer())
  #pragma alloc_text(IABernieWeekend,     IBuffer::initialize())
  #pragma alloc_text(IABernieWeekend,     IBuffer::IBuffer(unsigned int))
  #pragma alloc_text(IABernieWeekend,     IBuffer::newBuffer(const void*,unsigned int,const void*,unsigned int,const void*,unsigned int,char) const)
  #pragma alloc_text(IABernieWeekend,     IBuffer::null() const)
  #pragma alloc_text(IABernieWeekend,     IBuffer::allocate(unsigned int) const)
  #pragma alloc_text(IABernieWeekend,     IBuffer::~IBuffer())
  #pragma alloc_text(IMillerTime,        IBuffer::rightJustify(unsigned int,char))
#endif

#ifdef _IRESLOCK_CPP_
  #pragma alloc_text(IABernieWeekend,     ISharedResource::ISharedResource(const char*))
  #pragma alloc_text(IABernieWeekend,     IResource::IResource())
  #pragma alloc_text(IABernieWeekend,     IPrivateResource::IPrivateResource())
  #pragma alloc_text(IABernieWeekend,     IResourceLock::IResourceLock(IResource&,long))
  #pragma alloc_text(IABernieWeekend,     IResourceLock::setLock(long))
  #pragma alloc_text(IABernieWeekend,     IPrivateResource::handle())
  #pragma alloc_text(IABernieWeekend,     IResourceLock::~IResourceLock())
  #pragma alloc_text(IABernieWeekend,     IResourceLock::clearLock())
  #pragma alloc_text(ITsujiNightLive,    ISharedResource::~ISharedResource())
  #pragma alloc_text(ITsujiNightLive,    IResource::~IResource())
  #pragma alloc_text(ITsujiNightLive,    IPrivateResource::~IPrivateResource())
  #pragma alloc_text(ITsujiNightLive,    ISharedResource::handle())
#endif

#ifdef _ISTRING4_CPP_
  #pragma alloc_text(IABernieWeekend,     IString::operator+=(const char*))
  #pragma alloc_text(IJudyJudyJudy,      operator+(const char*,const IString&))
  #pragma alloc_text(IIsHaggarHorrible,  IString::operator+(const IString&) const)
  #pragma alloc_text(IMillerTime,        IString::operator+=(const IString&))
  #pragma alloc_text(IIsHaggarHorrible,  IString::operator+(const char*) const)
#endif

#ifdef _IVBASE_CPP_
  #pragma alloc_text(IABernieWeekend,     IVBase::~IVBase())
#endif

#ifdef _ICOLOR_CPP_
  #pragma alloc_text(IABernieWeekend,     IColor::IColor(unsigned char,unsigned char,unsigned char))
  #pragma alloc_text(IABernieWeekend,     IColor::IColor(IColor::Color))
  #pragma alloc_text(IIsHaggarHorrible,  IColor::IColor(const IColor&))
  #pragma alloc_text(IOnAnotherBenge,    IGUIColor::IGUIColor(IGUIColor::SysColor))
  #pragma alloc_text(IOnAnotherBenge,    IColor::IColor())
  #pragma alloc_text(IIsHaggarHorrible,  IColor::asRGBLong() const)
  #pragma alloc_text(IOnAnotherBenge,    IGUIColor::~IGUIColor())
  #pragma alloc_text(IHolmesBuilder,      IColor::~IColor())
  #pragma alloc_text(IMountainsOfBusch,  IColor::operator=(const IColor&))
  #pragma alloc_text(ITsujiNightLive,    IColor::IColor(long))
#endif

#ifdef _IPOINT_CPP_
  #pragma alloc_text(IABernieWeekend,     IPair::minimum(const IPair&) const)
  #pragma alloc_text(IABernieWeekend,     IPair::maximum(const IPair&) const)
  #pragma alloc_text(IProudMary,         IPoint::asPOINTL() const)
#endif

#ifdef _IREFCNT_CPP_
  #pragma alloc_text(IABernieWeekend,     IRefCounted::IRefCounted())
  #pragma alloc_text(IABernieWeekend,     IRefCounted::addRef())
  #pragma alloc_text(IABernieWeekend,     IRefCounted::removeRef())
  #pragma alloc_text(IStangerHook,       IRefCounted::~IRefCounted())
#endif

#ifdef _IFONT_CPP_
  #pragma alloc_text(IHolmesBuilder,      IFont::IFont(const IWindow*))
  #pragma alloc_text(IHamiltonianQuill,   IFontPrivateData::IFontPrivateData())
  #pragma alloc_text(IHolmesBuilder,      IFont::initialize(const IPresSpaceHandle&))
  #pragma alloc_text(IHolmesBuilder,      IFont::setSizeFromHps(unsigned long,const IPresSpaceHandle&))
  #pragma alloc_text(IHolmesBuilder,      IFont::copyPrivate())
  #pragma alloc_text(IHolmesBuilder,      IFont::setWidthHeight(unsigned long,const IPresSpaceHandle&))
  #pragma alloc_text(IHamiltonianQuill,   IFont::isBitmapOnly() const)
  #pragma alloc_text(IHolmesBuilder,      IFont::makeCharWidths(const IPresSpaceHandle&))
  #pragma alloc_text(IHolmesBuilder,      IFont::beginUsingFont(const IPresSpaceHandle&))
  #pragma alloc_text(IHolmesBuilder,      IFont::endUsingFont(const IPresSpaceHandle&))
  #pragma alloc_text(ITsujiNightLive,    IFont::IFont(const IFont&))
  #pragma alloc_text(IHolmesBuilder,      IFont::avgCharWidth() const)
  #pragma alloc_text(IHamiltonianQuill,   IFont::makeFontMetrics(const IPresSpaceHandle&))
  #pragma alloc_text(IHolmesBuilder,      IFont::maxCharHeight() const)
  #pragma alloc_text(IHolmesBuilder,      IFont::maxSize() const)
  #pragma alloc_text(IHamiltonianQuill,   IFont::~IFont())
  #pragma alloc_text(IHamiltonianQuill,   IFontPrivateData::removeRef())
  #pragma alloc_text(IMountainsOfBusch,  IFont::IFont(const char*,unsigned long,int,int,const IPresSpaceHandle&))
  #pragma alloc_text(IMountainsOfBusch,  IFont::mustUseVector(int))
  #pragma alloc_text(IMountainsOfBusch,  IFont::checkForMatch(const IPresSpaceHandle&))
  #pragma alloc_text(IMountainsOfBusch,  IFont::isNonPropOnly() const)
  #pragma alloc_text(IMountainsOfBusch,  IFont::setWindowFont(IWindow*) const)
  #pragma alloc_text(IMountainsOfBusch,  IFont::pointSize() const)
  #pragma alloc_text(IMountainsOfBusch,  IFont::name() const)
  #pragma alloc_text(IMountainsOfBusch,  IFont::isBold() const)
  #pragma alloc_text(IMountainsOfBusch,  IFont::isItalic() const)
  #pragma alloc_text(IMountainsOfBusch,  IFont::isOutline() const)
  #pragma alloc_text(IMountainsOfBusch,  IFont::isUnderscore() const)
  #pragma alloc_text(IMountainsOfBusch,  IFont::isStrikeout() const)
  #pragma alloc_text(ITsujiNightLive,    IFont::operator=(const IFont&))
  #pragma alloc_text(ITsujiNightLive,    IFont::setItalic(int))
  #pragma alloc_text(ITsujiNightLive,    IFontPrivateData::IFontPrivateData(const IFontPrivateData&))
  #pragma alloc_text(ITsujiNightLive,    IFont::isVectorOnly() const)
  #pragma alloc_text(ITsujiNightLive,    IFont::setBold(int))
  #pragma alloc_text(ITsujiNightLive,    IFont::setOutline(int))
  #pragma alloc_text(ITsujiNightLive,    IFont::setStrikeout(int))
  #pragma alloc_text(ITsujiNightLive,    IFont::setUnderscore(int))
  #pragma alloc_text(ITheRightPrice,     IFont::textWidth(const char*) const)
  #pragma alloc_text(ITsujiNightLive,    IFont::avgLowercase() const)
#endif

#ifdef _ISTPARSE_CPP_
  #pragma alloc_text(ITheRightPrice,     operator>>(const IString&,IString&))
  #pragma alloc_text(ITheRightPrice,     IStringParser::IStringParser(const IString&))
  #pragma alloc_text(ITheRightPrice,     IStringParser::operator>>(IString&))
  #pragma alloc_text(ITheRightPrice,     IStringParser::IStringParser(const IStringParser&))
  #pragma alloc_text(ITheRightPrice,     IStringParser::~IStringParser())
  #pragma alloc_text(ITheRightPrice,     IStringParser::operator>>(const char*))
#endif

#ifdef _ISTPDATA_CPP_
  #pragma alloc_text(ITheRightPrice,     IStringParserData::IStringParserData(const IString&))
  #pragma alloc_text(ITheRightPrice,     IStringParserData::processToken(IString&,int))
  #pragma alloc_text(ITheRightPrice,     IStringParserData::reparseLastToken())
  #pragma alloc_text(ITheRightPrice,     IStringParserData::saveToken(IString*))
  #pragma alloc_text(ITheRightPrice,     IStringParserData::addRef())
  #pragma alloc_text(ITheRightPrice,     IStringParserData::removeRef())
  #pragma alloc_text(ITheRightPrice,     IStringParserData::processPattern(const char*))
  #pragma alloc_text(ITheRightPrice,     IStringParserData::clearSavedTokens())
  #pragma alloc_text(ITheRightPrice,     IStringParserData::~IStringParserData())
#endif

#ifdef _IBUFFER6_CPP_
  #pragma alloc_text(IAbstractArt,        IBuffer::indexOf(const char*,unsigned int,unsigned int) const)
  #pragma alloc_text(IAbstractArt,        IBuffer::indexOfAnyOf(const char*,unsigned int,unsigned int) const)
  #pragma alloc_text(IAbstractArt,        IBuffer::startSearch(unsigned int,unsigned int) const)
  #pragma alloc_text(IStangerHook,       IBuffer::indexOfAnyBut(const char*,unsigned int,unsigned int) const)
  #pragma alloc_text(IStangerHook,       IBuffer::lastIndexOfAnyBut(const char*,unsigned int,unsigned int) const)
  #pragma alloc_text(IGRedPepperStich,    IBuffer::startBackwardsSearch(unsigned int,unsigned int) const)
  #pragma alloc_text(IJennsPen,          IBuffer::indexOfAnyBut(const IStringTest&,unsigned int) const)
  #pragma alloc_text(IJennsPen,          IBuffer::lastIndexOfAnyBut(const IStringTest&,unsigned int) const)
#endif

#ifdef _IRESLIB1_CPP_
  #pragma alloc_text(IMillerTime,        IDynamicLinkLibrary::IDynamicLinkLibrary(const char*))
  #pragma alloc_text(IMillerTime,        IDLLModule::IDLLModule(const char*))
  #pragma alloc_text(IMillerTime,        IResLibStaticPtr::dllSet())
  #pragma alloc_text(IMillerTime,        IDLLSet::IDLLSet())
  #pragma alloc_text(IMillerTime,        ISet<IDLLModule*>::ISet(unsigned long))
  #pragma alloc_text(IMillerTime,        IGSet<IDLLModule*,IECOps<IDLLModule*> >::IGSet(unsigned long))
  #pragma alloc_text(IMillerTime,        IWStOnKSS<IDLLModule*,IECOps<IDLLModule*>,IGAvlKSS<IDLLModule*,IDLLModule*,IOpsWithKey<IDLLModule*,IECOps<IDLLModule*> > > >::IWStOnKSS(unsigned long))
  #pragma alloc_text(IMillerTime,        IGAvlKSS<IDLLModule*,IDLLModule*,IOpsWithKey<IDLLModule*,IECOps<IDLLModule*> > >::IGAvlKSS(unsigned long))
  #pragma alloc_text(IMillerTime,        IWSetOnKSSetCursor<IDLLModule*,IECOps<IDLLModule*>,IGAvlKSS<IDLLModule*,IDLLModule*,IOpsWithKey<IDLLModule*,IECOps<IDLLModule*> > > >::IWSetOnKSSetCursor(const IWStOnKSS&)XTP10IDLLModuleT6IECOpsXTP10IDLLModule_T8IGAvlKSSXTP10IDLLModuleTP10IDLLModuleT11I)
  #pragma alloc_text(IMillerTime,        IGAvlKeySortedSetCursor<IDLLModule*,IDLLModule*,IOpsWithKey<IDLLModule*,IECOps<IDLLModule*> > >::IGAvlKeySortedSetCursor(const IGAvlKSS<IDLLModule*,IDLLModule*,IOpsWithKey<IDLLModule*,IECOps<IDLLModule*> > >&))
  #pragma alloc_text(IMillerTime,        IOrderedCursor<IDLLModule*>::IOrderedCursor())
  #pragma alloc_text(IMillerTime,        IElementCursor<IDLLModule*>::IElementCursor())
  #pragma alloc_text(IMillerTime,        IDynamicLinkLibrary::open())
  #pragma alloc_text(IMillerTime,        IDLLModule::addRef())
  #pragma alloc_text(IMillerTime,        IWSetOnKSSetCursor<IDLLModule*,IECOps<IDLLModule*>,IGAvlKSS<IDLLModule*,IDLLModule*,IOpsWithKey<IDLLModule*,IECOps<IDLLModule*> > > >::~IWSetOnKSSetCursor())
  #pragma alloc_text(IMillerTime,        IGAvlKeySortedSetCursor<IDLLModule*,IDLLModule*,IOpsWithKey<IDLLModule*,IECOps<IDLLModule*> > >::~IGAvlKeySortedSetCursor())
  #pragma alloc_text(IMillerTime,        IOrderedCursor<IDLLModule*>::~IOrderedCursor())
  #pragma alloc_text(IMillerTime,        IElementCursor<IDLLModule*>::~IElementCursor())
  #pragma alloc_text(ITheRightPrice,     IDLLModule::operator==(const IDLLModule&) const)
  #pragma alloc_text(ITsujiNightLive,    IDLLModule::~IDLLModule())
  #pragma alloc_text(IShakAttack,        IDynamicLinkLibrary::handle() const)
  #pragma alloc_text(IShakAttack,        IDynamicLinkLibrary::procAddress(const char*) const)
  #pragma alloc_text(ITheRightPrice,     IDynamicLinkLibrary::fileName() const)
  #pragma alloc_text(ITsujiNightLive,    IDynamicLinkLibrary::~IDynamicLinkLibrary())
  #pragma alloc_text(ITsujiNightLive,    IDynamicLinkLibrary::close())
  #pragma alloc_text(ITsujiNightLive,    IDLLModule::removeRef())
#endif

#ifdef _IRESLIB_CPP_
  #pragma alloc_text(IABernieWeekend,     IResourceLibrary::IResourceLibrary())
  #pragma alloc_text(IIsHaggarHorrible,  IResLibStaticPtr::libraryKey())
  #pragma alloc_text(IBruceKnee,          IResourceLibrary::tryToLoadString(unsigned long) const)
  #pragma alloc_text(IBruceKnee,          IResourceLibrary::loadText(int,unsigned long,char*,unsigned long,int) const)
  #pragma alloc_text(IJudyJudyJudy,      IResourceLibrary::loadString(unsigned long) const)
  #pragma alloc_text(IOnAnotherBenge,    IResourceLibrary::~IResourceLibrary())
  #pragma alloc_text(IAnotherLoveTune,    IResourceLibrary::handle() const)
  #pragma alloc_text(IOnAnotherBenge,    IResourceLibrary::loadMenu(unsigned long,IWindow*) const)
  #pragma alloc_text(IShakAttack,        IResourceLibrary::fileName() const)
  #pragma alloc_text(ITsujiNightLive,    IResourceLibrary::IResourceLibrary(const IResourceLibrary&))
#endif

#ifdef _IIAVLKSS_CPP_
  #pragma alloc_text(IABernieWeekend,     IAvlKeySortedSetImpl::IAvlKeySortedSetImpl())
  #pragma alloc_text(IBonannoRepublic,    IAvlKeySortedSetImpl::setToFirst(IAvlKeySortedSetImplNode*&) const)
  #pragma alloc_text(IABernieWeekend,     IAvlKeySortedSetImpl::add(const void*,IAvlKeySortedSetImplNode*&))
  #pragma alloc_text(IABernieWeekend,     IAvlKeySortedSetImplNode::IAvlKeySortedSetImplNode())
  #pragma alloc_text(IABernieWeekend,     IAvlKeySortedSetImpl::elementAt(IAvlKeySortedSetImplNode*))
  #pragma alloc_text(IIsHaggarHorrible,  IAvlKeySortedSetImpl::setToNext(IAvlKeySortedSetImplNode*&) const)
  #pragma alloc_text(IABernieWeekend,     IAvlKeySortedSetImpl::addOrReplaceElementWithKey(const void*))
  #pragma alloc_text(IABernieWeekend,     IAvlKeySortedSetImpl::addOrReplaceElementWithKey(const void*,IAvlKeySortedSetImplNode*&))
  #pragma alloc_text(IABernieWeekend,     IAvlKeySortedSetImpl::locateElementWithKey(const void*,IAvlKeySortedSetImplNode*&) const)
  #pragma alloc_text(ITheRightPrice,     IAvlKeySortedSetImpl::allElementsDo(void*,void*) const)
  #pragma alloc_text(ITheRightPrice,     IAvlKeySortedSetImpl::allElementsDoSubtree(void*,void*,const IAvlKeySortedSetImplNode*) const)
  #pragma alloc_text(IMountainsOfBusch,  IAvlKeySortedSetImpl::removeAll(void*,void*))
  #pragma alloc_text(IGRedPepperStich,    IAvlKeySortedSetImpl::removeAll())
  #pragma alloc_text(IGRedPepperStich,    IAvlKeySortedSetImpl::~IAvlKeySortedSetImpl())
  #pragma alloc_text(IMountainsOfBusch,  IAvlKeySortedSetImpl::containsElementWithKey(const void*) const)
  #pragma alloc_text(IMountainsOfBusch,  IAvlKeySortedSetImpl::elementWithKey(const void*))
  #pragma alloc_text(IHolmesBuilder,      IAvlKeySortedSetImpl::removeAt(IAvlKeySortedSetImplNode*))
  #pragma alloc_text(IHolmesBuilder,      IAvlKeySortedSetImpl::disconnectAndRemove(IAvlKeySortedSetImplNode*,int&))
  #pragma alloc_text(IIsHaggarHorrible,  IAvlKeySortedSetImpl::balance(IAvlKeySortedSetImplNode*,short,int&))
  #pragma alloc_text(IMillerTime,        IAvlKeySortedSetImpl::removeElementWithKey(const void*))
  #pragma alloc_text(ITsujiNightLive,    IAvlKeySortedSetImpl::IAvlKeySortedSetImpl(const IAvlKeySortedSetImpl&))
  #pragma alloc_text(ITsujiNightLive,    IAvlKeySortedSetImpl::operator=(const IAvlKeySortedSetImpl&))
  #pragma alloc_text(ITsujiNightLive,    IAvlKeySortedSetImpl::copySubtree(const IAvlKeySortedSetImplNode*))
  #pragma alloc_text(ITsujiNightLive,    IAvlKeySortedSetImpl::deleteTree(IAvlKeySortedSetImplNode*))
#endif

#ifdef _ICURSOR_CPP_
  #pragma alloc_text(IABernieWeekend,     ICursor::~ICursor())
#endif

#ifdef _IBUFFER2_CPP_
  #pragma alloc_text(IBoezePhoneHome,     IBuffer::compare(const void*,unsigned int) const)
#endif

#ifdef _IAPP_CPP_
  #pragma alloc_text(IAbstractArt,        IApplication::current())
  #pragma alloc_text(IAbstractArt,        ICurrentApplication::ICurrentApplication())
  #pragma alloc_text(IAbstractArt,        IApplication::IApplication(const IProcessId&))
  #pragma alloc_text(IAbstractArt,        ICurrentApplication::pib())
  #pragma alloc_text(IAbstractArt,        IApplication::setId(const IProcessId&))
  #pragma alloc_text(IAbstractArt,        ICurrentApplication::setUserResourceLibrary(const char*))
  #pragma alloc_text(IAbstractArt,        ICurrentApplication::userResourceLibrary() const)
  #pragma alloc_text(IProudMary,         ICurrentApplication::resourceLibrary() const)
  #pragma alloc_text(IProudMary,         ICurrentApplication::setResourceLibrary(const char*))
  #pragma alloc_text(IStangerHook,       IApplication::currentPID())
#endif

#ifdef _IWINDOW2_CPP_
  #pragma alloc_text(IABernieWeekend,     IWindow::desktopWindow())
  #pragma alloc_text(IABernieWeekend,     ITheDesktopWindow::ITheDesktopWindow())
  #pragma alloc_text(IABernieWeekend,     IWindow::IWindow())
  #pragma alloc_text(IABernieWeekend,     IWindow::extendedStyle() const)
  #pragma alloc_text(IABernieWeekend,     IWindow::setExtendedStyle(unsigned long))
  #pragma alloc_text(IAbstractArt,        IWindow::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(IMillerTime,        IWindow::isFrameWindow() const)
  #pragma alloc_text(IABernieWeekend,     IWindow::parent() const)
  #pragma alloc_text(IABernieWeekend,     IWindow::create(unsigned long,const char*,unsigned long,const char*,const IWindowHandle&,const IWindowHandle&,const IRectangle&,const void*,const void*,IWindow::SiblingOrder))
  #pragma alloc_text(IABernieWeekend,     IWindow::addHandler(IHandler*))
  #pragma alloc_text(IABernieWeekend,     IWindow::startHandlingEventsFor(const IWindowHandle&))
  #pragma alloc_text(IABernieWeekend,     IWindow::windowWithHandle(const IWindowHandle&,int))
  #pragma alloc_text(IABernieWeekend,     IWindow::setLayoutDistorted(unsigned long,unsigned long))
  #pragma alloc_text(IABernieWeekend,     IWindow::isValid() const)
  #pragma alloc_text(IABernieWeekend,     _pfnwpICWinProc)
  #pragma alloc_text(IABernieWeekend,     IWKeySetOnKSSetCursor<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long>,IGAvlKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> > >::IWKeySetOnKSSetCursor(const IWKSOnKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long>,IGAvlKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> > >&))
  #pragma alloc_text(IABernieWeekend,     IGAvlKeySortedSetCursor<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> >::IGAvlKeySortedSetCursor(const IGAvlKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> >&))
  #pragma alloc_text(IABernieWeekend,     IOrderedCursor<IWindow*>::IOrderedCursor())
  #pragma alloc_text(IABernieWeekend,     IElementCursor<IWindow*>::IElementCursor())
  #pragma alloc_text(IABernieWeekend,     IWKeySetOnKSSetCursor<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long>,IGAvlKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> > >::~IWKeySetOnKSSetCursor())
  #pragma alloc_text(IABernieWeekend,     IGAvlKeySortedSetCursor<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> >::~IGAvlKeySortedSetCursor())
  #pragma alloc_text(IABernieWeekend,     IOrderedCursor<IWindow*>::~IOrderedCursor())
  #pragma alloc_text(IABernieWeekend,     IElementCursor<IWindow*>::~IElementCursor())
  #pragma alloc_text(IABernieWeekend,     IWindow::dispatch(IEvent&))
  #pragma alloc_text(IABernieWeekend,     IGLnSqCrs<IHandler*,IStdOps<IHandler*> >::IGLnSqCrs(const IGLnSq<IHandler*,IStdOps<IHandler*> >&))
  #pragma alloc_text(IABernieWeekend,     IOrderedCursor<IHandler*>::IOrderedCursor())
  #pragma alloc_text(IABernieWeekend,     IElementCursor<IHandler*>::IElementCursor())
  #pragma alloc_text(IABernieWeekend,     IGLnSqCrs<IHandler*,IStdOps<IHandler*> >::~IGLnSqCrs())
  #pragma alloc_text(IABernieWeekend,     IOrderedCursor<IHandler*>::~IOrderedCursor())
  #pragma alloc_text(IABernieWeekend,     IElementCursor<IHandler*>::~IElementCursor())
  #pragma alloc_text(IABernieWeekend,     IWindow::objectWindow())
  #pragma alloc_text(IBonannoRepublic,    IWindow::style() const)
  #pragma alloc_text(IBrightBeak,         IWindow::setStyle(unsigned long))
  #pragma alloc_text(IBonannoRepublic,    IWindow::removeHandler(IHandler*))
  #pragma alloc_text(IHolmesBuilder,      IWindow::characterSize() const)
  #pragma alloc_text(IBonannoRepublic,    IWindow::isVisible() const)
  #pragma alloc_text(IBrightBeak,         IWindow::handleWithParent(unsigned long,const IWindowHandle&))
  #pragma alloc_text(IBonannoRepublic,    IWindow::setParent(const IWindow*))
  #pragma alloc_text(IHolmesBuilder,      IWindow::presSpace() const)
  #pragma alloc_text(IHolmesBuilder,      IWindow::releasePresSpace(const IPresSpaceHandle&) const)
  #pragma alloc_text(IOnAnotherBenge,    IWindow::enableUpdate(int))
  #pragma alloc_text(IMountainsOfBusch,  IWindow::isTabStop() const)
  #pragma alloc_text(IGRedPepperStich,    IWindow::messageQueue() const)
  #pragma alloc_text(IGRedPepperStich,    IWindow::windowULong(long) const)
  #pragma alloc_text(ITheRightPrice,     IWindow::enable(int))
  #pragma alloc_text(IJudyJudyJudy,      IWindow::refresh(IWindow::RefreshType))
  #pragma alloc_text(IHamiltonianQuill,   IWindow::show(int))
  #pragma alloc_text(ITheRightPrice,     IWindow::setFont(const IFont&))
  #pragma alloc_text(IMountainsOfBusch,  IWindow::owner() const)
  #pragma alloc_text(IGRedPepperStich,    IWindow::setFocus())
  #pragma alloc_text(IMillerTime,        IWindow::~IWindow())
  #pragma alloc_text(IMillerTime,        IWindow::cleanUp())
  #pragma alloc_text(ITheRightPrice,     IWindow::setId(unsigned long))
  #pragma alloc_text(IShakAttack,        IWindow::isGroup() const)
  #pragma alloc_text(IMountainsOfBusch,  IWindow::id() const)
  #pragma alloc_text(IStangerHook,       IWindow::isEnabled() const)
  #pragma alloc_text(ITsujiNightLive,    IWindow::hasFocus() const)
#endif

#ifdef _ISTDNTFY_CPP_
  #pragma alloc_text(IABernieWeekend,     INotifier::INotifier())
  #pragma alloc_text(IMillerTime,        INotifier::~INotifier())
  #pragma alloc_text(ITsujiNightLive,    IStandardNotifier::IStandardNotifier())
  #pragma alloc_text(ITsujiNightLive,    IStandardNotifier::enableNotification(int))
#endif

#ifdef _ITHREAD_CPP_
  #pragma alloc_text(IABernieWeekend,     IThread::current())
  #pragma alloc_text(IABernieWeekend,     ICurrentThread::ICurrentThread())
  #pragma alloc_text(IABernieWeekend,     IThread::IThread(const IThreadId&))
  #pragma alloc_text(IABernieWeekend,     IStartedThread::locate(const IThreadId&))
  #pragma alloc_text(IABernieWeekend,     IStartedThread::lock())
  #pragma alloc_text(IABernieWeekend,     IStartedThread::isTIDValid(const IThreadId&))
  #pragma alloc_text(IABernieWeekend,     IStartedThread::IStartedThread(const IThreadId&))
  #pragma alloc_text(IABernieWeekend,     IThread::defaultAutoInitGUI())
  #pragma alloc_text(IABernieWeekend,     IThread::inGUISession())
  #pragma alloc_text(IABernieWeekend,     IStartedThread::Assoc::Assoc())
  #pragma alloc_text(IABernieWeekend,     IStartedThread::add(IStartedThread&))
  #pragma alloc_text(IABernieWeekend,     ICurrentThread::anchorBlock() const)
  #pragma alloc_text(IABernieWeekend,     ICurrentThread::startedThread() const)
  #pragma alloc_text(IABernieWeekend,     ICurrentThread::id() const)
  #pragma alloc_text(IABernieWeekend,     IThread::currentId())
  #pragma alloc_text(IAbstractArt,        ICurrentThread::initializeGUI(long))
  #pragma alloc_text(IAbstractArt,        ICurrentThread::messageQueue())
  #pragma alloc_text(IAbstractArt,        IThread::messageQueue())
  #pragma alloc_text(IABernieWeekend,     IThread::Cursor::Cursor(int))
  #pragma alloc_text(IABernieWeekend,     IThread::Cursor::setToFirst())
  #pragma alloc_text(IABernieWeekend,     IThread::Cursor::advance())
  #pragma alloc_text(IABernieWeekend,     IThread::Cursor::isValid() const)
  #pragma alloc_text(IABernieWeekend,     IThread::Cursor::invalidate())
  #pragma alloc_text(IABernieWeekend,     IThread::Cursor::~Cursor())
  #pragma alloc_text(IABernieWeekend,     IThread::windowList() const)
  #pragma alloc_text(IABernieWeekend,     IThread::setWindowList(IWindowList*))
  #pragma alloc_text(IABernieWeekend,     IThread::Cursor::threadId() const)
  #pragma alloc_text(IABernieWeekend,     IThread::startedThread() const)
  #pragma alloc_text(IABernieWeekend,     IThread::~IThread())
  #pragma alloc_text(IABernieWeekend,     IThread::Cursor::setToNext())
  #pragma alloc_text(IStangerHook,       IThread::variable(const IString&) const)
  #pragma alloc_text(IStangerHook,       IStartedThread::variable(const IString&) const)
  #pragma alloc_text(ITheRightPrice,     IThread::setVariable(const IString&,const IString&))
  #pragma alloc_text(ITheRightPrice,     IStartedThread::setVariable(const IString&,const IString&))
  #pragma alloc_text(IMillerTime,        IThread::inMsgLoop() const)
  #pragma alloc_text(ITheRightPrice,     IThreadFn::IThreadFn())
  #pragma alloc_text(ITheRightPrice,     IThread::newStartedThread())
  #pragma alloc_text(ITheRightPrice,     IThread::prepareToStart(const IReference<IThreadFn>&,int))
  #pragma alloc_text(ITheRightPrice,     IStartedThread::isStarted())
  #pragma alloc_text(ITheRightPrice,     IThread::stackSize() const)
  #pragma alloc_text(ITheRightPrice,     IStartedThread::tib())
  #pragma alloc_text(ITheRightPrice,     IThread::threadStarted(IStartedThread*,int))
  #pragma alloc_text(ITheRightPrice,     initThread)
  #pragma alloc_text(ITheRightPrice,     IStartedThread::initThread(IStartedThread*))
  #pragma alloc_text(IProudMary,         ICurrentThread::isGUIInitialized() const)
  #pragma alloc_text(IShakAttack,        ICurrentThread::messageQueue() const)
  #pragma alloc_text(IShakAttack,        IThread::messageQueue() const)
  #pragma alloc_text(ITsujiNightLive,    IThread::setQueueSize(long))
#endif

#ifdef _ICRITSEC_CPP_
  #pragma alloc_text(IABernieWeekend,     ICritSec::ICritSec())
  #pragma alloc_text(IABernieWeekend,     ICritSec::~ICritSec())
#endif

#ifdef _IFRAME_CPP_
  #pragma alloc_text(ITsujiNightLive,    IFrameWindow::IFrameWindow(const IResourceId&,IWindow*,IWindow*,const IRectangle&,const IFrameWindow::Style&,const char*))
  #pragma alloc_text(IABernieWeekend,     IFrameWindowData::IFrameWindowData(int))
  #pragma alloc_text(IAbstractArt,        IFrameWindow::initialize(const IResourceId&,const IFrameWindow::Style&,IWindow*,IWindow*,const IRectangle&,const char*))
  #pragma alloc_text(IAbstractArt,        IFrameWindow::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(IAbstractArt,        IFrameWindow::nextShellRect())
  #pragma alloc_text(IAbstractArt,        IFrameWindow::defaultOrdering())
  #pragma alloc_text(IAbstractArt,        IFrameWindow::create(unsigned long,const char*,unsigned long,const char*,const IWindowHandle&,const IWindowHandle&,const IRectangle&,const void*,const void*,IWindow::SiblingOrder))
  #pragma alloc_text(IABernieWeekend,     IFrameWindow::start(const IWindowHandle&))
  #pragma alloc_text(IABernieWeekend,     IFrameWindow::addDefaultHandler())
  #pragma alloc_text(IABernieWeekend,     DefaultHandler::operator IFrameHandler*())
  #pragma alloc_text(IABernieWeekend,     IFrameWindow::setLayoutDistorted(unsigned long,unsigned long))
  #pragma alloc_text(IProudMary,         IFrameWindow::addExtension(IWindow*,IFrameWindow::Location,unsigned long,IFrameWindow::SeparatorType))
  #pragma alloc_text(IJudyJudyJudy,      IFrameWindow::addExtension(IFrameExtension*))
  #pragma alloc_text(IAbstractArt,        IFrameWindow::extensions() const)
  #pragma alloc_text(IJudyJudyJudy,      IFrameWindow::setExtensions(IFrameExtensions*))
  #pragma alloc_text(IBruceKnee,          IFrameWindow::clientHandle() const)
  #pragma alloc_text(IHolmesBuilder,      IFrameHandler::numberOfExtensions(const IFrameWindow*) const)
  #pragma alloc_text(IHolmesBuilder,      IFrameHandler::format(IFrameFormatEvent&))
  #pragma alloc_text(IHolmesBuilder,      IFrameHandler::positionExtensions(IFrameFormatEvent&,unsigned long))
  #pragma alloc_text(IJudyJudyJudy,      IGLnSqCrs<IFrameExtension*,IStdOps<IFrameExtension*> >::IGLnSqCrs(const IGLnSq<IFrameExtension*,IStdOps<IFrameExtension*> >&))
  #pragma alloc_text(IJudyJudyJudy,      IOrderedCursor<IFrameExtension*>::IOrderedCursor())
  #pragma alloc_text(IJudyJudyJudy,      IElementCursor<IFrameExtension*>::IElementCursor())
  #pragma alloc_text(IJudyJudyJudy,      IGLnSqCrs<IFrameExtension*,IStdOps<IFrameExtension*> >::~IGLnSqCrs())
  #pragma alloc_text(IJudyJudyJudy,      IOrderedCursor<IFrameExtension*>::~IOrderedCursor())
  #pragma alloc_text(IJudyJudyJudy,      IElementCursor<IFrameExtension*>::~IElementCursor())
  #pragma alloc_text(IHamiltonianQuill,   IFrameWindow::setClient(IWindow*))
  #pragma alloc_text(IStangerHook,       IFrameWindow::moveSizeToClient(const IRectangle&))
  #pragma alloc_text(IStangerHook,       IFrameWindow::frameRectFor(const IRectangle&) const)
  #pragma alloc_text(IStangerHook,       IFrameHandler::calcRect(IFrameEvent&))
  #pragma alloc_text(IHolmesBuilder,      IFrameWindow::update())
  #pragma alloc_text(IHolmesBuilder,      IFrameWindow::show(int))
  #pragma alloc_text(IHolmesBuilder,      IFrameHandler::draw(IFrameEvent&))
  #pragma alloc_text(IOnAnotherBenge,    IFrameWindow::removeExtension(IWindow*,int))
  #pragma alloc_text(IMillerTime,        IFrameWindow::~IFrameWindow())
  #pragma alloc_text(IMillerTime,        IFrameWindow::removeDefaultHandler())
  #pragma alloc_text(IMillerTime,        IFrameWindowData::~IFrameWindowData())
  #pragma alloc_text(IAbstractArt,        IFrameWindow::defaultStyle())
  #pragma alloc_text(IOnAnotherBenge,    IFrameWindow::IFrameWindow(const IFrameWindow::Style&,const IResourceId&))
  #pragma alloc_text(ITsujiNightLive,    IFrameWindow::IFrameWindow(const IWindowHandle&))
  #pragma alloc_text(IJudyJudyJudy,      IFrameWindow::IFrameWindow(unsigned long,IFrameWindow::FrameSource))
  #pragma alloc_text(IJudyJudyJudy,      IFrameWindow::tryToLoadDialog(const IResourceId&,IWindow*,IWindow*,IFrameWindow::FrameSource))
  #pragma alloc_text(IOnAnotherBenge,    IFrameWindow::addExtension(IWindow*,IFrameWindow::Location,IFrameWindow::SeparatorType))
  #pragma alloc_text(IShakAttack,        IFrameWindow::toolBarList() const)
  #pragma alloc_text(ITheRightPrice,     IFrameWindow::setToolBarList(IToolBarList*))
  #pragma alloc_text(ITheRightPrice,     IFrameWindow::setIcon(unsigned long))
  #pragma alloc_text(ITheRightPrice,     IFrameWindow::setIcon(const IResourceId&))
  #pragma alloc_text(ITheRightPrice,     IFrameWindow::setIcon(const IPointerHandle&))
  #pragma alloc_text(ITsujiNightLive,    IFrameWindow::clientRectFor(const IRectangle&) const)
  #pragma alloc_text(ITsujiNightLive,    IFrameWindow::setExtensionSize(IWindow*,unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IFrameWindow::findExtension(IWindow*))
  #pragma alloc_text(IProudMary,         IFrameWindow::IFrameWindow(const char*,const IResourceId&,const IFrameWindow::Style&))
  #pragma alloc_text(ITsujiNightLive,    IFrameWindow::addExtension(IWindow*,IFrameWindow::Location,double,IFrameWindow::SeparatorType))
#endif

#ifdef _IHANDLE3_CPP_
  #pragma alloc_text(IABernieWeekend,     IPointerHandle::IPointerHandle(unsigned long))
  #pragma alloc_text(IIsHaggarHorrible,  IPointerHandle::~IPointerHandle())
  #pragma alloc_text(IStangerHook,       IPointerHandle::IPointerHandle(const IPointerHandle&))
  #pragma alloc_text(IStangerHook,       IPointerHandle::operator=(const IPointerHandle&))
#endif

#ifdef _IWINDOW0_CPP_
  #pragma alloc_text(IABernieWeekend,     ITheDesktopWindow::handle() const)
  #pragma alloc_text(IABernieWeekend,     IWindowList::libraryKey())
  #pragma alloc_text(IABernieWeekend,     IHandlerList::IHandlerList())
  #pragma alloc_text(IABernieWeekend,     ISequence<IHandler*>::ISequence(unsigned long))
  #pragma alloc_text(IABernieWeekend,     ILinkedSequence<IHandler*>::ILinkedSequence(unsigned long))
  #pragma alloc_text(IABernieWeekend,     IGLnSq<IHandler*,IStdOps<IHandler*> >::IGLnSq(unsigned long))
  #pragma alloc_text(IABernieWeekend,     IWindowList::current())
  #pragma alloc_text(IABernieWeekend,     IWindowList::IWindowList())
  #pragma alloc_text(IABernieWeekend,     IKeySet<IWindow*,unsigned long>::IKeySet(unsigned long))
  #pragma alloc_text(IABernieWeekend,     IGKeySet<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> >::IGKeySet(unsigned long))
  #pragma alloc_text(IABernieWeekend,     IWKSOnKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long>,IGAvlKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> > >::IWKSOnKSS(unsigned long))
  #pragma alloc_text(IABernieWeekend,     IGAvlKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> >::IGAvlKSS(unsigned long))
  #pragma alloc_text(IABernieWeekend,     IWindow::handle() const)
  #pragma alloc_text(IABernieWeekend,     IWindow::defaultProcedure(IEvent&))
  #pragma alloc_text(IAnotherLoveTune,    IWindow::defaultOrdering())
  #pragma alloc_text(IABernieWeekend,     ITheObjectWindow::handle() const)
  #pragma alloc_text(IBrightBeak,         IWindow::isLayoutDistorted(unsigned long) const)
  #pragma alloc_text(IGRedPepperStich,    IWindow::minimumSize(int) const)
  #pragma alloc_text(IMountainsOfBusch,  IWindow::childAt(const IWindow::ChildCursor&) const)
  #pragma alloc_text(IBruceKnee,          IWindow::sendEvent(unsigned long,const IEventData&,const IEventData&) const)
  #pragma alloc_text(IOnAnotherBenge,    IWindow::layoutAdjustment() const)
  #pragma alloc_text(IProudMary,         IWindow::setAutoDestroyWindow(int))
  #pragma alloc_text(ITheRightPrice,     IWindow::disable())
  #pragma alloc_text(IJudyJudyJudy,      IWindow::postEvent(unsigned long,const IEventData&,const IEventData&) const)
  #pragma alloc_text(IMillerTime,        IWindow::isAutoDestroyWindow() const)
  #pragma alloc_text(IMountainsOfBusch,  IWindow::deleteIsInProcess() const)
  #pragma alloc_text(IMountainsOfBusch,  IWindow::setDeleteInProcess())
  #pragma alloc_text(IMillerTime,        IHandlerList::~IHandlerList())
  #pragma alloc_text(IMillerTime,        ISequence<IHandler*>::~ISequence())
  #pragma alloc_text(IMillerTime,        ILinkedSequence<IHandler*>::~ILinkedSequence())
  #pragma alloc_text(IMillerTime,        IGLnSq<IHandler*,IStdOps<IHandler*> >::~IGLnSq())
  #pragma alloc_text(ITheRightPrice,     IWindow::cleanUpHandler(IHandler&))
  #pragma alloc_text(IMillerTime,        IWKeySetOnKSSetCursor<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long>,IGAvlKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> > >::IWKeySetOnKSSetCursor(const IWKSOnKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long>,IGAvlKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> > >&))
  #pragma alloc_text(IMillerTime,        IGAvlKeySortedSetCursor<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> >::IGAvlKeySortedSetCursor(const IGAvlKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> >&))
  #pragma alloc_text(IMillerTime,        IOrderedCursor<IWindow*>::IOrderedCursor())
  #pragma alloc_text(IMillerTime,        IElementCursor<IWindow*>::IElementCursor())
  #pragma alloc_text(IMillerTime,        IWKeySetOnKSSetCursor<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long>,IGAvlKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> > >::~IWKeySetOnKSSetCursor())
  #pragma alloc_text(IMillerTime,        IGAvlKeySortedSetCursor<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> >::~IGAvlKeySortedSetCursor())
  #pragma alloc_text(IMillerTime,        IOrderedCursor<IWindow*>::~IOrderedCursor())
  #pragma alloc_text(IMillerTime,        IElementCursor<IWindow*>::~IElementCursor())
  #pragma alloc_text(ITheRightPrice,     IWindow::setExceptionFunction(IWindow::ExceptionFn*))
  #pragma alloc_text(IShakAttack,        IWindow::setAutoDeleteObject(int))
  #pragma alloc_text(IOnAnotherBenge,    IWindow::isAutoDeleteObject() const)
  #pragma alloc_text(ITheRightPrice,     IWindow::hide())
  #pragma alloc_text(IOnAnotherBenge,    IWindow::windowWithOwner(unsigned long,const IWindow*,int))
  #pragma alloc_text(IOnAnotherBenge,    IWindowList::~IWindowList())
  #pragma alloc_text(IOnAnotherBenge,    IKeySet<IWindow*,unsigned long>::~IKeySet())
  #pragma alloc_text(IOnAnotherBenge,    IGKeySet<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> >::~IGKeySet())
  #pragma alloc_text(IOnAnotherBenge,    IWKSOnKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long>,IGAvlKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> > >::~IWKSOnKSS())
  #pragma alloc_text(IOnAnotherBenge,    IGAvlKSS<IWindow*,unsigned long,IKCOps<IWindow*,unsigned long> >::~IGAvlKSS())
  #pragma alloc_text(ITsujiNightLive,    IWindow::windowWithParent(unsigned long,const IWindow*,int))
#endif

#ifdef _IWCNAME_CPP_
  #pragma alloc_text(IBrightBeak,         IWindowClassName::IWindowClassName(const IWindowHandle&))
  #pragma alloc_text(IBrightBeak,         IWindowClassName::operator==(const char*) const)
  #pragma alloc_text(IBrightBeak,         IWindowClassName::operator const char*() const)
  #pragma alloc_text(IBrightBeak,         IWindowClassName::~IWindowClassName())
#endif

#ifdef _IHANDLE_CPP_
  #pragma alloc_text(IBrightBeak,         IWindowHandle::isValid() const)
  #pragma alloc_text(IBoezePhoneHome,     IWindowHandle::sendEvent(unsigned long,const IEventData&,const IEventData&) const)
  #pragma alloc_text(IIsHaggarHorrible,  IWindowHandle::postEvent(unsigned long,const IEventData&,const IEventData&) const)
#endif

#ifdef _ICOORDSY_CPP_
  #pragma alloc_text(IABernieWeekend,     ICoordinateSystem::convertToNative(const IRectangle&,const ISize&))
  #pragma alloc_text(IABernieWeekend,     ICoordinateSystem::convertRectangle(const IRectangle&,const ISize&))
  #pragma alloc_text(IStangerHook,       ICoordinateSystem::convertToApplication(const IRectangle&,const ISize&))
#endif

#ifdef _IFRAMHDR_CPP_
  #pragma alloc_text(IABernieWeekend,     IFrameHandler::IFrameHandler())
  #pragma alloc_text(IAbstractArt,        IFrameHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(IGRedPepperStich,    IFrameHandler::activated(IFrameEvent&))
  #pragma alloc_text(ITsujiNightLive,    IFrameHandler::~IFrameHandler())
#endif

#ifdef _IHANDLER_CPP_
  #pragma alloc_text(IABernieWeekend,     IHandler::IHandler())
  #pragma alloc_text(IABernieWeekend,     IHandler::handleEventsFor(IWindow*))
  #pragma alloc_text(IBonannoRepublic,    IHandler::stopHandlingEventsFor(IWindow*))
  #pragma alloc_text(IHolmesBuilder,      IHandler::defaultProcedure(IEvent&))
  #pragma alloc_text(IProudMary,         IHandler::~IHandler())
#endif

#ifdef _IILNSEQ_CPP_
  #pragma alloc_text(IABernieWeekend,     ILinkedSequenceImpl::ILinkedSequenceImpl())
  #pragma alloc_text(IABernieWeekend,     ILinkedSequenceImpl::addAsFirst(ILinkedSequenceImplNode*))
  #pragma alloc_text(IABernieWeekend,     ILinkedSequenceImpl::addAsNext(ILinkedSequenceImplNode*,ILinkedSequenceImplNode*))
  #pragma alloc_text(IABernieWeekend,     ILinkedSequenceImpl::numberOfElements() const)
  #pragma alloc_text(IABernieWeekend,     ILinkedSequenceImpl::setToFirst(ILinkedSequenceImplNode*&) const)
  #pragma alloc_text(IABernieWeekend,     ILinkedSequenceImpl::setToNext(ILinkedSequenceImplNode*&) const)
  #pragma alloc_text(IBonannoRepublic,    ILinkedSequenceImpl::removeAt(ILinkedSequenceImplNode*))
  #pragma alloc_text(IJennsPen,          ILinkedSequenceImpl::addAsLast(ILinkedSequenceImplNode*))
  #pragma alloc_text(IProudMary,         ILinkedSequenceImpl::removeAll(void*,void*))
  #pragma alloc_text(IIsHaggarHorrible,  ILinkedSequenceImpl::removeAll())
  #pragma alloc_text(IIsHaggarHorrible,  ILinkedSequenceImpl::~ILinkedSequenceImpl())
  #pragma alloc_text(IShakAttack,        ILinkedSequenceImpl::setToPosition(unsigned long,ILinkedSequenceImplNode*&) const)
  #pragma alloc_text(ITsujiNightLive,    ILinkedSequenceImpl::setToLast(ILinkedSequenceImplNode*&) const)
  #pragma alloc_text(ITsujiNightLive,    ILinkedSequenceImpl::setToPrevious(ILinkedSequenceImplNode*&) const)
  #pragma alloc_text(ITsujiNightLive,    ILinkedSequenceImpl::removeAtPosition(unsigned long))
#endif

#ifdef _IRECOHDR_CPP_
  #pragma alloc_text(IABernieWeekend,     IRecoordHandler::defaultHandler())
  #pragma alloc_text(IABernieWeekend,     DefaultHandler::operator IRecoordHandler*())
  #pragma alloc_text(IABernieWeekend,     IRecoordHandler::IRecoordHandler())
  #pragma alloc_text(IAbstractArt,        IRecoordHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(IOnAnotherBenge,    IRecoordHandler::windowSizeChanged(IWindowHandle,const IRectangle&,const IRectangle&))
#endif

#ifdef _IWINDOW3_CPP_
  #pragma alloc_text(IOnAnotherBenge,    IWindow::setBackgroundColor(const IColor&))
  #pragma alloc_text(IMountainsOfBusch,  IWindow::setColor(unsigned long,const IColor&))
  #pragma alloc_text(ITsujiNightLive,    IWindow::setDisabledBackgroundColor(const IColor&))
  #pragma alloc_text(IABernieWeekend,     ITheObjectWindow::ITheObjectWindow())
  #pragma alloc_text(IHolmesBuilder,      IWindow::size() const)
  #pragma alloc_text(IShakAttack,        IWindow::sizeTo(const ISize&))
  #pragma alloc_text(IMountainsOfBusch,  IWindow::ChildCursor::ChildCursor(IWindow&))
  #pragma alloc_text(IMountainsOfBusch,  IWindow::ChildCursor::setToFirst())
  #pragma alloc_text(IMountainsOfBusch,  IWindow::ChildCursor::setToNext())
  #pragma alloc_text(IMountainsOfBusch,  IWindow::ChildCursor::isValid() const)
  #pragma alloc_text(IMillerTime,        IWindow::rect() const)
  #pragma alloc_text(IMillerTime,        IWindow::nativeRect() const)
  #pragma alloc_text(IMountainsOfBusch,  IWindow::ChildCursor::~ChildCursor())
  #pragma alloc_text(ITheRightPrice,     IWindow::moveTo(const IPoint&))
  #pragma alloc_text(IMountainsOfBusch,  IWindow::setForegroundColor(const IColor&))
  #pragma alloc_text(IStangerHook,       IWindow::parentSize() const)
  #pragma alloc_text(IStangerHook,       IWindow::parentSize(const IWindowHandle&))
  #pragma alloc_text(IStangerHook,       IWindow::moveSizeTo(const IRectangle&))
  #pragma alloc_text(IProudMary,         IWindow::setBorderColor(const IColor&))
  #pragma alloc_text(IProudMary,         IWindow::setShadowColor(const IColor&))
  #pragma alloc_text(ITheRightPrice,     IWindow::isShowing() const)
  #pragma alloc_text(ITheRightPrice,     IWindow::setOwner(const IWindow*))
  #pragma alloc_text(ITheRightPrice,     IWindow::positionBehindSiblings())
  #pragma alloc_text(IProudMary,         IWindow::color(unsigned long,const IColor&) const)
  #pragma alloc_text(ITsujiNightLive,    IWindow::ChildCursor::invalidate())
  #pragma alloc_text(ITheRightPrice,     IWindow::positionOnSiblings())
#endif

#ifdef _IEVENT_CPP_
  #pragma alloc_text(IABernieWeekend,     IEvent::IEvent(const IWindowHandle&,unsigned long,const IEventData&,const IEventData&))
  #pragma alloc_text(IABernieWeekend,     IEvent::~IEvent())
  #pragma alloc_text(IHolmesBuilder,      IEvent::window() const)
  #pragma alloc_text(IHolmesBuilder,      IEvent::IEvent(const IEvent&))
  #pragma alloc_text(IOnAnotherBenge,    IEvent::controlWindow() const)
#endif

#ifdef _ICMDHDR_CPP_
  #pragma alloc_text(IHolmesBuilder,      ICommandHandler::ICommandHandler())
  #pragma alloc_text(IJudyJudyJudy,      ICommandHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(IProudMary,         ICommandHandler::~ICommandHandler())
#endif

#ifdef _ISETCV_CPP_
  #pragma alloc_text(IMillerTime,        ISetCanvas::defaultStyle())
  #pragma alloc_text(IMillerTime,        ISetCanvas::ISetCanvas(unsigned long,IWindow*,IWindow*,const IRectangle&,const ISetCanvas::Style&))
  #pragma alloc_text(IMillerTime,        ISetCanvasResizeHandler::ISetCanvasResizeHandler())
  #pragma alloc_text(IMillerTime,        ISetCanvas::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(IMillerTime,        ISetCanvas::setLayoutDistorted(unsigned long,unsigned long))
  #pragma alloc_text(IMountainsOfBusch,  ISetCanvas::setMargin(const ISize&))
  #pragma alloc_text(IOnAnotherBenge,    ISetCanvas::setPad(const ISize&))
  #pragma alloc_text(ITsujiNightLive,    ISetCanvas::setPackType(ISetCanvas::PackType))
  #pragma alloc_text(IShakAttack,        ISetCanvas::setAlignment(ISetCanvas::Alignment))
  #pragma alloc_text(IProudMary,         ISetCanvas::layout())
  #pragma alloc_text(IProudMary,         ISetCanvasObjectList::ISetCanvasObjectList())
  #pragma alloc_text(IProudMary,         ISequence<ISetCanvasObject*>::ISequence(unsigned long))
  #pragma alloc_text(IProudMary,         ILinkedSequence<ISetCanvasObject*>::ILinkedSequence(unsigned long))
  #pragma alloc_text(IProudMary,         IGLnSq<ISetCanvasObject*,IStdOps<ISetCanvasObject*> >::IGLnSq(unsigned long))
  #pragma alloc_text(IProudMary,         ISetCanvas::text() const)
  #pragma alloc_text(IProudMary,         ISetCanvas::deckOrientation() const)
  #pragma alloc_text(IProudMary,         IGLnSqCrs<ISetCanvasObject*,IStdOps<ISetCanvasObject*> >::IGLnSqCrs(const IGLnSq<ISetCanvasObject*,IStdOps<ISetCanvasObject*> >&))
  #pragma alloc_text(IProudMary,         IOrderedCursor<ISetCanvasObject*>::IOrderedCursor())
  #pragma alloc_text(IProudMary,         IElementCursor<ISetCanvasObject*>::IElementCursor())
  #pragma alloc_text(IProudMary,         ISetCanvas::packType() const)
  #pragma alloc_text(IProudMary,         ISetCanvas::expandForText())
  #pragma alloc_text(IProudMary,         ISetCanvasDeleter(ISetCanvasObject* const&,void*))
  #pragma alloc_text(IProudMary,         ISetCanvasObjectList::~ISetCanvasObjectList())
  #pragma alloc_text(IProudMary,         ISequence<ISetCanvasObject*>::~ISequence())
  #pragma alloc_text(IProudMary,         ILinkedSequence<ISetCanvasObject*>::~ILinkedSequence())
  #pragma alloc_text(IProudMary,         IGLnSq<ISetCanvasObject*,IStdOps<ISetCanvasObject*> >::~IGLnSq())
  #pragma alloc_text(IProudMary,         IGLnSqCrs<ISetCanvasObject*,IStdOps<ISetCanvasObject*> >::~IGLnSqCrs())
  #pragma alloc_text(IProudMary,         IOrderedCursor<ISetCanvasObject*>::~IOrderedCursor())
  #pragma alloc_text(IProudMary,         IElementCursor<ISetCanvasObject*>::~IElementCursor())
  #pragma alloc_text(IProudMary,         ISetCanvasResizeHandler::windowResize(IResizeEvent&))
  #pragma alloc_text(IShakAttack,        ISetCanvas::~ISetCanvas())
  #pragma alloc_text(IShakAttack,        ISetCanvasResizeHandler::~ISetCanvasResizeHandler())
  #pragma alloc_text(IShakAttack,        ISetCanvas::setGroupPad(unsigned long))
  #pragma alloc_text(ITheRightPrice,     ISetCanvas::setDeckOrientation(ISetCanvas::DeckOrientation))
  #pragma alloc_text(ITsujiNightLive,    ISetCanvas::groupPad() const)
#endif

#ifdef _ICANVAS_CPP_
  #pragma alloc_text(IHamiltonianQuill,   ICanvas::defaultStyle())
  #pragma alloc_text(IHamiltonianQuill,   ICanvas::ICanvas(unsigned long,IWindow*,IWindow*,const IRectangle&,const ICanvas::Style&))
  #pragma alloc_text(IHamiltonianQuill,   ICanvas::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(IHamiltonianQuill,   ICanvas::setLayoutDistorted(unsigned long,unsigned long))
  #pragma alloc_text(IProudMary,         ICanvas::calcMinimumSize() const)
  #pragma alloc_text(IMountainsOfBusch,  ICanvas::fixupChildren())
  #pragma alloc_text(IMountainsOfBusch,  ICanvas::origDefaultButtonHandle() const)
  #pragma alloc_text(IShakAttack,        ICanvas::isTabStop() const)
  #pragma alloc_text(IProudMary,         ICanvas::~ICanvas())
#endif

#ifdef _ICONTROL_CPP_
  #pragma alloc_text(IAbstractArt,        IControl::IControl())
  #pragma alloc_text(IMountainsOfBusch,  IControl::isTabStop() const)
  #pragma alloc_text(IMountainsOfBusch,  IControl::enableTabStop(int))
  #pragma alloc_text(IMountainsOfBusch,  IControl::~IControl())
  #pragma alloc_text(IProudMary,         IControl::enableGroup(int))
  #pragma alloc_text(IShakAttack,        IControl::isGroup() const)
#endif

#ifdef _ICVHDR_CPP_
  #pragma alloc_text(IHamiltonianQuill,   ICanvasStatics::canvasHandler())
  #pragma alloc_text(IHamiltonianQuill,   ICanvasHandler::ICanvasHandler())
  #pragma alloc_text(IHamiltonianQuill,   ICanvasHandler::handleEventsFor(ICanvas*))
  #pragma alloc_text(IJennsPen,          ICanvasHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(IProudMary,         ICanvasHandler::stopHandlingEventsFor(ICanvas*))
  #pragma alloc_text(ITheRightPrice,     ICanvasHandler::layoutCanvas(IEvent&))
  #pragma alloc_text(ITheRightPrice,     ICanvasHandler::~ICanvasHandler())
#endif

#ifdef _ISIZEHDR_CPP_
  #pragma alloc_text(IJennsPen,          IResizeHandler::IResizeHandler())
  #pragma alloc_text(IMillerTime,        IResizeHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(IShakAttack,        IResizeHandler::~IResizeHandler())
#endif

#ifdef _IPUSHBUT_CPP_
  #pragma alloc_text(IProudMary,         IPushButton::defaultStyle())
  #pragma alloc_text(IProudMary,         IPushButton::IPushButton(unsigned long,IWindow*,IWindow*,const IRectangle&,const IPushButton::Style&))
  #pragma alloc_text(IProudMary,         IPushButton::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(IStangerHook,       IPushButton::calcMinimumSize() const)
  #pragma alloc_text(ITheRightPrice,     IPushButton::~IPushButton())
#endif

#ifdef _IBUTTON_CPP_
  #pragma alloc_text(IJennsPen,          IButton::IButton())
  #pragma alloc_text(IMillerTime,        IButton::setText(const char*))
  #pragma alloc_text(IStangerHook,       IButton::setText(const IResourceId&))
  #pragma alloc_text(IShakAttack,        IButton::~IButton())
#endif

#ifdef _ITEXTCTL_CPP_
  #pragma alloc_text(IBoezePhoneHome,     ITextControl::ITextControl())
  #pragma alloc_text(IBoezePhoneHome,     ITextControlData::ITextControlData())
  #pragma alloc_text(IBoezePhoneHome,     ITextControl::setLayoutDistorted(unsigned long,unsigned long))
  #pragma alloc_text(IHolmesBuilder,      ITextControl::setText(const char*))
  #pragma alloc_text(IHolmesBuilder,      ITextControl::text() const)
  #pragma alloc_text(IProudMary,         ITextControl::setText(const IResourceId&))
  #pragma alloc_text(IIsHaggarHorrible,  ITextControl::displaySize(const char*) const)
  #pragma alloc_text(IMillerTime,        ITextControl::textLength() const)
  #pragma alloc_text(IProudMary,         ITextControl::~ITextControl())
  #pragma alloc_text(IProudMary,         ITextControlData::~ITextControlData())
#endif

#ifdef _ISTRING6_CPP_
  #pragma alloc_text(IBruceKnee,          IString::indexOf(char,unsigned int) const)
#endif

#ifdef _INOTIFEV_CPP_
  #pragma alloc_text(IAnotherLoveTune,    INotificationEvent::INotificationEvent(const char* const&,INotifier&,int,const IEventData&,const IEventData&))
  #pragma alloc_text(IAnotherLoveTune,    INotificationEvent::~INotificationEvent())
#endif

#ifdef _IWINDOW6_CPP_
  #pragma alloc_text(IAnotherLoveTune,    IWindow::notifyObservers(const INotificationEvent&))
  #pragma alloc_text(IAnotherLoveTune,    IWindow::isEnabledForNotification() const)
  #pragma alloc_text(ITsujiNightLive,    IWindow::addObserver(IObserver&,const IEventData&))
  #pragma alloc_text(ITsujiNightLive,    IWindow::observerList() const)
  #pragma alloc_text(ITsujiNightLive,    IWindowData::observerData())
  #pragma alloc_text(ITsujiNightLive,    IObserverData::IObserverData())
  #pragma alloc_text(ITsujiNightLive,    IWindow::notificationHandler() const)
  #pragma alloc_text(ITsujiNightLive,    IWindow::setNotificationHandler(IWindowNotifyHandler*))
  #pragma alloc_text(ITsujiNightLive,    IWindow::enableNotification(int))
#endif

#ifdef _IFRAMEXT_CPP_
  #pragma alloc_text(IJudyJudyJudy,      IFrameExtensions::IFrameExtensions())
  #pragma alloc_text(IJudyJudyJudy,      ISequence<IFrameExtension*>::ISequence(unsigned long))
  #pragma alloc_text(IJudyJudyJudy,      ILinkedSequence<IFrameExtension*>::ILinkedSequence(unsigned long))
  #pragma alloc_text(IJudyJudyJudy,      IGLnSq<IFrameExtension*,IStdOps<IFrameExtension*> >::IGLnSq(unsigned long))
  #pragma alloc_text(IMillerTime,        IFrameExtension::attachedToId() const)
  #pragma alloc_text(IMillerTime,        IFrameExtension::attachTo(ISWP&))
  #pragma alloc_text(IMillerTime,        IFrameExtension::sizeTo(const ISize&) const)
  #pragma alloc_text(IShakAttack,        IFrameExtension::fixedSize() const)
  #pragma alloc_text(IMillerTime,        IFrameExtension::separatorWidth() const)
  #pragma alloc_text(ITsujiNightLive,    IFrameExtension::baseRectFor(const IRectangle&) const)
  #pragma alloc_text(ITheRightPrice,     IFrameExtension::totalRectFor(const IRectangle&) const)
  #pragma alloc_text(IMountainsOfBusch,  IFrameExtension::drawSeparator(const IPresSpaceHandle&))
  #pragma alloc_text(ITsujiNightLive,    IFrameExtension::setSize(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IFrameExtensions::~IFrameExtensions())
  #pragma alloc_text(ITsujiNightLive,    ISequence<IFrameExtension*>::~ISequence())
  #pragma alloc_text(ITsujiNightLive,    ILinkedSequence<IFrameExtension*>::~ILinkedSequence())
  #pragma alloc_text(ITsujiNightLive,    IGLnSq<IFrameExtension*,IStdOps<IFrameExtension*> >::~IGLnSq())
  #pragma alloc_text(ITsujiNightLive,    IFrameExtension::relativeSize() const)
#endif

#ifdef _ILISTBOX_CPP_
  #pragma alloc_text(IStangerHook,       IListBox::defaultStyle())
  #pragma alloc_text(IStangerHook,       IListBox::IListBox(unsigned long,IWindow*,IWindow*,const IRectangle&,const IListBox::Style&))
  #pragma alloc_text(ITsujiNightLive,    IListBox::addAscending(const IResourceId&))
  #pragma alloc_text(ITsujiNightLive,    IListBox::addAscending(const char*))
  #pragma alloc_text(ITsujiNightLive,    IListBox::add(unsigned long,const char*))
  #pragma alloc_text(ITsujiNightLive,    IListBox::~IListBox())
  #pragma alloc_text(ITsujiNightLive,    IListBoxData::~IListBoxData())
#endif

#ifdef _ILISTBAS_CPP_
  #pragma alloc_text(IStangerHook,       IBaseListBox::IBaseListBox(unsigned long,IWindow*,IWindow*,const IRectangle&,const IBaseListBox::Style&))
  #pragma alloc_text(IStangerHook,       IBaseListBox::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(IStangerHook,       IBaseListBox::count() const)
  #pragma alloc_text(ITsujiNightLive,    IBaseListBox::incrementChangeCount())
  #pragma alloc_text(ITsujiNightLive,    IBaseListBox::~IBaseListBox())
  #pragma alloc_text(ITsujiNightLive,    IBaseListBoxData::~IBaseListBoxData())
#endif

#ifdef _IFRAMEVT_CPP_
  #pragma alloc_text(IHolmesBuilder,      IFrameFormatEvent::IFrameFormatEvent(const IEvent&))
  #pragma alloc_text(IHolmesBuilder,      IFrameEvent::IFrameEvent(const IEvent&))
  #pragma alloc_text(IHolmesBuilder,      IFrameFormatEvent::IFrameFormatEvent(const IFrameFormatEvent&))
  #pragma alloc_text(IHolmesBuilder,      IFrameEvent::IFrameEvent(const IFrameEvent&))
  #pragma alloc_text(IHolmesBuilder,      IFrameEvent::operator=(const IFrameEvent&))
  #pragma alloc_text(IHolmesBuilder,      IFrameFormatEvent::~IFrameFormatEvent())
  #pragma alloc_text(IHolmesBuilder,      IFrameEvent::~IFrameEvent())
  #pragma alloc_text(IMillerTime,        IFrameFormatEvent::clientRect() const)
  #pragma alloc_text(IMillerTime,        IFrameFormatEvent::setClientRect(const IRectangle&))
#endif

#ifdef _ISWP_CPP_
  #pragma alloc_text(IMillerTime,        ISWPArray::indexOf(unsigned long) const)
  #pragma alloc_text(IMountainsOfBusch,  ISWP::setMove(int))
  #pragma alloc_text(IMountainsOfBusch,  ISWP::setNoAdjust(int))
  #pragma alloc_text(IMountainsOfBusch,  ISWP::setSizeFlag(int))
  #pragma alloc_text(IMountainsOfBusch,  ISWP::isSize() const)
  #pragma alloc_text(IMountainsOfBusch,  ISWP::isMove() const)
  #pragma alloc_text(IMountainsOfBusch,  ISWP::isZOrder() const)
  #pragma alloc_text(IMountainsOfBusch,  ISWP::isShow() const)
  #pragma alloc_text(IMountainsOfBusch,  ISWP::setShow(int))
  #pragma alloc_text(IMountainsOfBusch,  ISWP::isHide() const)
  #pragma alloc_text(IMountainsOfBusch,  ISWP::setHide(int))
#endif

#ifdef _IMCELCV_CPP_
  #pragma alloc_text(IStangerHook,       IMultiCellCanvas::IMultiCellCanvas(unsigned long,IWindow*,IWindow*,const IRectangle&,const IMultiCellCanvas::Style&))
  #pragma alloc_text(IStangerHook,       IMultiCellCanvas::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(IStangerHook,       IMultiCellCanvasList::IMultiCellCanvasList())
  #pragma alloc_text(IStangerHook,       IKeySet<IMCCvCell*,unsigned long>::IKeySet(unsigned long))
  #pragma alloc_text(IStangerHook,       IGKeySet<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long> >::IGKeySet(unsigned long))
  #pragma alloc_text(IStangerHook,       IWKSOnKSS<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long>,IGAvlKSS<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long> > >::IWKSOnKSS(unsigned long))
  #pragma alloc_text(IStangerHook,       IGAvlKSS<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long> >::IGAvlKSS(unsigned long))
  #pragma alloc_text(IStangerHook,       IRowColumnHeaderList::IRowColumnHeaderList())
  #pragma alloc_text(IStangerHook,       IKeySet<IRCHeader*,unsigned long>::IKeySet(unsigned long))
  #pragma alloc_text(IStangerHook,       IGKeySet<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long> >::IGKeySet(unsigned long))
  #pragma alloc_text(IStangerHook,       IWKSOnKSS<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long>,IGAvlKSS<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long> > >::IWKSOnKSS(unsigned long))
  #pragma alloc_text(IStangerHook,       IGAvlKSS<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long> >::IGAvlKSS(unsigned long))
  #pragma alloc_text(IStangerHook,       IMultiCellCanvas::setLayoutDistorted(unsigned long,unsigned long))
  #pragma alloc_text(ITheRightPrice,     IMultiCellCanvas::defaultCell())
  #pragma alloc_text(IStangerHook,       IMultiCellCanvas::addToCell(IWindow*,unsigned long,unsigned long,unsigned long,unsigned long))
  #pragma alloc_text(IStangerHook,       IMultiCellCanvasList::operator()(unsigned long,unsigned long))
  #pragma alloc_text(IStangerHook,       IWKeySetOnKSSetCursor<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long>,IGAvlKSS<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long> > >::IWKeySetOnKSSetCursor(const IWKSOnKSS<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long>,IGAvlKSS<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long> > >&))
  #pragma alloc_text(IStangerHook,       IGAvlKeySortedSetCursor<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long> >::IGAvlKeySortedSetCursor(const IGAvlKSS<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long> >&))
  #pragma alloc_text(IStangerHook,       IOrderedCursor<IMCCvCell*>::IOrderedCursor())
  #pragma alloc_text(IStangerHook,       IElementCursor<IMCCvCell*>::IElementCursor())
  #pragma alloc_text(IStangerHook,       IWKeySetOnKSSetCursor<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long>,IGAvlKSS<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long> > >::~IWKeySetOnKSSetCursor())
  #pragma alloc_text(IStangerHook,       IGAvlKeySortedSetCursor<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long> >::~IGAvlKeySortedSetCursor())
  #pragma alloc_text(IStangerHook,       IOrderedCursor<IMCCvCell*>::~IOrderedCursor())
  #pragma alloc_text(IStangerHook,       IElementCursor<IMCCvCell*>::~IElementCursor())
  #pragma alloc_text(IStangerHook,       IRowColumnHeaderList::updateHeaders(unsigned long,unsigned long))
  #pragma alloc_text(IStangerHook,       IWKeySetOnKSSetCursor<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long>,IGAvlKSS<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long> > >::IWKeySetOnKSSetCursor(const IWKSOnKSS<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long>,IGAvlKSS<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long> > >&))
  #pragma alloc_text(IStangerHook,       IGAvlKeySortedSetCursor<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long> >::IGAvlKeySortedSetCursor(const IGAvlKSS<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long> >&))
  #pragma alloc_text(IStangerHook,       IOrderedCursor<IRCHeader*>::IOrderedCursor())
  #pragma alloc_text(IStangerHook,       IElementCursor<IRCHeader*>::IElementCursor())
  #pragma alloc_text(IStangerHook,       IWKeySetOnKSSetCursor<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long>,IGAvlKSS<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long> > >::~IWKeySetOnKSSetCursor())
  #pragma alloc_text(IStangerHook,       IGAvlKeySortedSetCursor<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long> >::~IGAvlKeySortedSetCursor())
  #pragma alloc_text(IStangerHook,       IOrderedCursor<IRCHeader*>::~IOrderedCursor())
  #pragma alloc_text(IStangerHook,       IElementCursor<IRCHeader*>::~IElementCursor())
  #pragma alloc_text(ITheRightPrice,     IMultiCellCanvas::setColumnWidth(unsigned long,unsigned long,int))
  #pragma alloc_text(ITheRightPrice,     IRowColumnHeaderList::operator()(unsigned long,unsigned long))
  #pragma alloc_text(ITheRightPrice,     IMultiCellCanvas::setRowHeight(unsigned long,unsigned long,int))
  #pragma alloc_text(ITheRightPrice,     IMultiCellCanvas::layout())
  #pragma alloc_text(ITheRightPrice,     IMultiCellCanvas::pass1())
  #pragma alloc_text(ITheRightPrice,     IRowColHeaderInitializer(IRCHeader* const&,void*))
  #pragma alloc_text(ITheRightPrice,     IMultiCellCanvas::pass3())
  #pragma alloc_text(ITheRightPrice,     IMultiCellCanvas::computeExpandedRowsCols())
  #pragma alloc_text(ITheRightPrice,     IMultiCellCanvas::pass4())
  #pragma alloc_text(IStangerHook,       IMultiCellCanvas::defaultStyle())
  #pragma alloc_text(ITheRightPrice,     IMultiCellCanvas::pass2())
  #pragma alloc_text(ITsujiNightLive,    IRCHeader::nullCell())
  #pragma alloc_text(ITsujiNightLive,    IMultiCellCanvas::~IMultiCellCanvas())
  #pragma alloc_text(ITsujiNightLive,    IMultiCellCanvasDeleter(IMCCvCell* const&,void*))
  #pragma alloc_text(ITsujiNightLive,    IMultiCellCanvasList::~IMultiCellCanvasList())
  #pragma alloc_text(ITsujiNightLive,    IKeySet<IMCCvCell*,unsigned long>::~IKeySet())
  #pragma alloc_text(ITsujiNightLive,    IGKeySet<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long> >::~IGKeySet())
  #pragma alloc_text(ITsujiNightLive,    IWKSOnKSS<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long>,IGAvlKSS<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long> > >::~IWKSOnKSS())
  #pragma alloc_text(ITsujiNightLive,    IGAvlKSS<IMCCvCell*,unsigned long,IKCOps<IMCCvCell*,unsigned long> >::~IGAvlKSS())
  #pragma alloc_text(ITsujiNightLive,    IRowColumnHeaderDeleter(IRCHeader* const&,void*))
  #pragma alloc_text(ITsujiNightLive,    IRCHeader::~IRCHeader())
  #pragma alloc_text(ITsujiNightLive,    IRowColumnHeaderList::~IRowColumnHeaderList())
  #pragma alloc_text(ITsujiNightLive,    IKeySet<IRCHeader*,unsigned long>::~IKeySet())
  #pragma alloc_text(ITsujiNightLive,    IGKeySet<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long> >::~IGKeySet())
  #pragma alloc_text(ITsujiNightLive,    IWKSOnKSS<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long>,IGAvlKSS<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long> > >::~IWKSOnKSS())
  #pragma alloc_text(ITsujiNightLive,    IGAvlKSS<IRCHeader*,unsigned long,IKCOps<IRCHeader*,unsigned long> >::~IGAvlKSS())
#endif

#ifdef _IMCELCVH_CPP_
  #pragma alloc_text(IStangerHook,       IMultiCellCanvasHandler::IMultiCellCanvasHandler())
  #pragma alloc_text(IStangerHook,       IMultiCellCanvasHandler::handleEventsFor(IMultiCellCanvas*))
  #pragma alloc_text(ITheRightPrice,     IMultiCellCanvasHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(ITsujiNightLive,    IMultiCellCanvasHandler::stopHandlingEventsFor(IMultiCellCanvas*))
  #pragma alloc_text(ITsujiNightLive,    IMultiCellCanvasHandler::~IMultiCellCanvasHandler())
#endif

#ifdef _ISTATTXT_CPP_
  #pragma alloc_text(IGRedPepperStich,    IStaticText::defaultStyle())
  #pragma alloc_text(IBrightBeak,         IStaticText::IStaticText(unsigned long,IWindow*,IWindow*,const IRectangle&,const IStaticText::Style&))
  #pragma alloc_text(IBrightBeak,         IStaticTextData::IStaticTextData())
  #pragma alloc_text(IBrightBeak,         IStaticText::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(IBrightBeak,         DefaultHandler::operator IStaticTextHandler*())
  #pragma alloc_text(IProudMary,         IStaticText::setText(const IResourceId&))
  #pragma alloc_text(IJennsPen,          IStaticText::setText(const char*))
  #pragma alloc_text(IIsHaggarHorrible,  IStaticText::calcMinimumSize() const)
  #pragma alloc_text(IOnAnotherBenge,    IStaticText::setAlignment(IStaticText::Alignment))
  #pragma alloc_text(IShakAttack,        IStaticText::~IStaticText())
  #pragma alloc_text(IShakAttack,        IStaticTextData::~IStaticTextData())
  #pragma alloc_text(IProudMary,         IStaticText::setLimit(unsigned long))
  #pragma alloc_text(IProudMary,         IStaticText::notify(const char*,int))
  #pragma alloc_text(IProudMary,         IStaticText::calcLimitSize() const)
  #pragma alloc_text(IProudMary,         IStaticText::foregroundColor() const)
  #pragma alloc_text(IProudMary,         IStaticText::backgroundColor() const)
  #pragma alloc_text(IProudMary,         IStaticText::fillColor() const)
#endif

#ifdef _ISTATHDR_CPP_
  #pragma alloc_text(IBrightBeak,         IStaticTextHandler::IStaticTextHandler())
  #pragma alloc_text(IProudMary,         IStaticTextHandler::paintWindow(IPaintEvent&))
#endif

#ifdef _IPAINHDR_CPP_
  #pragma alloc_text(IBrightBeak,         IPaintHandler::IPaintHandler())
  #pragma alloc_text(IBrightBeak,         IPaintHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(ITsujiNightLive,    IPaintHandler::~IPaintHandler())
#endif

#ifdef _ISLIDER_CPP_
  #pragma alloc_text(ITsujiNightLive,    IProgressIndicator::defaultStyle())
  #pragma alloc_text(ITsujiNightLive,    IProgressIndicator::IProgressIndicator(unsigned long,IWindow*,IWindow*,const IRectangle&,unsigned long,unsigned long,const IProgressIndicator::Style&))
  #pragma alloc_text(ITsujiNightLive,    IProgressIndicator::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(ITsujiNightLive,    IProgressIndicator::initialize(unsigned long,unsigned long,unsigned long,unsigned long,const IRectangle&,void*))
  #pragma alloc_text(ITsujiNightLive,    IProgressIndicator::setTickLength(unsigned long,unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IProgressIndicator::setTickText(unsigned long,const char*))
  #pragma alloc_text(ITsujiNightLive,    IProgressIndicator::calcMinimumSize() const)
  #pragma alloc_text(ITsujiNightLive,    IProgressIndicator::~IProgressIndicator())
#endif

#ifdef _ICMNFUN_CPP_
  #pragma alloc_text(IOnAnotherBenge,    defaultbackgroundcolor(IWindowHandle))
#endif

#ifdef _IMCELCVC_CPP_
  #pragma alloc_text(IStangerHook,       IMCCvCell::nullCell())
#endif

#ifdef _IWPOSBUF_CPP_
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBuffer::IWindowPosBuffer(IWindow*))
  #pragma alloc_text(IMountainsOfBusch,  IWinPosSet::IWinPosSet())
  #pragma alloc_text(IMountainsOfBusch,  IKeySet<IWindowPosBuffer::Item*,unsigned long>::IKeySet(unsigned long))
  #pragma alloc_text(IMountainsOfBusch,  IGKeySet<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long> >::IGKeySet(unsigned long))
  #pragma alloc_text(IMountainsOfBusch,  IWKSOnKSS<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long>,IGAvlKSS<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long> > >::IWKSOnKSS(unsigned long))
  #pragma alloc_text(IMountainsOfBusch,  IGAvlKSS<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long> >::IGAvlKSS(unsigned long))
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBuffer::IWindowPosBuffer(const IWindowPosBuffer&))
  #pragma alloc_text(IMountainsOfBusch,  IWKeySetOnKSSetCursor<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long>,IGAvlKSS<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long> > >::IWKeySetOnKSSetCursor(const IWKSOnKSS&)XTPQ2_16IWindowPosBuffer4ItemTUlT6IKCOpsXTPQ2_16IWindow)
  #pragma alloc_text(IMountainsOfBusch,  IGAvlKeySortedSetCursor<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long> >::IGAvlKeySortedSetCursor(const IGAvlKSS<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long> >&))
  #pragma alloc_text(IMountainsOfBusch,  IOrderedCursor<IWindowPosBuffer::Item*>::IOrderedCursor())
  #pragma alloc_text(IMountainsOfBusch,  IElementCursor<IWindowPosBuffer::Item*>::IElementCursor())
  #pragma alloc_text(IMountainsOfBusch,  IWKeySetOnKSSetCursor<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long>,IGAvlKSS<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long> > >::~IWKeySetOnKSSetCursor())
  #pragma alloc_text(IMountainsOfBusch,  IGAvlKeySortedSetCursor<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long> >::~IGAvlKeySortedSetCursor())
  #pragma alloc_text(IMountainsOfBusch,  IOrderedCursor<IWindowPosBuffer::Item*>::~IOrderedCursor())
  #pragma alloc_text(IMountainsOfBusch,  IElementCursor<IWindowPosBuffer::Item*>::~IElementCursor())
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBuffer::~IWindowPosBuffer())
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBuffer::empty())
  #pragma alloc_text(IMountainsOfBusch,  IWinPosSet::~IWinPosSet())
  #pragma alloc_text(IMountainsOfBusch,  IKeySet<IWindowPosBuffer::Item*,unsigned long>::~IKeySet())
  #pragma alloc_text(IMountainsOfBusch,  IGKeySet<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long> >::~IGKeySet())
  #pragma alloc_text(IMountainsOfBusch,  IWKSOnKSS<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long>,IGAvlKSS<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long> > >::~IWKSOnKSS())
  #pragma alloc_text(IMountainsOfBusch,  IGAvlKSS<IWindowPosBuffer::Item*,unsigned long,IKCOps<IWindowPosBuffer::Item*,unsigned long> >::~IGAvlKSS())
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBuffer::moveSizeTo(IWindow*,const IRectangle&))
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBuffer::moveSizeTo(const IWindowHandle&,const IRectangle&))
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBuffer::moveTo(const IWindowHandle&,const IPoint&))
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBuffer::createOrLocate(const IWindowHandle&))
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBuffer::Item::Item(const IWindowHandle&))
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBuffer::sizeTo(const IWindowHandle&,const ISize&))
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBuffer::apply(int))
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBufferDeleter(IWindowPosBuffer::Item* const&,void*))
  #pragma alloc_text(IMountainsOfBusch,  IWindowPosBuffer::Item::~Item())
#endif

#ifdef _IWINDOW8_CPP_
  #pragma alloc_text(IGRedPepperStich,    IWindow::isBidiSupported() const)
  #pragma alloc_text(IGRedPepperStich,    IWindowBidiData::IWindowBidiData())
#endif

#ifdef _ISIZEEVT_CPP_
  #pragma alloc_text(IMountainsOfBusch,  IResizeEvent::IResizeEvent(const IEvent&))
  #pragma alloc_text(IMountainsOfBusch,  IResizeEvent::~IResizeEvent())
  #pragma alloc_text(IOnAnotherBenge,    IResizeEvent::newSize() const)
  #pragma alloc_text(IOnAnotherBenge,    IResizeEvent::oldSize() const)
#endif

#ifdef _IMOUSHDR_CPP_
  #pragma alloc_text(IJudyJudyJudy,      IMouseHandler::IMouseHandler())
  #pragma alloc_text(IOnAnotherBenge,    IMouseHandler::dispatchHandlerEvent(IEvent&))
#endif

#ifdef _ITITLE_CPP_
  #pragma alloc_text(ITsujiNightLive,    ITitle::ITitle(IWindow*,const char*,const char*,unsigned long))
  #pragma alloc_text(IStangerHook,       titleBarHwnd(IWindow*))
  #pragma alloc_text(IStangerHook,       ITitle::setTitleText(const char*,const char*,unsigned long))
  #pragma alloc_text(ITheRightPrice,     ITitle::ITitle(IWindow*,const IResourceId&,const IResourceId&,unsigned long))
#endif

#ifdef _ICNRCTL9_CPP_
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::defaultStyle())
  #pragma alloc_text(IStangerHook,       ICnrCtl::defaultAttribute())
  #pragma alloc_text(IStangerHook,       ICnrCtl::hwndAllocation())
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::setAllocationContainer(unsigned long))
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::addDefaultHandler())
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::destroyHandler())
  #pragma alloc_text(ITheRightPrice,     ICnrDestroyHandler::ICnrDestroyHandler())
  #pragma alloc_text(ITheRightPrice,     ICnrDestroyHandler::handleEventsFor(ICnrCtl*))
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::containerKey())
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::setContainerInfo(ICnrInfo*,unsigned long))
  #pragma alloc_text(ITheRightPrice,     ICnrDestroyHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::setDeleteObjectsOnClose(int))
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::setDeleteColumnsOnClose(int))
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::baseRecordSize())
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::containerInfo(ICnrInfo*) const)
#endif

#ifdef _ICNRCTL0_CPP_
  #pragma alloc_text(IStangerHook,       ICnrCtl::ICnrCtl(unsigned long,IWindow*,IWindow*,const IRectangle&,const ICnrCtl::Style&,const ICnrCtl::Attribute&))
  #pragma alloc_text(IStangerHook,       ICnrCtl::initialize())
  #pragma alloc_text(IStangerHook,       ICnrCtl::containerList())
  #pragma alloc_text(IStangerHook,       ICnrControlList::ICnrControlList())
  #pragma alloc_text(IStangerHook,       ISet<ICnrCtl*>::ISet(unsigned long))
  #pragma alloc_text(IStangerHook,       IGSet<ICnrCtl*,IECOps<ICnrCtl*> >::IGSet(unsigned long))
  #pragma alloc_text(IStangerHook,       IWStOnKSS<ICnrCtl*,IECOps<ICnrCtl*>,IGAvlKSS<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > > >::IWStOnKSS(unsigned long))
  #pragma alloc_text(IStangerHook,       IGAvlKSS<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > >::IGAvlKSS(unsigned long))
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::addContainer())
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::setDefaultContainer(const ICnrCtl::Attribute&))
  #pragma alloc_text(ITheRightPrice,     ICnrInfo::ICnrInfo())
  #pragma alloc_text(ITheRightPrice,     ICnrInfo::~ICnrInfo())
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::deleteAllObjects())
  #pragma alloc_text(ITsujiNightLive,    ICnrControlList::ICnrControlList(const ICnrControlList&))
  #pragma alloc_text(ITsujiNightLive,    ISet<ICnrCtl*>::ISet(const ISet<ICnrCtl*>&))
  #pragma alloc_text(ITsujiNightLive,    IGSet<ICnrCtl*,IECOps<ICnrCtl*> >::IGSet(const IGSet<ICnrCtl*,IECOps<ICnrCtl*> >&))
  #pragma alloc_text(ITsujiNightLive,    IWStOnKSS<ICnrCtl*,IECOps<ICnrCtl*>,IGAvlKSS<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > > >::IWStOnKSS(const IWStOnKSS<ICnrCtl*,IECOps<ICnrCtl*>,IGAvlKSS<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > > >&))
  #pragma alloc_text(ITsujiNightLive,    IGAvlKSS<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > >::IGAvlKSS(const IGAvlKSS<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > >&))
  #pragma alloc_text(ITsujiNightLive,    IWSetOnKSSetCursor<ICnrCtl*,IECOps<ICnrCtl*>,IGAvlKSS<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > > >::IWSetOnKSSetCursor(const IWStOnKSS&)XTP7ICnrCtlT6IECOpsXTP7ICnrCtl_T8IGAvlKSSXTP7ICnrCtlTP7ICnrCtlT11IOpsWithKeyXTP7ICnrCtlT6IECOpsXTP7ICnrCtl)
  #pragma alloc_text(ITsujiNightLive,    IGAvlKeySortedSetCursor<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > >::IGAvlKeySortedSetCursor(const IGAvlKSS<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > >&))
  #pragma alloc_text(ITsujiNightLive,    IOrderedCursor<ICnrCtl*>::IOrderedCursor())
  #pragma alloc_text(ITsujiNightLive,    IElementCursor<ICnrCtl*>::IElementCursor())
  #pragma alloc_text(ITsujiNightLive,    IWSetOnKSSetCursor<ICnrCtl*,IECOps<ICnrCtl*>,IGAvlKSS<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > > >::~IWSetOnKSSetCursor())
  #pragma alloc_text(ITsujiNightLive,    IGAvlKeySortedSetCursor<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > >::~IGAvlKeySortedSetCursor())
  #pragma alloc_text(ITsujiNightLive,    IOrderedCursor<ICnrCtl*>::~IOrderedCursor())
  #pragma alloc_text(ITsujiNightLive,    IElementCursor<ICnrCtl*>::~IElementCursor())
  #pragma alloc_text(ITsujiNightLive,    ICnrControlList::~ICnrControlList())
  #pragma alloc_text(ITsujiNightLive,    ISet<ICnrCtl*>::~ISet())
  #pragma alloc_text(ITsujiNightLive,    IGSet<ICnrCtl*,IECOps<ICnrCtl*> >::~IGSet())
  #pragma alloc_text(ITsujiNightLive,    IWStOnKSS<ICnrCtl*,IECOps<ICnrCtl*>,IGAvlKSS<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > > >::~IWStOnKSS())
  #pragma alloc_text(ITsujiNightLive,    IGAvlKSS<ICnrCtl*,ICnrCtl*,IOpsWithKey<ICnrCtl*,IECOps<ICnrCtl*> > >::~IGAvlKSS())
  #pragma alloc_text(ITsujiNightLive,    IMiniCnrRecord::IMiniCnrRecord())
#endif

#ifdef _IHANDLE2_CPP_
  #pragma alloc_text(IJennsPen,          IBitmapHandle::IBitmapHandle(unsigned long))
  #pragma alloc_text(IMountainsOfBusch,  IBitmapHandle::operator=(const IBitmapHandle&))
  #pragma alloc_text(IMillerTime,        IBitmapHandle::~IBitmapHandle())
  #pragma alloc_text(IOnAnotherBenge,    IBitmapHandle::IBitmapHandle(const IBitmapHandle&))
#endif

#ifdef _IMPHDR_CPP_
  #pragma alloc_text(IMillerTime,        IMousePointerHandler::defaultHandler())
  #pragma alloc_text(IMillerTime,        IMousePointerHandler::IMousePointerHandler())
#endif

#ifdef _ICNRCOL_CPP_
  #pragma alloc_text(ITheRightPrice,     IContainerColumn::defaultHeadingStyle())
  #pragma alloc_text(ITheRightPrice,     IContainerColumn::defaultDataStyle())
  #pragma alloc_text(ITheRightPrice,     IContainerColumn::IContainerColumn(unsigned long,const unsigned long&,const unsigned long&))
  #pragma alloc_text(ITheRightPrice,     IContainerColumn::setHeadingText(const IResourceId&))
  #pragma alloc_text(ITheRightPrice,     IContainerColumn::setHeadingText(const char*))
  #pragma alloc_text(ITheRightPrice,     IContainerColumn::invalidate())
  #pragma alloc_text(ITsujiNightLive,    IContainerColumn::showSeparators(const unsigned long&))
  #pragma alloc_text(ITsujiNightLive,    IContainerColumn::IContainerColumn(IContainerColumn::DataSource,const unsigned long&,const unsigned long&))
#endif

#ifdef _ICNRCTL5_CPP_
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::addColumn(const IContainerColumn*,const IContainerColumn*))
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::setDetailsViewSplit(const IContainerColumn*,unsigned long))
#endif

#ifdef _ICNRCTL3_CPP_
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::showDetailsView())
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::showView(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::arrangeIconView())
#endif

#ifdef _ICNRCTL1_CPP_
  #pragma alloc_text(ITheRightPrice,     ICnrCtl::setContainerAttributes(unsigned long,unsigned long))
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::showDetailsViewTitles(int))
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::isVisible() const)
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::attributes(const ICnrObj*) const)
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::showTitle(int))
#endif

#ifdef _IHELP1_CPP_
  #pragma alloc_text(IStangerHook,       IHelpWindow::IHelpWindow(const IResourceId&,IFrameWindow*))
  #pragma alloc_text(IShakAttack,        IHelpWindow::setAssociatedWindow(IFrameWindow*))
  #pragma alloc_text(IShakAttack,        IHelpWindow::sendEvent(unsigned long,const IEventData&,const IEventData&) const)
  #pragma alloc_text(ITheRightPrice,     IHelpWindow::~IHelpWindow())
  #pragma alloc_text(ITsujiNightLive,    IHelpWindow::IHelpWindow(IFrameWindow*))
#endif

#ifdef _IHELP0_CPP_
  #pragma alloc_text(IShakAttack,        IHelpWindowPrivateData::IHelpWindowPrivateData())
  #pragma alloc_text(IShakAttack,        IHelpWindow::handle() const)
  #pragma alloc_text(IShakAttack,        IHelpWindow::addLibraries(const char*))
  #pragma alloc_text(ITheRightPrice,     IHelpWindow::setTitle(const IResourceId&))
  #pragma alloc_text(ITheRightPrice,     IHelpWindow::setTitle(const char*))
  #pragma alloc_text(ITheRightPrice,     IHelpWindowPrivateData::~IHelpWindowPrivateData())
#endif

#ifdef _IHELPSTA_CPP_
  #pragma alloc_text(IShakAttack,        IHelpStatics::createHelpInstance(const IAnchorBlockHandle&,void*))
  #pragma alloc_text(IShakAttack,        IHelpStatics::helpDLL())
  #pragma alloc_text(IShakAttack,        IHelpStatics::associateHelpInstance(const IWindowHandle&,const IWindowHandle&))
  #pragma alloc_text(ITheRightPrice,     IHelpStatics::destroyHelpInstance(const IWindowHandle&))
#endif

#ifdef _ISTRING7_CPP_
  #pragma alloc_text(IJennsPen,          IString::upperCase())
  #pragma alloc_text(IStangerHook,       IString::strip(const char*,unsigned int,IStringEnum::StripMode))
  #pragma alloc_text(IStangerHook,       IString::overlayWith(const char*,unsigned int,unsigned int,char))
  #pragma alloc_text(IJennsPen,          IString::strip())
  #pragma alloc_text(IJennsPen,          IString::strip(const IStringTest&,IStringEnum::StripMode))
  #pragma alloc_text(IJennsPen,          isspace)
  #pragma alloc_text(IMillerTime,        IString::insert(const char*,unsigned int,unsigned int,char))
  #pragma alloc_text(IMountainsOfBusch,  IString::change(const IString&,const IString&,const IString&,unsigned int,unsigned int))
  #pragma alloc_text(IMountainsOfBusch,  IString::change(const char*,unsigned int,const char*,unsigned int,unsigned int,unsigned int))
#endif

#ifdef _IBUFFER7_CPP_
  #pragma alloc_text(IJennsPen,          IBuffer::upperCase())
  #pragma alloc_text(IStangerHook,       IBuffer::strip(const char*,unsigned int,IStringEnum::StripMode))
  #pragma alloc_text(IStangerHook,       IBuffer::overlayWith(const char*,unsigned int,unsigned int,char))
  #pragma alloc_text(IJennsPen,          IBuffer::strip(const IStringTest&,IStringEnum::StripMode))
  #pragma alloc_text(IMillerTime,        IBuffer::insert(const char*,unsigned int,unsigned int,char))
  #pragma alloc_text(IMountainsOfBusch,  IBuffer::change(const char*,unsigned int,const char*,unsigned int,unsigned int,unsigned int))
  #pragma alloc_text(IOnAnotherBenge,    Occurrence::~Occurrence())
#endif

#ifdef _IBAPPOBS_CPP_
  #pragma alloc_text(IShakAttack,        IHelpWindow::associateWindow(IFrameWindow*))
  #pragma alloc_text(IStangerHook,       IWindow::isDisabled() const)
#endif

#ifdef _IHELPHDR_CPP_
  #pragma alloc_text(ITheRightPrice,     IHelpHandler::handleEventsFor(IFrameWindow*))
  #pragma alloc_text(ITsujiNightLive,    IHelpHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(ITsujiNightLive,    IHelpHandler::~IHelpHandler())
#endif

#ifdef _IMNITEM_CPP_
  #pragma alloc_text(ITheRightPrice,     IMenuItem::defaultStyle())
  #pragma alloc_text(ITheRightPrice,     IMenuItem::defaultAttribute())
  #pragma alloc_text(ITheRightPrice,     IMenuItem::IMenuItem(unsigned long,const IMenuItem::Style&,const IMenuItem::Attribute&))
  #pragma alloc_text(ITheRightPrice,     IMenuItem::setText(const char*))
  #pragma alloc_text(ITsujiNightLive,    IMenuItem::setSubmenuHandle(const IWindowHandle&))
  #pragma alloc_text(ITsujiNightLive,    IMenuItem::IMenuItem(const IMenuItem&))
  #pragma alloc_text(ITsujiNightLive,    IMenuItem::~IMenuItem())
  #pragma alloc_text(ITsujiNightLive,    IMenuItem::setSeparator())
#endif

#ifdef _IBMPCTL_CPP_
  #pragma alloc_text(IShakAttack,        IBitmapControl::defaultStyle())
  #pragma alloc_text(ITheRightPrice,     IBitmapControl::IBitmapControl(unsigned long,IWindow*,IWindow*,const IResourceId&,const IRectangle&,const IBitmapControl::Style&))
  #pragma alloc_text(IShakAttack,        IBitmapControl::initialize(const IBitmapControl::Style&))
  #pragma alloc_text(IShakAttack,        IBitmapControl::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(IShakAttack,        DefaultHandler::operator IBitmapHandler*())
  #pragma alloc_text(IStangerHook,       IBitmapControl::setBitmap(const IResourceId&))
  #pragma alloc_text(IShakAttack,        IBitmapControl::setBitmap(const IBitmapHandle&))
  #pragma alloc_text(ITheRightPrice,     IBitmapControl::calcMinimumSize() const)
  #pragma alloc_text(ITheRightPrice,     IBitmapControl::bitmap() const)
  #pragma alloc_text(ITsujiNightLive,    IBitmapControl::~IBitmapControl())
  #pragma alloc_text(ITsujiNightLive,    IBitmapControl::setDefaultStyle(const IBitmapControl::Style&))
  #pragma alloc_text(ITsujiNightLive,    IBitmapControl::IBitmapControl(unsigned long,IWindow*,IWindow*,unsigned long,const IRectangle&,const IBitmapControl::Style&))
  #pragma alloc_text(ITsujiNightLive,    IBitmapControl::setBitmap(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IBitmapControl::IBitmapControl(unsigned long,IWindow*,IWindow*,const IBitmapHandle&,const IRectangle&,const IBitmapControl::Style&))
#endif

#ifdef _IBMPHDR_CPP_
  #pragma alloc_text(IShakAttack,        IBitmapHandler::IBitmapHandler())
#endif

#ifdef _IRESLIB2_CPP_
  #pragma alloc_text(IStangerHook,       IResourceLibrary::loadBitmap(unsigned long,int) const)
  #pragma alloc_text(IStangerHook,       IResourceLibrary::loadBitmap(unsigned long,const ISize&,int) const)
  #pragma alloc_text(IProudMary,         IResourceLibrary::tryToLoadBitmap(unsigned long,const ISize&,int) const)
  #pragma alloc_text(IProudMary,         IResLibStaticPtr::bitmapSet())
  #pragma alloc_text(IProudMary,         IResourceLibrary::addRef(const IBitmapHandle&))
  #pragma alloc_text(IProudMary,         IResourceLibrary::removeRef(const IBitmapHandle&))
  #pragma alloc_text(ITheRightPrice,     IResourceLibrary::tryToLoadBitmap(unsigned long,int) const)
#endif

#ifdef _IBMPDATA_CPP_
  #pragma alloc_text(IProudMary,         IBitmapSet::IBitmapSet())
  #pragma alloc_text(IProudMary,         ISet<IBitmapData*>::ISet(unsigned long))
  #pragma alloc_text(IProudMary,         IGSet<IBitmapData*,IECOps<IBitmapData*> >::IGSet(unsigned long))
  #pragma alloc_text(IProudMary,         IWStOnKSS<IBitmapData*,IECOps<IBitmapData*>,IGAvlKSS<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IECOps<IBitmapData*> > > >::IWStOnKSS(unsigned long))
  #pragma alloc_text(IProudMary,         IGAvlKSS<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IECOps<IBitmapData*> > >::IGAvlKSS(unsigned long))
  #pragma alloc_text(IProudMary,         IBitmapSet::find(const unsigned long,const IString&,const ISize&))
  #pragma alloc_text(IProudMary,         IWSetOnKSSetCursor<IBitmapData*,IECOps<IBitmapData*>,IGAvlKSS<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IECOps<IBitmapData*> > > >::IWSetOnKSSetCursor(const IWStOnKSS&)XTP11IBitmapDataT6IECOpsXTP11IBitmapData_T8IGAvlKSSXTP11IBitmapDataTP11IBitm)
  #pragma alloc_text(IProudMary,         IGAvlKeySortedSetCursor<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IECOps<IBitmapData*> > >::IGAvlKeySortedSetCursor(const IGAvlKSS<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IECOps<IBitmapData*> > >&))
  #pragma alloc_text(IProudMary,         IOrderedCursor<IBitmapData*>::IOrderedCursor())
  #pragma alloc_text(IProudMary,         IElementCursor<IBitmapData*>::IElementCursor())
  #pragma alloc_text(IProudMary,         IWSetOnKSSetCursor<IBitmapData*,IECOps<IBitmapData*>,IGAvlKSS<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IECOps<IBitmapData*> > > >::~IWSetOnKSSetCursor())
  #pragma alloc_text(IProudMary,         IGAvlKeySortedSetCursor<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IECOps<IBitmapData*> > >::~IGAvlKeySortedSetCursor())
  #pragma alloc_text(IProudMary,         IOrderedCursor<IBitmapData*>::~IOrderedCursor())
  #pragma alloc_text(IProudMary,         IElementCursor<IBitmapData*>::~IElementCursor())
  #pragma alloc_text(IProudMary,         IBitmapData::IBitmapData(unsigned long,unsigned long,const IString&,const ISize&))
  #pragma alloc_text(IProudMary,         IBitmapSet::find(const IBitmapHandle&))
  #pragma alloc_text(ITheRightPrice,     IBitmapSet::remove(IBitmapData*))
  #pragma alloc_text(ITheRightPrice,     IBitmapData::~IBitmapData())
  #pragma alloc_text(ITsujiNightLive,    IBitmapData::IBitmapData(unsigned long,unsigned long,const IString&))
#endif

#ifdef _IGBITMAP_CPP_
  #pragma alloc_text(IProudMary,         IGBitmap::tryToLoadBitmap(unsigned long,const IModuleHandle&,const ISize&))
  #pragma alloc_text(IProudMary,         IGBitmap::copyBitmap(IGraphicContext&,unsigned long,const ISize&))
  #pragma alloc_text(ITheRightPrice,     IGBitmap::IGBitmap(const IBitmapHandle&))
  #pragma alloc_text(ITheRightPrice,     IGBitmap::setTransparentColor(const IColor&))
  #pragma alloc_text(ITsujiNightLive,    IGBitmap::~IGBitmap())
  #pragma alloc_text(ITheRightPrice,     IGBitmap::size() const)
  #pragma alloc_text(ITsujiNightLive,    IGBitmap::sizeTo(const ISize&))
#endif

#ifdef _IGRAFCTX_CPP_
  #pragma alloc_text(IProudMary,         IGraphicContext::IGraphicContext())
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultFillColor())
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultFillPattern())
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultDrawOperation())
  #pragma alloc_text(IProudMary,         IGraphicContext::initialize())
  #pragma alloc_text(IProudMary,         IGCData::IGCData())
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultPenColor())
  #pragma alloc_text(IProudMary,         IGraphicContext::setPenColor(const IColor&))
  #pragma alloc_text(IProudMary,         IGraphicContext::setFillColor(const IColor&))
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultBackgroundColor())
  #pragma alloc_text(IProudMary,         IGraphicContext::setBackgroundColor(const IColor&))
  #pragma alloc_text(IProudMary,         IGraphicContext::setDrawOperation(IGraphicBundle::DrawOperation))
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultMixMode())
  #pragma alloc_text(IProudMary,         IGraphicContext::setMixMode(IGraphicBundle::MixMode))
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultBackgroundMixMode())
  #pragma alloc_text(IProudMary,         IGraphicContext::setBackgroundMixMode(IGraphicBundle::BackgroundMixMode))
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultPenPattern())
  #pragma alloc_text(IProudMary,         IGraphicContext::setPenPattern(unsigned long))
  #pragma alloc_text(IProudMary,         IGraphicContext::setFillPattern(unsigned long))
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultPenType())
  #pragma alloc_text(IProudMary,         IGraphicContext::setPenType(IGraphicBundle::PenType))
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultPenEndingStyle())
  #pragma alloc_text(IProudMary,         IGraphicContext::setPenEndingStyle(IGraphicBundle::PenEndingStyle))
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultPenJoiningStyle())
  #pragma alloc_text(IProudMary,         IGraphicContext::setPenJoiningStyle(IGraphicBundle::PenJoiningStyle))
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultPenWidth())
  #pragma alloc_text(IProudMary,         IGraphicContext::setPenWidth(unsigned long))
  #pragma alloc_text(IMillerTime,        IGraphicContext::defaultPatternOrigin())
  #pragma alloc_text(IProudMary,         IGraphicContext::setPatternOrigin(const IPoint&))
  #pragma alloc_text(IProudMary,         IGraphicContext::handle() const)
  #pragma alloc_text(IProudMary,         IGraphicContext::~IGraphicContext())
  #pragma alloc_text(IProudMary,         IGCData::~IGCData())
  #pragma alloc_text(ITsujiNightLive,    IGraphicContext::IGraphicContext(const IWindowHandle&))
#endif

#ifdef _IKEYHDR_CPP_
  #pragma alloc_text(IStangerHook,       IKeyboardHandler::IKeyboardHandler())
  #pragma alloc_text(IStangerHook,       IKeyboardHandler::dispatchHandlerEvent(IEvent&))
#endif

#ifdef _IBCTLOBS_CPP_
  #pragma alloc_text(ITsujiNightLive,    IMultiCellCanvas::setColor(const IColor&))
  #pragma alloc_text(ITsujiNightLive,    IStaticText::setColor(IStaticText::ColorArea,const IColor&))
  #pragma alloc_text(IShakAttack,        IMultiLineEdit::disableRefresh())
  #pragma alloc_text(IShakAttack,        IMultiLineEdit::enableRefresh(int))
#endif

#ifdef _IRECT_CPP_
  #pragma alloc_text(IMountainsOfBusch,  IRectangle::asRECTL() const)
#endif

#ifdef _IPROFILE_CPP_
  #pragma alloc_text(ITsujiNightLive,    IProfile::userProfile())
  #pragma alloc_text(ITsujiNightLive,    IProfile::IProfile(const IProfileHandle&))
  #pragma alloc_text(ITsujiNightLive,    IProfile::IProfile(const IProfile&))
  #pragma alloc_text(IStangerHook,       IProfile::~IProfile())
  #pragma alloc_text(ITsujiNightLive,    IProfile::containsKeyName(const char*,const char*) const)
  #pragma alloc_text(ITheRightPrice,     IProfile::Cursor::Cursor(IProfile&,const char*))
  #pragma alloc_text(IStangerHook,       IProfile::handle() const)
  #pragma alloc_text(IStangerHook,       IProfile::Cursor::initCursor(const IProfileHandle&,const char*))
  #pragma alloc_text(IStangerHook,       IProfile::Cursor::setToFirst())
  #pragma alloc_text(IStangerHook,       IProfile::Cursor::isValid(int) const)
  #pragma alloc_text(ITheRightPrice,     IProfile::applicationOrKeyAt(const IProfile::Cursor&) const)
  #pragma alloc_text(IStangerHook,       IProfile::Cursor::~Cursor())
  #pragma alloc_text(ITheRightPrice,     IProfile::elementWithKey(const char*,const char*) const)
  #pragma alloc_text(ITheRightPrice,     IProfile::length(const char*,const char*) const)
  #pragma alloc_text(IStangerHook,       IProfile::IProfile(const char*))
  #pragma alloc_text(ITheRightPrice,     IProfile::Cursor::setToNext())
  #pragma alloc_text(ITsujiNightLive,    IProfile::integerWithKey(const char*,const char*) const)
  #pragma alloc_text(ITsujiNightLive,    IProfile::numberOfKeys(const char*) const)
  #pragma alloc_text(ITsujiNightLive,    IProfile::Cursor::Cursor(IProfile&))
#endif

#ifdef _IEXCEPT_CPP_
  #pragma alloc_text(IIsHaggarHorrible,  IGUIErrorInfo::IGUIErrorInfo(const char*))
  #pragma alloc_text(IHamiltonianQuill,   IBaseErrorInfo::IBaseErrorInfo())
  #pragma alloc_text(IIsHaggarHorrible,  IGUIErrorInfo::errorId() const)
  #pragma alloc_text(IIsHaggarHorrible,  IGUIErrorInfo::~IGUIErrorInfo())
  #pragma alloc_text(IHamiltonianQuill,   IBaseErrorInfo::~IBaseErrorInfo())
  #pragma alloc_text(IShakAttack,        IExcept__throwLibraryError(unsigned long,const IExceptionLocation&,IBaseErrorInfo::ExceptionType,IException::Severity,const char*))
  #pragma alloc_text(IStangerHook,       ISystemErrorInfo::throwSystemError(unsigned long,const char*,const IExceptionLocation&,IBaseErrorInfo::ExceptionType,IException::Severity))
  #pragma alloc_text(IStangerHook,       ISystemErrorInfo::ISystemErrorInfo(unsigned long,const char*))
  #pragma alloc_text(IStangerHook,       ISystemErrorInfo::errorId() const)
  #pragma alloc_text(IStangerHook,       ISystemErrorInfo::text() const)
  #pragma alloc_text(IStangerHook,       ISystemErrorInfo::~ISystemErrorInfo())
#endif

#ifdef _IOBJWIN_CPP_
  #pragma alloc_text(IOnAnotherBenge,    IObjectWindow::IObjectWindow())
  #pragma alloc_text(ITheRightPrice,     IObjectWindow::~IObjectWindow())
#endif

#ifdef _ITHREADS_CPP_
  #pragma alloc_text(ITheRightPrice,     IThread::IThread(const IReference<IThreadFn>&,int))
  #pragma alloc_text(ITheRightPrice,     IThread::start(const IReference<IThreadFn>&,int))
#endif

#ifdef _IMENUBAR_CPP_
  #pragma alloc_text(ITheRightPrice,     IMenuBar::IMenuBar(IFrameWindow*,const IMenuBar::Style&))
  #pragma alloc_text(IOnAnotherBenge,    IMenuBar::IMenuBar(const IResourceId&,IFrameWindow*))
  #pragma alloc_text(ITsujiNightLive,    IMenuBar::~IMenuBar())
#endif

#ifdef _IMENU_CPP_
  #pragma alloc_text(IMillerTime,        IMenu::IMenu())
  #pragma alloc_text(ITsujiNightLive,    IMenu::menuItem(unsigned long) const)
  #pragma alloc_text(IStangerHook,       queryItem(const IWindowHandle&,unsigned long))
  #pragma alloc_text(ITheRightPrice,     IMenu::~IMenu())
  #pragma alloc_text(ITsujiNightLive,    IMenu::addItem(IMenuItem&,unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IMenu::setText(unsigned long,const char*))
  #pragma alloc_text(ITsujiNightLive,    IMenu::addSubmenu(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IMenu::setItem(const IMenuItem&))
  #pragma alloc_text(ITheRightPrice,     IMenu::checkItem(unsigned long,int))
#endif

#ifdef _ISUBMENU_CPP_
  #pragma alloc_text(ITsujiNightLive,    ISubmenu::ISubmenu(const IWindowHandle&))
  #pragma alloc_text(ITsujiNightLive,    ISubmenu::handle() const)
  #pragma alloc_text(ITsujiNightLive,    ISubmenu::Cursor::Cursor(const ISubmenu&))
  #pragma alloc_text(ITsujiNightLive,    ISubmenu::~ISubmenu())
  #pragma alloc_text(ITsujiNightLive,    ISubmenu::addItem(IMenuItem&,unsigned long))
  #pragma alloc_text(ITsujiNightLive,    ISubmenu::setUndoAddItem(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    ISubmenu::Cursor::~Cursor())
#endif

#ifdef _ITBARBUT_CPP_
  #pragma alloc_text(ITheRightPrice,     IToolBarButton::setDefaultStyle(const IToolBarButton::Style&))
  #pragma alloc_text(IStangerHook,       IToolBarButton::defaultStyle())
  #pragma alloc_text(IShakAttack,        IToolBarButton::IToolBarButton(unsigned long,IWindow*,IWindow*,const IRectangle&,const IToolBarButton::Style&))
  #pragma alloc_text(IShakAttack,        IToolBarButtonData::IToolBarButtonData())
  #pragma alloc_text(IShakAttack,        IToolBarButton::isDefaultTransparentColorSet())
  #pragma alloc_text(IShakAttack,        IToolBarButton::defaultTransparentColor())
  #pragma alloc_text(IShakAttack,        IToolBarButton::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(IShakAttack,        IToolBarButton::setLayoutDistorted(unsigned long,unsigned long))
  #pragma alloc_text(ITheRightPrice,     IToolBarButtonData::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(ITsujiNightLive,    IToolBarButton::setBitmap(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IToolBarButton::setBitmap(const IResourceId&))
  #pragma alloc_text(ITheRightPrice,     IToolBarButton::isStandardFormat() const)
  #pragma alloc_text(ITheRightPrice,     IToolBarButton::calcMinimumSize() const)
  #pragma alloc_text(ITheRightPrice,     IToolBarButton::isTextVisible() const)
  #pragma alloc_text(ITheRightPrice,     IToolBarButton::isBitmapVisible() const)
  #pragma alloc_text(ITheRightPrice,     IToolBarButton::setView(IToolBarButton::View))
  #pragma alloc_text(ITsujiNightLive,    IStandardButtonList::addButton(IToolBarButton*))
  #pragma alloc_text(ITsujiNightLive,    IStandardButtonList::IStandardButtonList())
  #pragma alloc_text(ITsujiNightLive,    ISequence<IToolBarButton*>::ISequence(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    ILinkedSequence<IToolBarButton*>::ILinkedSequence(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IGLnSq<IToolBarButton*,IStdOps<IToolBarButton*> >::IGLnSq(unsigned long))
#endif

#ifdef _IINFOA_CPP_
  #pragma alloc_text(IProudMary,         IInfoArea::IInfoArea(IFrameWindow*,unsigned long))
  #pragma alloc_text(IProudMary,         IInfoArea::addTo(IFrameWindow*))
  #pragma alloc_text(IProudMary,         IInfoArea::handleEventsFor(IFrameWindow*))
  #pragma alloc_text(IProudMary,         IInfoArea::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(ITsujiNightLive,    IInfoArea::setStringTableOffset(long))
  #pragma alloc_text(ITsujiNightLive,    IInfoArea::stringTableOffset() const)
  #pragma alloc_text(IStangerHook,       IInfoArea::setInactiveText(unsigned long))
  #pragma alloc_text(IStangerHook,       IInfoArea::resourceLibrary() const)
  #pragma alloc_text(IStangerHook,       IInfoArea::inactiveText() const)
  #pragma alloc_text(IProudMary,         IInfoArea::calcMinimumSize() const)
  #pragma alloc_text(IProudMary,         IInfoArea::lineCount() const)
  #pragma alloc_text(ITsujiNightLive,    IInfoArea::~IInfoArea())
  #pragma alloc_text(ITsujiNightLive,    IInfoArea::stopHandlingEventsFor(IFrameWindow*))
#endif

#ifdef _IMENUHDR_CPP_
  #pragma alloc_text(IOnAnotherBenge,    IMenuHandler::IMenuHandler())
  #pragma alloc_text(IOnAnotherBenge,    ISequence<SubmenuRec*>::ISequence(unsigned long))
  #pragma alloc_text(IOnAnotherBenge,    ILinkedSequence<SubmenuRec*>::ILinkedSequence(unsigned long))
  #pragma alloc_text(IOnAnotherBenge,    IGLnSq<SubmenuRec*,IStdOps<SubmenuRec*> >::IGLnSq(unsigned long))
  #pragma alloc_text(IProudMary,         IMenuHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(ITheRightPrice,     IMenuHandler::~IMenuHandler())
#endif

#ifdef _ICNRHDR_CPP_
  #pragma alloc_text(ITheRightPrice,     ICnrHandler::ICnrHandler())
  #pragma alloc_text(ITsujiNightLive,    ICnrHandler::handleEventsFor(ICnrCtl*))
  #pragma alloc_text(ITsujiNightLive,    ICnrHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(ITsujiNightLive,    ICnrHandler::cursoredChanged(ICnrEmphasisEvent&))
  #pragma alloc_text(ITsujiNightLive,    ICnrHandler::selectedChanged(ICnrEmphasisEvent&))
  #pragma alloc_text(ITsujiNightLive,    ICnrHandler::~ICnrHandler())
#endif

#ifdef _ICNRMHDR_CPP_
  #pragma alloc_text(ITheRightPrice,     ICnrMenuHandler::ICnrMenuHandler())
  #pragma alloc_text(ITsujiNightLive,    ICnrMenuHandler::handleEventsFor(ICnrCtl*))
  #pragma alloc_text(ITsujiNightLive,    ICnrMenuHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(ITsujiNightLive,    ICnrMenuHandler::~ICnrMenuHandler())
#endif

#ifdef _ICNROCUR_CPP_
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::ObjectCursor::ObjectCursor(const ICnrCtl&,ICnrObj::Emphasis,ICnrCtl::EnumerationOrder))
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::ObjectCursor::first())
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::ObjectCursor::setToFirst())
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::ObjectCursor::object(const ICnrObj*,unsigned long))
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::ObjectCursor::~ObjectCursor())
#endif

#ifdef _ICNROBJ0_CPP_
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::newRecord(unsigned int))
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::ICnrObj(const IResourceId&,const IResourceId&))
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::initialize())
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::setRefreshOff())
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::setIcon(const IResourceId&))
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::setIcon(const IPointerHandle&))
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::isRefreshOn() const)
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::setIconText(const IResourceId&))
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::setIconText(const IString&))
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::setRefreshOn(int))
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::decrementUseCount())
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::handleCursoredChange(ICnrCtl*,int))
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::handleSelectedChange(ICnrCtl*,int))
  #pragma alloc_text(ITsujiNightLive,    ICnrObj::incrementUseCount())
#endif

#ifdef _IRESLIB3_CPP_
  #pragma alloc_text(IStangerHook,       IResourceLibrary::loadIcon(unsigned long,int) const)
  #pragma alloc_text(IStangerHook,       IResourceLibrary::tryToLoadIcon(unsigned long,int) const)
  #pragma alloc_text(IStangerHook,       IResLibStaticPtr::pointerSet())
  #pragma alloc_text(IStangerHook,       IPointerSet::IPointerSet())
  #pragma alloc_text(IStangerHook,       ISet<IPointer*>::ISet(unsigned long))
  #pragma alloc_text(IStangerHook,       IGSet<IPointer*,IECOps<IPointer*> >::IGSet(unsigned long))
  #pragma alloc_text(IStangerHook,       IWStOnKSS<IPointer*,IECOps<IPointer*>,IGAvlKSS<IPointer*,IPointer*,IOpsWithKey<IPointer*,IECOps<IPointer*> > > >::IWStOnKSS(unsigned long))
  #pragma alloc_text(IStangerHook,       IGAvlKSS<IPointer*,IPointer*,IOpsWithKey<IPointer*,IECOps<IPointer*> > >::IGAvlKSS(unsigned long))
  #pragma alloc_text(IStangerHook,       IWSetOnKSSetCursor<IPointer*,IECOps<IPointer*>,IGAvlKSS<IPointer*,IPointer*,IOpsWithKey<IPointer*,IECOps<IPointer*> > > >::IWSetOnKSSetCursor(const IWStOnKSS&)XTP8IPointerT6IECOpsXTP8IPointer_T8IGAvlKSSXTP8IPointerTP8IPointerT11IOpsWithKeyXTP8IPointerT6IECOps)
  #pragma alloc_text(IStangerHook,       IGAvlKeySortedSetCursor<IPointer*,IPointer*,IOpsWithKey<IPointer*,IECOps<IPointer*> > >::IGAvlKeySortedSetCursor(const IGAvlKSS<IPointer*,IPointer*,IOpsWithKey<IPointer*,IECOps<IPointer*> > >&))
  #pragma alloc_text(IStangerHook,       IOrderedCursor<IPointer*>::IOrderedCursor())
  #pragma alloc_text(IStangerHook,       IElementCursor<IPointer*>::IElementCursor())
  #pragma alloc_text(IStangerHook,       IWSetOnKSSetCursor<IPointer*,IECOps<IPointer*>,IGAvlKSS<IPointer*,IPointer*,IOpsWithKey<IPointer*,IECOps<IPointer*> > > >::~IWSetOnKSSetCursor())
  #pragma alloc_text(IStangerHook,       IGAvlKeySortedSetCursor<IPointer*,IPointer*,IOpsWithKey<IPointer*,IECOps<IPointer*> > >::~IGAvlKeySortedSetCursor())
  #pragma alloc_text(IStangerHook,       IOrderedCursor<IPointer*>::~IOrderedCursor())
  #pragma alloc_text(IStangerHook,       IElementCursor<IPointer*>::~IElementCursor())
  #pragma alloc_text(IStangerHook,       IPointer::IPointer(unsigned long,unsigned long,const IString&))
  #pragma alloc_text(IStangerHook,       IResourceLibrary::addRef(const IPointerHandle&))
  #pragma alloc_text(IStangerHook,       IPointer::addRef())
  #pragma alloc_text(IStangerHook,       IResourceLibrary::removeRef(const IPointerHandle&))
  #pragma alloc_text(ITsujiNightLive,    IResourceLibrary::loadPointer(unsigned long,int) const)
#endif

#ifdef _ICNRCTL6_CPP_
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::addObject(const ICnrObj*,ICnrObj*))
#endif

#ifdef _ICTLEVT_CPP_
  #pragma alloc_text(IStangerHook,       IControlEvent::IControlEvent(const IEvent&))
  #pragma alloc_text(IStangerHook,       IControlEvent::controlId() const)
  #pragma alloc_text(IStangerHook,       IControlEvent::~IControlEvent())
  #pragma alloc_text(ITsujiNightLive,    IControlEvent::IControlEvent(const IControlEvent&))
#endif

#ifdef _ICNREVT_CPP_
  #pragma alloc_text(ITsujiNightLive,    ICnrEmphasisEvent::ICnrEmphasisEvent(const IControlEvent&))
  #pragma alloc_text(ITsujiNightLive,    ICnrEvent::ICnrEvent(const IControlEvent&))
  #pragma alloc_text(ITsujiNightLive,    ICnrEmphasisEvent::changed(ICnrObj::Emphasis) const)
  #pragma alloc_text(ITsujiNightLive,    ICnrEmphasisEvent::object() const)
  #pragma alloc_text(ITsujiNightLive,    ICnrEmphasisEvent::~ICnrEmphasisEvent())
  #pragma alloc_text(ITsujiNightLive,    ICnrEvent::~ICnrEvent())
#endif

#ifdef _ICNRCTL7_CPP_
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::isCursored(const ICnrObj*) const)
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::isSelected(const ICnrObj*) const)
#endif

#ifdef _IIHSHKB_CPP_
  #pragma alloc_text(ITsujiNightLive,    IHashKeyBagImpl::createHashtable(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IHashKeyBagImpl::removeAll())
  #pragma alloc_text(ITsujiNightLive,    IHashKeyBagImpl::setToFirst(IHashKeyBagImplCursor&) const)
  #pragma alloc_text(ITsujiNightLive,    IHashKeyBagImpl::destruct())
#endif

#ifdef _ICNRCTL2_CPP_
  #pragma alloc_text(ITsujiNightLive,    ICnrCtl::iconSize() const)
#endif

#ifdef _ITBAR_CPP_
  #pragma alloc_text(IShakAttack,        IToolBar::IToolBar(unsigned long,IFrameWindow*,IToolBar::Location,int,const IToolBar::Style&))
  #pragma alloc_text(IShakAttack,        IToolBarData::IToolBarData(IFrameWindow*))
  #pragma alloc_text(IShakAttack,        IToolBarPaintHandler::IToolBarPaintHandler())
  #pragma alloc_text(IShakAttack,        IToolBarObjectList::IToolBarObjectList())
  #pragma alloc_text(IShakAttack,        ISequence<IToolBarObject*>::ISequence(unsigned long))
  #pragma alloc_text(IShakAttack,        ILinkedSequence<IToolBarObject*>::ILinkedSequence(unsigned long))
  #pragma alloc_text(IShakAttack,        IGLnSq<IToolBarObject*,IStdOps<IToolBarObject*> >::IGLnSq(unsigned long))
  #pragma alloc_text(IShakAttack,        IToolBarTrackHandler::IToolBarTrackHandler(IToolBar*,IToolBarData*))
  #pragma alloc_text(IShakAttack,        IToolBar::defaultPad())
  #pragma alloc_text(IShakAttack,        IToolBar::setLayoutDistorted(unsigned long,unsigned long))
  #pragma alloc_text(IShakAttack,        IToolBar::defaultGroupPad())
  #pragma alloc_text(IShakAttack,        IToolBar::defaultMargin())
  #pragma alloc_text(IShakAttack,        IToolBar::defaultMisfitWidth())
  #pragma alloc_text(IShakAttack,        IToolBar::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(ITheRightPrice,     IToolBar::addAsLast(IWindow*,int))
  #pragma alloc_text(ITheRightPrice,     IToolBar::initialize())
  #pragma alloc_text(ITheRightPrice,     IToolBar::setLocation(IToolBar::Location))
  #pragma alloc_text(ITheRightPrice,     IToolBar::filter())
  #pragma alloc_text(IShakAttack,        IGLnSqCrs<IToolBarObject*,IStdOps<IToolBarObject*> >::IGLnSqCrs(const IGLnSq<IToolBarObject*,IStdOps<IToolBarObject*> >&))
  #pragma alloc_text(IShakAttack,        IOrderedCursor<IToolBarObject*>::IOrderedCursor())
  #pragma alloc_text(IShakAttack,        IElementCursor<IToolBarObject*>::IElementCursor())
  #pragma alloc_text(IShakAttack,        IGLnSqCrs<IToolBarObject*,IStdOps<IToolBarObject*> >::~IGLnSqCrs())
  #pragma alloc_text(IShakAttack,        IOrderedCursor<IToolBarObject*>::~IOrderedCursor())
  #pragma alloc_text(IShakAttack,        IElementCursor<IToolBarObject*>::~IElementCursor())
  #pragma alloc_text(ITheRightPrice,     IToolBar::FrameCursor::FrameCursor(const IFrameWindow*))
  #pragma alloc_text(ITheRightPrice,     IToolBar::FrameCursor::setToFirst())
  #pragma alloc_text(ITheRightPrice,     IToolBar::FrameCursor::isValid() const)
  #pragma alloc_text(ITheRightPrice,     IToolBar::FrameCursor::~FrameCursor())
  #pragma alloc_text(ITheRightPrice,     IToolBar::createToolBarContainer(IFrameWindow*))
  #pragma alloc_text(ITheRightPrice,     IToolBar::allowsDragDrop() const)
  #pragma alloc_text(ITheRightPrice,     IToolBarList::IToolBarList())
  #pragma alloc_text(ITheRightPrice,     ISequence<IToolBar*>::ISequence(unsigned long))
  #pragma alloc_text(ITheRightPrice,     ILinkedSequence<IToolBar*>::ILinkedSequence(unsigned long))
  #pragma alloc_text(ITheRightPrice,     IGLnSq<IToolBar*,IStdOps<IToolBar*> >::IGLnSq(unsigned long))
  #pragma alloc_text(ITheRightPrice,     IToolBarObject::IToolBarObject(IWindow*))
  #pragma alloc_text(ITheRightPrice,     IToolBar::addControl(IControl*,int))
  #pragma alloc_text(ITheRightPrice,     IToolBar::calcMinimumSize() const)
  #pragma alloc_text(ITheRightPrice,     IToolBarPaintHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(IStangerHook,       IToolBar::defaultStyle())
  #pragma alloc_text(ITsujiNightLive,    IToolBar::IToolBar(unsigned long,IToolBar*,int,const IToolBar::Style&))
  #pragma alloc_text(ITheRightPrice,     IToolBar::~IToolBar())
  #pragma alloc_text(ITheRightPrice,     IToolBarTrackHandler::~IToolBarTrackHandler())
  #pragma alloc_text(ITheRightPrice,     IToolBarObjectList::~IToolBarObjectList())
  #pragma alloc_text(ITheRightPrice,     ISequence<IToolBarObject*>::~ISequence())
  #pragma alloc_text(ITheRightPrice,     ILinkedSequence<IToolBarObject*>::~ILinkedSequence())
  #pragma alloc_text(ITheRightPrice,     IGLnSq<IToolBarObject*,IStdOps<IToolBarObject*> >::~IGLnSq())
  #pragma alloc_text(ITheRightPrice,     IToolBarData::~IToolBarData())
  #pragma alloc_text(ITheRightPrice,     IToolBarPaintHandler::~IToolBarPaintHandler())
  #pragma alloc_text(ITsujiNightLive,    IToolBar::setDefaultStyle(const IToolBar::Style&))
#endif

#ifdef _ICUSTBUT_CPP_
  #pragma alloc_text(IProudMary,         ICustomButton::ICustomButton())
  #pragma alloc_text(IOnAnotherBenge,    ICustomButtonData::ICustomButtonData())
  #pragma alloc_text(IOnAnotherBenge,    ICustomButtonLatchHandler::ICustomButtonLatchHandler())
  #pragma alloc_text(IOnAnotherBenge,    ICustomButton::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(IStangerHook,       ICustomButtonLatchHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(ITheRightPrice,     ICustomButton::calcMinimumSize() const)
  #pragma alloc_text(ITheRightPrice,     ICustomButton::~ICustomButton())
  #pragma alloc_text(ITsujiNightLive,    ICustomButton::latch(int,int))
  #pragma alloc_text(ITsujiNightLive,    ICustomButton::checkAutoLatch())
  #pragma alloc_text(ITsujiNightLive,    ICustomButton::isAutoLatchEnabled() const)
  #pragma alloc_text(ITsujiNightLive,    ICustomButton::unlatch())
  #pragma alloc_text(ITsujiNightLive,    ICustomButton::defaultStyle())
  #pragma alloc_text(ITsujiNightLive,    ICustomButton::ICustomButton(unsigned long,IWindow*,IWindow*,const IRectangle&,const ICustomButton::Style&))
  #pragma alloc_text(ITsujiNightLive,    ICustomButton::enableLatching(int))
#endif

#ifdef _ICUSTBHD_CPP_
  #pragma alloc_text(IOnAnotherBenge,    ICustomButtonDrawHandler::ICustomButtonDrawHandler())
  #pragma alloc_text(IStangerHook,       ICustomButtonDrawHandler::dispatchHandlerEvent(IEvent&))
#endif

#ifdef _IGRAPHIC_CPP_
  #pragma alloc_text(IProudMary,         IGraphic::IGraphic())
  #pragma alloc_text(IProudMary,         IGraphic::setGraphicBundle(const IGraphicBundle&))
  #pragma alloc_text(IStangerHook,       IGraphic::~IGraphic())
#endif

#ifdef _IFLYTEXT_CPP_
  #pragma alloc_text(IProudMary,         IFlyText::IFlyText(unsigned long,IWindow*))
  #pragma alloc_text(IProudMary,         DefaultHandler::operator IFlyTextPaintHandler*())
  #pragma alloc_text(ITheRightPrice,     IFlyText::~IFlyText())
#endif

#ifdef _IGLIST_CPP_
  #pragma alloc_text(IProudMary,         IGList::IGList())
  #pragma alloc_text(IProudMary,         IGListSeq::IGListSeq(unsigned long))
  #pragma alloc_text(IProudMary,         ISequence<IGraphic*>::ISequence(unsigned long))
  #pragma alloc_text(IProudMary,         ILinkedSequence<IGraphic*>::ILinkedSequence(unsigned long))
  #pragma alloc_text(IProudMary,         IGLnSq<IGraphic*,IStdOps<IGraphic*> >::IGLnSq(unsigned long))
  #pragma alloc_text(IProudMary,         IGList::addAsFirst(IGraphic&))
  #pragma alloc_text(ITheRightPrice,     IGList::Cursor::Cursor(const IGList&))
  #pragma alloc_text(ITheRightPrice,     IGLnSqCrs<IGraphic*,IStdOps<IGraphic*> >::IGLnSqCrs(const IGLnSq<IGraphic*,IStdOps<IGraphic*> >&))
  #pragma alloc_text(ITheRightPrice,     IOrderedCursor<IGraphic*>::IOrderedCursor())
  #pragma alloc_text(ITheRightPrice,     IElementCursor<IGraphic*>::IElementCursor())
  #pragma alloc_text(ITheRightPrice,     IGList::Cursor::setToFirst())
  #pragma alloc_text(ITheRightPrice,     IGList::Cursor::isValid() const)
  #pragma alloc_text(ITheRightPrice,     IGList::graphicAt(const IGList::Cursor&) const)
  #pragma alloc_text(ITheRightPrice,     IGList::Cursor::setToNext())
  #pragma alloc_text(ITheRightPrice,     IGList::Cursor::~Cursor())
  #pragma alloc_text(ITheRightPrice,     IGList::~IGList())
#endif

#ifdef _IGBUNDLE_CPP_
  #pragma alloc_text(IProudMary,         IGraphicBundle::IGraphicBundle())
  #pragma alloc_text(IProudMary,         IGraphicBundle::IGraphicBundle(const IGraphicBundle&))
  #pragma alloc_text(IProudMary,         IGraphicBundle::~IGraphicBundle())
#endif

#ifdef _IPTARRAY_CPP_
  #pragma alloc_text(IProudMary,         IPointArray::IPointArray(unsigned long,const IPoint*))
  #pragma alloc_text(IProudMary,         IPointArray::operator[](unsigned long))
  #pragma alloc_text(IProudMary,         IPointArray::IPointArray(const IPointArray&))
  #pragma alloc_text(IProudMary,         IPointArray::size() const)
  #pragma alloc_text(IProudMary,         IPointArray::operator[](unsigned long) const)
  #pragma alloc_text(IProudMary,         IPointArray::resize(unsigned long))
  #pragma alloc_text(IProudMary,         IPointArray::~IPointArray())
#endif

#ifdef _IGPYLINE_CPP_
  #pragma alloc_text(IProudMary,         IGPolyline::IGPolyline(const IPointArray&))
  #pragma alloc_text(IProudMary,         IGPolygon::IGPolygon(const IPointArray&))
  #pragma alloc_text(ITheRightPrice,     IGPolygon::~IGPolygon())
  #pragma alloc_text(ITheRightPrice,     IGPolyline::~IGPolyline())
#endif

#ifdef _IFLYPAIN_CPP_
  #pragma alloc_text(IProudMary,         IFlyTextPaintHandler::IFlyTextPaintHandler())
  #pragma alloc_text(IProudMary,         IFlyTextPaintHandler::dispatchHandlerEvent(IEvent&))
#endif

#ifdef _IFLYHHDR_CPP_
  #pragma alloc_text(IShakAttack,        IFlyOverHelpHandler::IFlyOverHelpHandler(IFlyText*,ITextControl*,unsigned long))
  #pragma alloc_text(IProudMary,         IFlyOverData::IFlyOverData(IFlyText*,ITextControl*,unsigned long,IFlyOverHelpHandler*))
  #pragma alloc_text(IProudMary,         ITimerMemberFn<IFlyOverData>::ITimerMemberFn(IFlyOverData&,void( IFlyOverData::*)(unsigned long)))
  #pragma alloc_text(ITsujiNightLive,    IFlyOverHelpHandler::setFlyTextStringTableOffset(long))
  #pragma alloc_text(ITheRightPrice,     IFlyOverHelpHandler::setLongStringTableOffset(long))
  #pragma alloc_text(ITsujiNightLive,    IFlyOverHelpHandler::setDefaultText(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IFlyOverHelpHandler::resourceLibrary() const)
  #pragma alloc_text(ITheRightPrice,     IFlyOverHelpHandler::handleEventsFor(IWindow*))
  #pragma alloc_text(ITheRightPrice,     IFlyOverHelpHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(ITheRightPrice,     IFlyOverHelpHandler::~IFlyOverHelpHandler())
  #pragma alloc_text(ITheRightPrice,     IFlyOverData::~IFlyOverData())
  #pragma alloc_text(ITheRightPrice,     ITimerMemberFn<IFlyOverData>::~ITimerMemberFn())
  #pragma alloc_text(ITsujiNightLive,    IFlyOverHelpHandler::IFlyOverHelpHandler(IFlyText*,unsigned long))
#endif

#ifdef _ITIMER_CPP_
  #pragma alloc_text(IProudMary,         ITimerFn::ITimerFn())
  #pragma alloc_text(IProudMary,         ITimer::ITimer(const IReference<ITimerFn>&,unsigned long))
  #pragma alloc_text(IOnAnotherBenge,    ITimer::ITimer())
  #pragma alloc_text(IOnAnotherBenge,    TimerRecord::TimerRecord())
  #pragma alloc_text(IProudMary,         ITimer::start(const IReference<ITimerFn>&,unsigned long))
  #pragma alloc_text(IProudMary,         ITimer::setInterval(unsigned long))
  #pragma alloc_text(IProudMary,         ITimer::isStarted() const)
  #pragma alloc_text(IProudMary,         ITimer::start(const IReference<ITimerFn>&))
  #pragma alloc_text(IProudMary,         DefaultTimerHandler::operator ITimerHandler*())
  #pragma alloc_text(IProudMary,         ITimerHandler::ITimerHandler())
  #pragma alloc_text(IProudMary,         ITimer::~ITimer())
  #pragma alloc_text(ITheRightPrice,     ITimer::stop())
  #pragma alloc_text(ITheRightPrice,     ITimerFn::~ITimerFn())
#endif

#ifdef _ITBARCNR_CPP_
  #pragma alloc_text(ITheRightPrice,     IToolBarContainer::frameToolBarContainer(IFrameWindow*,IFrameWindow::Location))
  #pragma alloc_text(ITheRightPrice,     IToolBarContainer::defaultStyle())
  #pragma alloc_text(ITheRightPrice,     IToolBarContainer::IToolBarContainer(unsigned long,IFrameWindow*,IFrameWindow::Location,const IToolBarContainer::Style&))
  #pragma alloc_text(ITheRightPrice,     IToolBarContainerData::IToolBarContainerData(IFrameWindow*,IFrameWindow::Location))
  #pragma alloc_text(ITheRightPrice,     IToolBarContainer::setLayoutDistorted(unsigned long,unsigned long))
  #pragma alloc_text(ITheRightPrice,     IToolBarContainer::convertToGUIStyle(const IBitFlag&,int) const)
#endif

#ifdef _IDMHNDLR_CPP_
  #pragma alloc_text(ITheRightPrice,     IDMHandler::enableDropOn(IToolBar*))
  #pragma alloc_text(IStangerHook,       IDMHandler::defaultTargetHandler())
  #pragma alloc_text(IStangerHook,       IDMHandler::IDMHandler())
  #pragma alloc_text(IStangerHook,       IDMHandler::addRenderer(const IDMRenderer&))
  #pragma alloc_text(IStangerHook,       IDMHandler::rendererCollection())
  #pragma alloc_text(IStangerHook,       IDMRendererSeq::IDMRendererSeq())
  #pragma alloc_text(IStangerHook,       ISequence<IDMRenderer*>::ISequence(unsigned long))
  #pragma alloc_text(IStangerHook,       ILinkedSequence<IDMRenderer*>::ILinkedSequence(unsigned long))
  #pragma alloc_text(IStangerHook,       IGLnSq<IDMRenderer*,IStdOps<IDMRenderer*> >::IGLnSq(unsigned long))
  #pragma alloc_text(ITheRightPrice,     IDMHandler::setItemProvider(IToolBar*))
  #pragma alloc_text(ITheRightPrice,     IDMItemProviderFor<IDMToolBarItem>::IDMItemProviderFor())
  #pragma alloc_text(ITheRightPrice,     IDMHandler::enableDragDropFor(IToolBarButton*))
  #pragma alloc_text(IStangerHook,       IDMHandler::defaultSourceHandler())
  #pragma alloc_text(ITheRightPrice,     IDMHandler::setItemProvider(IToolBarButton*))
  #pragma alloc_text(ITheRightPrice,     IDMItemProviderFor<IDMTBarButtonItem>::IDMItemProviderFor())
  #pragma alloc_text(ITsujiNightLive,    IDMHandler::enableDragDropFor(IEntryField*))
  #pragma alloc_text(ITsujiNightLive,    IDMHandler::setItemProvider(IEntryField*))
  #pragma alloc_text(ITsujiNightLive,    IDMItemProviderFor<IDMEFItem>::IDMItemProviderFor())
  #pragma alloc_text(ITsujiNightLive,    IDMHandler::isContainerControl(const IWindow*) const)
#endif

#ifdef _IDMTGTH_CPP_
  #pragma alloc_text(IStangerHook,       IDMTargetHandler::IDMTargetHandler())
  #pragma alloc_text(IStangerHook,       IDMTargetHandler::addRenderer(const IDMTargetRenderer&))
  #pragma alloc_text(IStangerHook,       IDMTargetHandler::dispatchHandlerEvent(IEvent&))
#endif

#ifdef _IDMRENDR_CPP_
  #pragma alloc_text(IStangerHook,       IDMRenderer::defaultTargetRenderer())
  #pragma alloc_text(IStangerHook,       IDMTargetRenderer::IDMTargetRenderer())
  #pragma alloc_text(IStangerHook,       IDMRenderer::IDMRenderer())
  #pragma alloc_text(IStangerHook,       IDMRenderer::setSupportedTypes(const char*))
  #pragma alloc_text(IStangerHook,       IDMRenderer::setSupportedRMFs(const char*))
  #pragma alloc_text(IStangerHook,       IDMRenderer::defaultSourceRenderer())
  #pragma alloc_text(IStangerHook,       IDMSourceRenderer::IDMSourceRenderer())
#endif

#ifdef _IDMITEM_CPP_
  #pragma alloc_text(IStangerHook,       IDMItem::rfForThisProcess())
  #pragma alloc_text(IStangerHook,       IDMItem::rmfsFrom(const IString&))
  #pragma alloc_text(IStangerHook,       IDMItem::rmfsFrom(const IString&,const IString&))
  #pragma alloc_text(IStangerHook,       IDMItem::nextRMOrRFFrom(const IString&,unsigned int&))
  #pragma alloc_text(IStangerHook,       IDMItem::rmfFrom(const IString&,const IString&))
  #pragma alloc_text(IStangerHook,       IDMItem::appendRMF(IString&,const IString&))
#endif

#ifdef _IBHANDLE_CPP_
  #pragma alloc_text(IStangerHook,       IHandle::asString() const)
#endif

#ifdef _ISTRING5_CPP_
  #pragma alloc_text(IStangerHook,       IString::operator[](unsigned int) const)
  #pragma alloc_text(IShakAttack,        IString::subString(unsigned int,unsigned int,char) const)
  #pragma alloc_text(ITheRightPrice,     IString::subString(unsigned int) const)
#endif

#ifdef _IBUFFER5_CPP_
  #pragma alloc_text(IShakAttack,        IBuffer::subString(unsigned int,unsigned int,char) const)
#endif

#ifdef _IDMWIN_CPP_
  #pragma alloc_text(IStangerHook,       IWindow::itemProvider() const)
  #pragma alloc_text(IStangerHook,       IProviderStatics::providerList())
  #pragma alloc_text(IStangerHook,       IDMProviderList::IDMProviderList())
  #pragma alloc_text(IStangerHook,       IKeySet<Assoc,const IWindow*>::IKeySet(unsigned long))
  #pragma alloc_text(IStangerHook,       IGKeySet<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*> >::IGKeySet(unsigned long))
  #pragma alloc_text(IStangerHook,       IWKSOnKSS<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*>,IGAvlKSS<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*> > >::IWKSOnKSS(unsigned long))
  #pragma alloc_text(IStangerHook,       IGAvlKSS<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*> >::IGAvlKSS(unsigned long))
  #pragma alloc_text(IStangerHook,       IProviderStatics::libraryKey())
  #pragma alloc_text(IStangerHook,       IWKeySetOnKSSetCursor<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*>,IGAvlKSS<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*> > >::IWKeySetOnKSSetCursor(const IWKSOnKSS<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*>,IGAvlKSS<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*> > >&))
  #pragma alloc_text(IStangerHook,       IGAvlKeySortedSetCursor<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*> >::IGAvlKeySortedSetCursor(const IGAvlKSS<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*> >&))
  #pragma alloc_text(IStangerHook,       IOrderedCursor<Assoc>::IOrderedCursor())
  #pragma alloc_text(IStangerHook,       IElementCursor<Assoc>::IElementCursor())
  #pragma alloc_text(IStangerHook,       IWKeySetOnKSSetCursor<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*>,IGAvlKSS<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*> > >::~IWKeySetOnKSSetCursor())
  #pragma alloc_text(IStangerHook,       IGAvlKeySortedSetCursor<Assoc,const IWindow*,IKCOps<Assoc,const IWindow*> >::~IGAvlKeySortedSetCursor())
  #pragma alloc_text(IStangerHook,       IOrderedCursor<Assoc>::~IOrderedCursor())
  #pragma alloc_text(IStangerHook,       IElementCursor<Assoc>::~IElementCursor())
  #pragma alloc_text(IStangerHook,       IWindow::setItemProvider(IDMItemProvider*))
#endif

#ifdef _IDMPROV_CPP_
  #pragma alloc_text(IStangerHook,       IDMItemProvider::IDMItemProvider())
#endif

#ifdef _IDMSRCH_CPP_
  #pragma alloc_text(IStangerHook,       IDMSourceHandler::IDMSourceHandler())
  #pragma alloc_text(IStangerHook,       IDMSourceHandler::addRenderer(const IDMSourceRenderer&))
  #pragma alloc_text(IStangerHook,       IDMSourceHandler::dispatchHandlerEvent(IEvent&))
#endif

#ifdef _ISTRTEST_CPP_
  #pragma alloc_text(IJennsPen,          IStringTest::IStringTest(int(&)(int)))
  #pragma alloc_text(IJennsPen,          IStringTest::test(int) const)
  #pragma alloc_text(IJennsPen,          IStringTest::~IStringTest())
#endif

#ifdef _IPAINEVT_CPP_
  #pragma alloc_text(IProudMary,         IPaintEvent::IPaintEvent(const IEvent&))
  #pragma alloc_text(IProudMary,         IPaintEvent::presSpaceHandle())
  #pragma alloc_text(IProudMary,         IPaintEvent::initializeGC())
  #pragma alloc_text(IProudMary,         IPaintEvent::~IPaintEvent())
#endif

#ifdef _ISPLITCV_CPP_
  #pragma alloc_text(IStangerHook,       ISplitCanvas::defaultStyle())
  #pragma alloc_text(IStangerHook,       ISplitCanvas::ISplitCanvas(unsigned long,IWindow*,IWindow*,const IRectangle&,const ISplitCanvas::Style&))
  #pragma alloc_text(ITheRightPrice,     ISplitCanvas::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(ITheRightPrice,     ISplitPercentageSet::ISplitPercentageSet())
  #pragma alloc_text(ITheRightPrice,     IKeySortedSet<ISplitPercentage*,IWindow*>::IKeySortedSet(unsigned long))
  #pragma alloc_text(ITheRightPrice,     IAvlKeySortedSet<ISplitPercentage*,IWindow*>::IAvlKeySortedSet(unsigned long))
  #pragma alloc_text(ITheRightPrice,     IGAvlKSS<ISplitPercentage*,IWindow*,IKCOps<ISplitPercentage*,IWindow*> >::IGAvlKSS(unsigned long))
  #pragma alloc_text(ITheRightPrice,     ISplitCanvas::setLayoutDistorted(unsigned long,unsigned long))
  #pragma alloc_text(ITheRightPrice,     ISplitCanvas::setSplitWindowPercentage(IWindow*,unsigned long))
  #pragma alloc_text(ITsujiNightLive,    ISplitCanvas::~ISplitCanvas())
  #pragma alloc_text(ITsujiNightLive,    ISplitPercentageSet::~ISplitPercentageSet())
  #pragma alloc_text(ITsujiNightLive,    IKeySortedSet<ISplitPercentage*,IWindow*>::~IKeySortedSet())
  #pragma alloc_text(ITsujiNightLive,    IAvlKeySortedSet<ISplitPercentage*,IWindow*>::~IAvlKeySortedSet())
  #pragma alloc_text(ITsujiNightLive,    IGAvlKSS<ISplitPercentage*,IWindow*,IKCOps<ISplitPercentage*,IWindow*> >::~IGAvlKSS())
  #pragma alloc_text(ITsujiNightLive,    ISplitPercentageDeleter(ISplitPercentage* const&,void*))
  #pragma alloc_text(ITsujiNightLive,    ISplitCanvas::setOrientation(ISplitCanvas::Orientation))
  #pragma alloc_text(ITsujiNightLive,    ISplitCanvas::layout())
  #pragma alloc_text(ITsujiNightLive,    ISplitCanvas::resolveRatios())
  #pragma alloc_text(ITsujiNightLive,    IPaneSeq::IPaneSeq())
  #pragma alloc_text(ITsujiNightLive,    IPaneSeq::addFirst(IPaneObj*))
  #pragma alloc_text(ITsujiNightLive,    IPaneSeq::isEmpty())
  #pragma alloc_text(ITsujiNightLive,    ISplitCanvas::setResolvedPercentage(IWindow*,unsigned long))
  #pragma alloc_text(ITsujiNightLive,    ISplitCanvas::splitWindowPercentage(IWindow*))
  #pragma alloc_text(ITsujiNightLive,    IPaneSeq::~IPaneSeq())
  #pragma alloc_text(ITsujiNightLive,    ISplitCanvas::resolvedPercentage(IWindow*))
  #pragma alloc_text(ITsujiNightLive,    IPaneSeq::addLast(IPaneObj*))
#endif

#ifdef _ISPLITCH_CPP_
  #pragma alloc_text(ITheRightPrice,     ISplitCanvasHandler::ISplitCanvasHandler())
  #pragma alloc_text(ITheRightPrice,     ISplitCanvasHandler::handleEventsFor(ISplitCanvas*))
  #pragma alloc_text(ITheRightPrice,     ISplitCanvasHandler::dispatchHandlerEvent(IEvent&))
  #pragma alloc_text(ITsujiNightLive,    ISplitCanvasHandler::stopHandlingEventsFor(ISplitCanvas*))
  #pragma alloc_text(ITsujiNightLive,    ISplitCanvasHandler::~ISplitCanvasHandler())
#endif

#ifdef _ISELHDR_CPP_
  #pragma alloc_text(IStangerHook,       ISelectHandler::ISelectHandler())
  #pragma alloc_text(IStangerHook,       ISelectHandler::~ISelectHandler())
#endif

#ifdef _IPOPMENU_CPP_
  #pragma alloc_text(ITsujiNightLive,    IPopUpMenu::IPopUpMenu(const IResourceId&,IWindow*))
  #pragma alloc_text(ITsujiNightLive,    IPopUpMenu::~IPopUpMenu())
#endif

#ifdef _IMSGTEXT_CPP_
  #pragma alloc_text(IShakAttack,        IMessageText::IMessageText(unsigned long,const char*,const char*,const char*,const char*,const char*,const char*,const char*,const char*,const char*,const char*))
  #pragma alloc_text(IShakAttack,        IMessageText::IMessageText(const IMessageText&))
  #pragma alloc_text(IShakAttack,        IMessageText::~IMessageText())
  #pragma alloc_text(IShakAttack,        IMessageText::text() const)
#endif

#ifdef _ITRACE_CPP_
  #pragma alloc_text(IMillerTime,        ITrace::ITrace(const char*,long))
  #pragma alloc_text(IMillerTime,        ITraceSetup::initialize())
  #pragma alloc_text(IMountainsOfBusch,  ITrace::write(const char*))
  #pragma alloc_text(IMountainsOfBusch,  ITrace::write(const IString&))
  #pragma alloc_text(IMillerTime,        ITrace::writeFormattedString(const IString&,char*))
  #pragma alloc_text(IMillerTime,        ITrace::threadId())
  #pragma alloc_text(IMountainsOfBusch,  ITrace::writeString(char*))
  #pragma alloc_text(IMountainsOfBusch,  ITrace::~ITrace())
#endif

#ifdef _IMLE_CPP_
  #pragma alloc_text(IShakAttack,        IMultiLineEdit::defaultStyle())
  #pragma alloc_text(IShakAttack,        IMultiLineEdit::IMultiLineEdit(unsigned long,IWindow*,IWindow*,const IRectangle&,const IMultiLineEdit::Style&))
  #pragma alloc_text(IShakAttack,        IMultiLineEdit::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(IShakAttack,        IMultiLineEdit::setEditRegion())
  #pragma alloc_text(IShakAttack,        IMultiLineEdit::disableUpdate())
  #pragma alloc_text(IShakAttack,        IMultiLineEdit::enableUpdate(int))
  #pragma alloc_text(IStangerHook,       IMultiLineEdit::~IMultiLineEdit())
  #pragma alloc_text(ITsujiNightLive,    IMultiLineEdit::enableWordWrap(int))
  #pragma alloc_text(ITsujiNightLive,    IMultiLineEdit::isWordWrap() const)
#endif

#ifdef _ICHECKBX_CPP_
  #pragma alloc_text(ITsujiNightLive,    ICheckBox::defaultStyle())
  #pragma alloc_text(ITsujiNightLive,    ICheckBox::ICheckBox(unsigned long,IWindow*,IWindow*,const IRectangle&,const ICheckBox::Style&))
  #pragma alloc_text(ITsujiNightLive,    ICheckBox::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(ITsujiNightLive,    ICheckBox::calcMinimumSize() const)
#endif

#ifdef _ISETBUT_CPP_
  #pragma alloc_text(ITsujiNightLive,    ISettingButton::ISettingButton())
  #pragma alloc_text(ITsujiNightLive,    ISettingButton::select(int))
  #pragma alloc_text(ITsujiNightLive,    ISettingButton::isSelected() const)
#endif

#ifdef _IRADIOBT_CPP_
  #pragma alloc_text(ITsujiNightLive,    IRadioButton::defaultStyle())
  #pragma alloc_text(ITsujiNightLive,    IRadioButton::IRadioButton(unsigned long,IWindow*,IWindow*,const IRectangle&,const IRadioButton::Style&))
  #pragma alloc_text(ITsujiNightLive,    IRadioButton::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(ITsujiNightLive,    IRadioButton::calcMinimumSize() const)
#endif

#ifdef _IMNDIHDR_CPP_
  #pragma alloc_text(ITsujiNightLive,    IMenuDrawItemHandler::IMenuDrawItemHandler())
  #pragma alloc_text(ITsujiNightLive,    IMenuDrawItemHandler::dispatchHandlerEvent(IEvent&))
#endif

#ifdef _IDRAWCV_CPP_
  #pragma alloc_text(ITsujiNightLive,    IDrawingCanvas::defaultStyle())
  #pragma alloc_text(ITsujiNightLive,    IDrawingCanvas::IDrawingCanvas(unsigned long,IWindow*,IWindow*,const IRectangle&,const IDrawingCanvas::Style&))
  #pragma alloc_text(ITsujiNightLive,    DefaultHandler::operator IDefaultDrawHandler*())
  #pragma alloc_text(ITsujiNightLive,    IDefaultDrawHandler::IDefaultDrawHandler())
  #pragma alloc_text(ITsujiNightLive,    IDrawingCanvas::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(ITsujiNightLive,    IDrawingCanvas::setGraphicContext(IGraphicContext*))
  #pragma alloc_text(ITsujiNightLive,    IDrawingCanvas::setGraphicList(IGList*))
#endif

#ifdef _IGRECT_CPP_
  #pragma alloc_text(ITsujiNightLive,    IGRectangle::IGRectangle(const IRectangle&))
#endif

#ifdef _IGBMODEL_CPP_
  #pragma alloc_text(ITsujiNightLive,    ModCreateFromHBitmap)
  #pragma alloc_text(ITsujiNightLive,    ModCreateFromHPS)
  #pragma alloc_text(ITsujiNightLive,    ModCreate)
  #pragma alloc_text(ITsujiNightLive,    AllocateData(_MOD*))
  #pragma alloc_text(ITsujiNightLive,    StrideOf(_MOD*))
  #pragma alloc_text(ITsujiNightLive,    ModResize)
  #pragma alloc_text(ITsujiNightLive,    ModMapVisual)
  #pragma alloc_text(ITsujiNightLive,    ModMakeHBITMAP)
  #pragma alloc_text(ITsujiNightLive,    ModDelete)
#endif

#ifdef _IGBMSCAL_CPP_
  #pragma alloc_text(ITsujiNightLive,    gbm_simple_scale(unsigned char*,int,int,unsigned char*,int,int,int))
  #pragma alloc_text(ITsujiNightLive,    simple_scale_4(unsigned char*,unsigned char*,int,int*))
#endif

#ifdef _IMNDIEVT_CPP_
  #pragma alloc_text(ITsujiNightLive,    IMenuDrawItemEvent::IMenuDrawItemEvent(IEvent&))
  #pragma alloc_text(ITsujiNightLive,    IMenuDrawItemEvent::~IMenuDrawItemEvent())
#endif

#ifdef _IDIEVT_CPP_
  #pragma alloc_text(ITsujiNightLive,    IDrawItemEvent::IDrawItemEvent(const IEvent&))
  #pragma alloc_text(ITsujiNightLive,    IDrawItemEvent::~IDrawItemEvent())
#endif

#ifdef _IENTRYFD_CPP_
  #pragma alloc_text(ITheRightPrice,     IEntryField::defaultStyle())
  #pragma alloc_text(ITheRightPrice,     IEntryField::IEntryField(unsigned long,IWindow*,IWindow*,const IRectangle&,const IEntryField::Style&))
  #pragma alloc_text(ITheRightPrice,     IEntryField::convertToGUIStyle(const IBitFlag&,int) const)
#endif

#ifdef _IOBSERVR_CPP_
  #pragma alloc_text(ITheRightPrice,     IObserver::IObserver())
  #pragma alloc_text(ITsujiNightLive,    IObserver::handleNotificationsFor(INotifier&,const IEventData&))
#endif

#ifdef _IOBSLIST_CPP_
  #pragma alloc_text(ITsujiNightLive,    IObserverList::IObserverList())
  #pragma alloc_text(ITsujiNightLive,    IObserverDataList::IObserverDataList())
  #pragma alloc_text(ITsujiNightLive,    ISequence<IObserverPtr>::ISequence(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    ILinkedSequence<IObserverPtr>::ILinkedSequence(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IGLnSq<IObserverPtr,IStdOps<IObserverPtr> >::IGLnSq(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IObserverList::add(IObserver&,void*))
  #pragma alloc_text(ITsujiNightLive,    IObserverList::observerKey())
#endif

#ifdef _IENTRYF1_CPP_
  #pragma alloc_text(ITsujiNightLive,    IEntryField::enableNotification(int))
  #pragma alloc_text(ITsujiNightLive,    IEntryFieldNotifyStatics::notificationHandler())
  #pragma alloc_text(ITsujiNightLive,    IEntryFieldNotifyHandler::IEntryFieldNotifyHandler())
#endif

#ifdef _ITEXTCT1_CPP_
  #pragma alloc_text(ITsujiNightLive,    ITextControlNotifyHandler::ITextControlNotifyHandler())
#endif

#ifdef _IWINDOW7_CPP_
  #pragma alloc_text(ITsujiNightLive,    IWindowNotifyHandler::IWindowNotifyHandler())
#endif

#ifdef _IBUTTON1_CPP_
  #pragma alloc_text(ITsujiNightLive,    IButton::enableNotification(int))
  #pragma alloc_text(ITsujiNightLive,    IButtonNotifyStatics::notificationHandler())
  #pragma alloc_text(ITsujiNightLive,    IButtonNotifyHandler::IButtonNotifyHandler())
#endif

#ifdef _INOTEBK_CPP_
  #pragma alloc_text(ITsujiNightLive,    INotebook::INotebook(unsigned long,IWindow*,IWindow*,const IRectangle&,const INotebook::Style&))
  #pragma alloc_text(ITsujiNightLive,    INotebook::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(ITsujiNightLive,    DefaultHandler::operator INotebookHandler*())
  #pragma alloc_text(ITsujiNightLive,    INotebook::setPageButtonSize(const ISize&))
  #pragma alloc_text(ITsujiNightLive,    INotebook::setMajorTabSize(const ISize&))
  #pragma alloc_text(ITsujiNightLive,    INotebook::setMinorTabSize(const ISize&))
  #pragma alloc_text(ITsujiNightLive,    INotebook::addLastPage(const INotebook::PageSettings&,IWindow*))
  #pragma alloc_text(ITsujiNightLive,    IPageHandle::IPageHandle(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    INotebook::insertPageInfo(const INotebook::PageSettings&,const IPageHandle&,IWindow*,unsigned long))
  #pragma alloc_text(ITsujiNightLive,    INotebook::insertPage(void*,void*))
  #pragma alloc_text(ITsujiNightLive,    INotebook::setStatusText(const IPageHandle&,const char*))
  #pragma alloc_text(ITsujiNightLive,    INotebook::pageSettings(const IPageHandle&) const)
  #pragma alloc_text(ITsujiNightLive,    INotebook::setTabBitmap(const IPageHandle&,const IBitmapHandle&))
  #pragma alloc_text(ITsujiNightLive,    ITabBitmapMgr::ITabBitmapMgr(const IBitmapHandle&,const IPageHandle&))
  #pragma alloc_text(ITsujiNightLive,    ITabBitmapMgr::setNext(ITabBitmapMgr*))
  #pragma alloc_text(ITsujiNightLive,    INotebook::setUserData(const IPageHandle&,unsigned long))
#endif

#ifdef _INOTEHDR_CPP_
  #pragma alloc_text(ITsujiNightLive,    INotebookHandler::INotebookHandler())
  #pragma alloc_text(ITsujiNightLive,    INotebookHandler::dispatchHandlerEvent(IEvent&))
#endif

#ifdef _IVPORT_CPP_
  #pragma alloc_text(ITheRightPrice,     IViewPort::defaultStyle())
  #pragma alloc_text(ITheRightPrice,     IViewPort::IViewPort(unsigned long,IWindow*,IWindow*,const IRectangle&,const IViewPort::Style&))
  #pragma alloc_text(ITheRightPrice,     IViewPort::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(ITheRightPrice,     IViewPort::setLayoutDistorted(unsigned long,unsigned long))
  #pragma alloc_text(ITheRightPrice,     IViewRectangle::IViewRectangle(unsigned long,IWindow*,IWindow*,const IRectangle&,const ICanvas::Style&))
#endif

#ifdef _ISCROLL_CPP_
  #pragma alloc_text(ITheRightPrice,     IScrollBar::systemScrollBarWidth(int))
  #pragma alloc_text(ITheRightPrice,     IScrollBar::IScrollBar(unsigned long,IWindow*,IWindow*,const IRectangle&,const IScrollBar::Style&))
  #pragma alloc_text(ITheRightPrice,     IScrollBar::initialize(unsigned long,IWindow*,IWindow*,const IRectangle&,const IRange&,unsigned long,unsigned long,const IScrollBar::Style&))
  #pragma alloc_text(ITheRightPrice,     IScrollBar::initializeControlData(const IRange&,unsigned long,_SBCDATA*))
  #pragma alloc_text(ITheRightPrice,     IScrollBar::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(ITheRightPrice,     IScrollBar::setMinScrollIncrement(unsigned long))
  #pragma alloc_text(ITheRightPrice,     IScrollBar::minScrollIncrement() const)
#endif

#ifdef _IVPORHDR_CPP_
  #pragma alloc_text(ITheRightPrice,     IViewPortStatics::resizeHandler())
  #pragma alloc_text(ITheRightPrice,     IViewPortResizeHandler::IViewPortResizeHandler())
  #pragma alloc_text(ITheRightPrice,     IViewPortResizeHandler::handleEventsFor(IViewPort*))
  #pragma alloc_text(ITheRightPrice,     IViewPortStatics::scrollHandler())
  #pragma alloc_text(ITheRightPrice,     IViewPortScrollHandler::IViewPortScrollHandler())
  #pragma alloc_text(ITheRightPrice,     IViewPortScrollHandler::handleEventsFor(IViewPort*))
  #pragma alloc_text(ITheRightPrice,     IViewPortStatics::keyboardHandler())
  #pragma alloc_text(ITheRightPrice,     IViewPortKeyboardHandler::IViewPortKeyboardHandler())
  #pragma alloc_text(ITheRightPrice,     IViewPortKeyboardHandler::handleEventsFor(IViewPort*))
  #pragma alloc_text(ITsujiNightLive,    IViewPortResizeHandler::windowResize(IResizeEvent&))
#endif

#ifdef _ISCRLHDR_CPP_
  #pragma alloc_text(ITheRightPrice,     IScrollHandler::IScrollHandler())
  #pragma alloc_text(ITheRightPrice,     IScrollHandler::dispatchHandlerEvent(IEvent&))
#endif

#ifdef _INOTEBK0_CPP_
  #pragma alloc_text(ITsujiNightLive,    INotebook::PageSettings::PageSettings(const INotebook::PageSettings::Attribute&))
  #pragma alloc_text(ITsujiNightLive,    INotebook::PageSettings::setTabBitmap(const IBitmapHandle&))
  #pragma alloc_text(ITsujiNightLive,    INotebook::PageSettings::setStatusText(const IResourceId&))
  #pragma alloc_text(ITsujiNightLive,    INotebook::PageSettings::setStatusText(const char*))
  #pragma alloc_text(ITsujiNightLive,    INotebook::PageSettings::isAutoSize() const)
  #pragma alloc_text(ITsujiNightLive,    INotebook::PageSettings::PageSettings(const char*,const char*,const INotebook::PageSettings::Attribute&))
  #pragma alloc_text(ITsujiNightLive,    INotebook::PageSettings::PageSettings(const INotebook::PageSettings&))
  #pragma alloc_text(ITsujiNightLive,    INotebook::PageSettings::~PageSettings())
  #pragma alloc_text(ITsujiNightLive,    INotebook::PageSettings::isStatusTextOn() const)
  #pragma alloc_text(ITsujiNightLive,    INotebook::PageSettings::statusText() const)
#endif

#ifdef _IMSGBOX_CPP_
  #pragma alloc_text(ITsujiNightLive,    IMessageBox::IMessageBox(IWindow*))
  #pragma alloc_text(ITsujiNightLive,    IMessageBox::~IMessageBox())
#endif

#ifdef _IANIMBUT_CPP_
  #pragma alloc_text(ITsujiNightLive,    IAnimatedButton::IAnimatedButton(unsigned long,IWindow*,IWindow*,const IRectangle&,const IAnimatedButton::Style&))
  #pragma alloc_text(ITsujiNightLive,    IAnimatedButtonData::IAnimatedButtonData(IAnimatedButton*))
  #pragma alloc_text(ITsujiNightLive,    IAnimatedButton::convertToGUIStyle(const IBitFlag&,int) const)
#endif

#ifdef _IMMCDDA_CPP_
  #pragma alloc_text(ITsujiNightLive,    IMMAudioCD::IMMAudioCD(IProfile*,int,unsigned long,int))
#endif

#ifdef _IMMREMED_CPP_
  #pragma alloc_text(ITsujiNightLive,    IMMRemovableMedia::IMMRemovableMedia(const IString&,int,unsigned long,int))
#endif

#ifdef _IMMPLAYD_CPP_
  #pragma alloc_text(ITsujiNightLive,    IMMPlayableDevice::IMMPlayableDevice(const IString&,int,unsigned long,int))
#endif

#ifdef _IMMDEV_CPP_
  #pragma alloc_text(ITsujiNightLive,    IMMDevice::IMMDevice(const IString&))
  #pragma alloc_text(ITsujiNightLive,    IMMDeviceData::IMMDeviceData(IString,IString))
  #pragma alloc_text(ITsujiNightLive,    IMMDevice::deviceWindow() const)
  #pragma alloc_text(ITsujiNightLive,    IMMDevice::openOnThread(const IString&,int,IMMDevice::CallType))
  #pragma alloc_text(ITsujiNightLive,    OpenSyncFn::OpenSyncFn(IMMDevice*,const IString&,int))
  #pragma alloc_text(ITsujiNightLive,    IMMDevice::openStatus() const)
  #pragma alloc_text(ITsujiNightLive,    IMMDevice::isOpen() const)
#endif

#ifdef _IMMOWIN_CPP_
  #pragma alloc_text(ITsujiNightLive,    IMMMessageWindow::IMMMessageWindow(IMMDevice&))
#endif

#ifdef _IMMDVHDR_CPP_
  #pragma alloc_text(ITsujiNightLive,    IMMDeviceHandler::IMMDeviceHandler())
  #pragma alloc_text(ITsujiNightLive,    IMMDeviceHandler::handleEventsFor(IMMDevice*))
#endif

#ifdef _ISPINNUM_CPP_
  #pragma alloc_text(ITsujiNightLive,    INumericSpinButton::defaultStyle())
  #pragma alloc_text(ITsujiNightLive,    INumericSpinButton::INumericSpinButton(unsigned long,IWindow*,IWindow*,const IRectangle&,const INumericSpinButton::Style&))
  #pragma alloc_text(ITsujiNightLive,    INumericSpinButton::convertToGUIStyle(const IBitFlag&,int) const)
  #pragma alloc_text(ITsujiNightLive,    INumericSpinButton::setRange(const IRange&,int))
  #pragma alloc_text(ITsujiNightLive,    INumericSpinButton::setValue(long))
  #pragma alloc_text(ITsujiNightLive,    INumericSpinButton::value() const)
#endif

#ifdef _ISPINBAS_CPP_
  #pragma alloc_text(ITsujiNightLive,    IBaseSpinButton::IBaseSpinButton())
  #pragma alloc_text(ITsujiNightLive,    IBaseSpinButton::initialize(unsigned long,const IWindowHandle&,const IWindowHandle&,unsigned long,const IRectangle&))
  #pragma alloc_text(ITsujiNightLive,    IBaseSpinButton::initialize())
  #pragma alloc_text(ITsujiNightLive,    IBaseSpinButton::setLimit(unsigned long))
  #pragma alloc_text(ITsujiNightLive,    IBaseSpinButton::calcMinimumSize() const)
  #pragma alloc_text(ITsujiNightLive,    IBaseSpinButton::limit() const)
#endif

#ifdef _ISPINSZH_CPP_
  #pragma alloc_text(ITsujiNightLive,    ISpinButtonStatics::sizeHandler())
  #pragma alloc_text(ITsujiNightLive,    ISpinButtonSizeHandler::ISpinButtonSizeHandler())
  #pragma alloc_text(ITsujiNightLive,    ISpinButtonSizeHandler::handleEventsFor(IBaseSpinButton*))
  #pragma alloc_text(ITsujiNightLive,    ISpinButtonSizeHandler::windowResize(IResizeEvent&))
#endif


#include <ipraglst.h>

#endif  /* IC_DEVELOP */

#endif  /* _IPAGETUN_ */

