MessageIdTypeDef=DWORD
; LanguageNames=(English=1:MSG00001)
SeverityNames=(Success=0)
FacilityNames=(Application=0x0)

;  FILE NAME: cppooc3u.txt
;
;  DESCRIPTION:
;    This file contains MRI used for constructing exceptions thrown by the
;    User Interface class library.  This file is used as input to the MSGMKF
;    utility to build a file named cppooc3u.msg.  When an exception is thrown
;    to signal an error, the associated text is loaded from this file and
;    logged in a manner specified by the user of the library or of the application.
;    Code page 850 is specified to MSGMKF when the message file is built.  The
;    command used to build the message file is:
;    MKMSGF cppooc3u.txt cppooc3u.msg /P850
;
; COPYRIGHT:
;   IBM Open Class Library
;   (C) Copyright International Business Machines Corporation 1992, 1995
;   Licensed Material - Program-Property of IBM - All Rights Reserved.
;   US Government Users Restricted Rights - Use, duplication, or disclosure
;   restricted by GSA ADP Schedule Contract with IBM Corp.
;
;  Note to translators:
;  %1 and %2 indicate substitution tags and should not be translated.
;  Additionally, the following should not be translated:
;  - library function names
;    These are followed by (), such as begin() and beginHotLink().
;  - PM APIs and constants
;    Examples are WinDdePostMsg, WM_DDE_ACK, and WM_DDE_DATA.
;
MessageId = 1
Severity = Success
Facility = Application
Language = English
The following expression must be true, but it evaluated to false: %1.
.

MessageId = 2
Severity = Success
Facility = Application
Language = English
An attempt was made to call an unsupported function through a base class pointer.
.

MessageId = 3
Severity = Success
Facility = Application
Language = English
An unexpected error has occurred.
.

MessageId = 4
Severity = Success
Facility = Application
Language = English
Out of memory; unable to allocate memory.
.

MessageId = 5
Severity = Success
Facility = Application
Language = English
An attempt was made to destroy a window object from within a handler that was handling an event for the same window.
.

MessageId = 6
Severity = Success
Facility = Application
Language = English
.

MessageId = 7
Severity = Success
Facility = Application
Language = English
.

MessageId = 8
Severity = Success
Facility = Application
Language = English
.

MessageId = 9
Severity = Success
Facility = Application
Language = English
.

MessageId = 10
Severity = Success
Facility = Application
Language = English
This operating system does not support this function.
.

MessageId = 11
Severity = Success
Facility = Application
Language = English
.

MessageId = 12
Severity = Success
Facility = Application
Language = English
.

MessageId = 13
Severity = Success
Facility = Application
Language = English
.

MessageId = 14
Severity = Success
Facility = Application
Language = English
.

MessageId = 15
Severity = Success
Facility = Application
Language = English
.

MessageId = 16
Severity = Success
Facility = Application
Language = English
.

MessageId = 17
Severity = Success
Facility = Application
Language = English
.

MessageId = 18
Severity = Success
Facility = Application
Language = English
.

MessageId = 19
Severity = Success
Facility = Application
Language = English
.

MessageId = 20
Severity = Success
Facility = Application
Language = English
.

MessageId = 21
Severity = Success
Facility = Application
Language = English
.

MessageId = 22
Severity = Success
Facility = Application
Language = English
.

MessageId = 23
Severity = Success
Facility = Application
Language = English
.

MessageId = 24
Severity = Success
Facility = Application
Language = English
.

MessageId = 25
Severity = Success
Facility = Application
Language = English
An invalid DBCS string was specified.
.

MessageId = 26
Severity = Success
Facility = Application
Language = English
An error occurred while converting an MBCS string to a wide character string.
.

MessageId = 27
Severity = Success
Facility = Application
Language = English
A protected function of a class was called; it can produce unpredictable results.
.

MessageId = 28
Severity = Success
Facility = Application
Language = English
.

MessageId = 29
Severity = Success
Facility = Application
Language = English
.

MessageId = 30
Severity = Success
Facility = Application
Language = English
The presentation space could not be released.
.

MessageId = 31
Severity = Success
Facility = Application
Language = English
The keyboard event does not contain a valid character code.
.

MessageId = 32
Severity = Success
Facility = Application
Language = English
The keyboard event does not contain a valid scan code.
.

MessageId = 33
Severity = Success
Facility = Application
Language = English
The keyboard event does not contain a valid virtual key.
.

MessageId = 34
Severity = Success
Facility = Application
Language = English
The presentation parameter value was not found.
.

MessageId = 35
Severity = Success
Facility = Application
Language = English
The specified color index is not valid.
.

MessageId = 36
Severity = Success
Facility = Application
Language = English
The event is not valid for this function.
.

MessageId = 37
Severity = Success
Facility = Application
Language = English
The keyboard event contains a double-byte character, which is not valid for this function.
.

MessageId = 38
Severity = Success
Facility = Application
Language = English
A scan code cannot be returned for double-byte character input.
.

MessageId = 39
Severity = Success
Facility = Application
Language = English
The specified enumerator value is not valid.
.

MessageId = 40
Severity = Success
Facility = Application
Language = English
There is no marked text to copy, cut, clear, or delete.
.

MessageId = 41
Severity = Success
Facility = Application
Language = English
There is no data in the clipboard for pasting.
.

MessageId = 42
Severity = Success
Facility = Application
Language = English
The request to remove the handler failed because the handler could not be found.
.

MessageId = 43
Severity = Success
Facility = Application
Language = English
The combination of styles is not valid because a contradiction is specified.
.

MessageId = 44
Severity = Success
Facility = Application
Language = English
The function could not be executed because the specified size is too small to contain the text.
.

MessageId = 45
Severity = Success
Facility = Application
Language = English
The specified frame extension control was not found.
.

MessageId = 46
Severity = Success
Facility = Application
Language = English
The specified thread ID is not valid.
.

MessageId = 47
Severity = Success
Facility = Application
Language = English
start() is not valid because the specified thread is already started.
.

MessageId = 48
Severity = Success
Facility = Application
Language = English
An invalid request was made to suspend a PM thread.
.

MessageId = 49
Severity = Success
Facility = Application
Language = English
Unable to acquire a semaphore to satisfy the setLock() request.
.

MessageId = 50
Severity = Success
Facility = Application
Language = English
More than one view window was specified for the view port to scroll.
.

MessageId = 51
Severity = Success
Facility = Application
Language = English
Attempt to allocate an IString that is too big.
.

MessageId = 52
Severity = Success
Facility = Application
Language = English
An attempt was made to index beyond the end of a const IString.
.

MessageId = 53
Severity = Success
Facility = Application
Language = English
objectCopy() was requested when the object does not support copy.
.

MessageId = 54
Severity = Success
Facility = Application
Language = English
Object construction failed; you must use operator new.
.

MessageId = 55
Severity = Success
Facility = Application
Language = English
A control cannot overlap a cell already containing a control.
.

MessageId = 56
Severity = Success
Facility = Application
Language = English
The window dispatcher found a handler that was invalid. The handler must be removed before deletion.
.

MessageId = 57
Severity = Success
Facility = Application
Language = English
The function could not be executed because the imported text exceeds the text limit.
.

MessageId = 58
Severity = Success
Facility = Application
Language = English
An attempt was made to dereference a null IReference.
.

MessageId = 59
Severity = Success
Facility = Application
Language = English
Unable to create %1 widget.
.

MessageId = 60
Severity = Success
Facility = Application
Language = English
Unable to initialize XmString context.
.

MessageId = 61
Severity = Success
Facility = Application
Language = English
The handle of the window is not valid.
.

MessageId = 62
Severity = Success
Facility = Application
Language = English
startHandlingEvents() failed because no window exists with the specified ID.
.

MessageId = 63
Severity = Success
Facility = Application
Language = English
The parent of the specified object is not an IWindow.
.

MessageId = 64
Severity = Success
Facility = Application
Language = English
Could not find this control using %1 .
.

MessageId = 65
Severity = Success
Facility = Application
Language = English
The control to be used is not of type %1 .
.

MessageId = 66
Severity = Success
Facility = Application
Language = English
An attempt was made to allocate a keyed thread variable beyond the library's limit.
.

MessageId = 67
Severity = Success
Facility = Application
Language = English
The function is not valid for bitmap fonts.
.

MessageId = 68
Severity = Success
Facility = Application
Language = English
You are attempting to use operator new for more objects than the allocator supports.
.

MessageId = 69
Severity = Success
Facility = Application
Language = English
Allocator construction failed; you cannot construct an allocator from 0 items.
.

MessageId = 70
Severity = Success
Facility = Application
Language = English
An attempt was made to clear the title text.  A null title is not allowed.
.

MessageId = 71
Severity = Success
Facility = Application
Language = English
The thread cannot be started; Win32s does not support multiple threads.
.

MessageId = 72
Severity = Success
Facility = Application
Language = English
Constructing an object of this class is not supported on the Win32s platform.
.

MessageId = 73
Severity = Success
Facility = Application
Language = English
This member function is not supported on the Win32s platform.
.

MessageId = 74
Severity = Success
Facility = Application
Language = English
.

MessageId = 75
Severity = Success
Facility = Application
Language = English
.

MessageId = 76
Severity = Success
Facility = Application
Language = English
.

MessageId = 77
Severity = Success
Facility = Application
Language = English
.

MessageId = 78
Severity = Success
Facility = Application
Language = English
.

MessageId = 79
Severity = Success
Facility = Application
Language = English
.

MessageId = 80
Severity = Success
Facility = Application
Language = English
A user interface help window error occurred.
.

MessageId = 81
Severity = Success
Facility = Application
Language = English
An error occurred loading the dynamic link library containing help information.
.

MessageId = 82
Severity = Success
Facility = Application
Language = English
No help window is associated with the application window.
.

MessageId = 83
Severity = Success
Facility = Application
Language = English
The application window associated with the help window is not valid.
.

MessageId = 84
Severity = Success
Facility = Application
Language = English
The help window associated with the application window is not valid.
.

MessageId = 85
Severity = Success
Facility = Application
Language = English
The application window used to query the help window is not valid.
.

MessageId = 86
Severity = Success
Facility = Application
Language = English
Context-sensitive help is not available.
.

MessageId = 87
Severity = Success
Facility = Application
Language = English
The handle specified for a help window is not valid.
.

MessageId = 88
Severity = Success
Facility = Application
Language = English
Context-sensitive help is not available for this item.
.

MessageId = 89
Severity = Success
Facility = Application
Language = English
The help index could not be found.
.

MessageId = 90
Severity = Success
Facility = Application
Language = English
No information is contained in the help library.
.

MessageId = 91
Severity = Success
Facility = Application
Language = English
The help library cannot be opened.
.

MessageId = 92
Severity = Success
Facility = Application
Language = English
The help library cannot be read.
.

MessageId = 93
Severity = Success
Facility = Application
Language = English
The help library cannot be closed.
.

MessageId = 94
Severity = Success
Facility = Application
Language = English
The contents of the help library are not formatted correctly.
.

MessageId = 95
Severity = Success
Facility = Application
Language = English
Insufficient memory is available for help processing.
.

MessageId = 96
Severity = Success
Facility = Application
Language = English
Memory could not be freed.
.

MessageId = 97
Severity = Success
Facility = Application
Language = English
The requested help panel could not be found.
.

MessageId = 98
Severity = Success
Facility = Application
Language = English
An internal error occurred during the processing of the help request.
.

MessageId = 99
Severity = Success
Facility = Application
Language = English
An error occurred during the processing of the help request.
.

MessageId = 100
Severity = Success
Facility = Application
Language = English
This thread is not processing events.
.

MessageId = 101
Severity = Success
Facility = Application
Language = English
This frame extension is already in use.
.

MessageId = 102
Severity = Success
Facility = Application
Language = English
The help window could not load or initialize the font set.
.

MessageId = 103
Severity = Success
Facility = Application
Language = English
The system could not load the font or process the font description.
.

MessageId = 104
Severity = Success
Facility = Application
Language = English
The notebook page does not have a status line for displaying status text.
.

MessageId = 105
Severity = Success
Facility = Application
Language = English
.

MessageId = 106
Severity = Success
Facility = Application
Language = English
.

MessageId = 107
Severity = Success
Facility = Application
Language = English
.

MessageId = 108
Severity = Success
Facility = Application
Language = English
.

MessageId = 109
Severity = Success
Facility = Application
Language = English
.

MessageId = 110
Severity = Success
Facility = Application
Language = English
.

MessageId = 111
Severity = Success
Facility = Application
Language = English
.

MessageId = 112
Severity = Success
Facility = Application
Language = English
.

MessageId = 113
Severity = Success
Facility = Application
Language = English
.

MessageId = 114
Severity = Success
Facility = Application
Language = English
.

MessageId = 115
Severity = Success
Facility = Application
Language = English
.

MessageId = 116
Severity = Success
Facility = Application
Language = English
.

MessageId = 117
Severity = Success
Facility = Application
Language = English
.

MessageId = 118
Severity = Success
Facility = Application
Language = English
.

MessageId = 119
Severity = Success
Facility = Application
Language = English
.

MessageId = 120
Severity = Success
Facility = Application
Language = English
.

MessageId = 121
Severity = Success
Facility = Application
Language = English
beginConversation() is not valid; a conversation with this client (window) is already active.
.

MessageId = 122
Severity = Success
Facility = Application
Language = English
%1 is not valid; there is no active conversation.
.

MessageId = 123
Severity = Success
Facility = Application
Language = English
endConversation() is not valid; there is no active conversation with this ID.
.

MessageId = 124
Severity = Success
Facility = Application
Language = English
WinDdeInitiate failed; unable to begin conversation.
.

MessageId = 125
Severity = Success
Facility = Application
Language = English
%1 failed; unable to complete the requested transaction: %2.
.

MessageId = 126
Severity = Success
Facility = Application
Language = English
.

MessageId = 127
Severity = Success
Facility = Application
Language = English
.

MessageId = 128
Severity = Success
Facility = Application
Language = English
beginHotLink() is not valid; a hot link for this item and format is already active.
.

MessageId = 129
Severity = Success
Facility = Application
Language = English
beginHotLink() is not valid; a beginHotLink() request for this item and format is pending.
.

MessageId = 130
Severity = Success
Facility = Application
Language = English
%1 is not valid; there is no active hot link for this item and format.
.

MessageId = 131
Severity = Success
Facility = Application
Language = English
endHotLinks() is not valid; there are no active hot links.
.

MessageId = 132
Severity = Success
Facility = Application
Language = English
endHotLinks() is not valid; there are no active hot links for this item.
.

MessageId = 133
Severity = Success
Facility = Application
Language = English
endHotLink() is not valid; an endHotLink() or endHotLInks() request for this item and format is pending.
.

MessageId = 134
Severity = Success
Facility = Application
Language = English
endHotLinks() is not valid; an endHotLinks() request for this item is pending.
.

MessageId = 135
Severity = Success
Facility = Application
Language = English
endHotLinks() is not valid; an endHotLinks() request for all hot links is pending.
.

MessageId = 136
Severity = Success
Facility = Application
Language = English
dispatchHandlerEvent() was called recursively, possibly violating DDE synchronization rules.
.

MessageId = 137
Severity = Success
Facility = Application
Language = English
The rectangle size is too small to accommodate the requested tick spacing.
.

MessageId = 138
Severity = Success
Facility = Application
Language = English
The number function could not be executed because the object contains text values.
.

MessageId = 139
Severity = Success
Facility = Application
Language = English
The text function could not be executed because the object contains numbers.
.

MessageId = 140
Severity = Success
Facility = Application
Language = English
The list of text items cannot be added to the spin control.
.

MessageId = 141
Severity = Success
Facility = Application
Language = English
The request to update the menu item failed.
.

MessageId = 142
Severity = Success
Facility = Application
Language = English
The menu item ID is invalid.
.

MessageId = 143
Severity = Success
Facility = Application
Language = English
The window does not have a system menu.
.

MessageId = 144
Severity = Success
Facility = Application
Language = English
The frame window does not have a menu bar.
.

MessageId = 145
Severity = Success
Facility = Application
Language = English
The bitmap menu item requires a bitmap handle.
.

MessageId = 146
Severity = Success
Facility = Application
Language = English
The value specified is not in the current spin button range.
.

MessageId = 147
Severity = Success
Facility = Application
Language = English
No menu item is selected.
.

MessageId = 148
Severity = Success
Facility = Application
Language = English
Cannot add a submenu because one already exists for the menu item.
.

MessageId = 149
Severity = Success
Facility = Application
Language = English
Cannot create an ITitleBar object unless the owning IFrameWindow has a titleBar style.
.

MessageId = 150
Severity = Success
Facility = Application
Language = English
An error occurred while attempting to set the ISlider control data.
.

MessageId = 151
Severity = Success
Facility = Application
Language = English
An error occurred while attempting to obtain the ISlider control data.
.

MessageId = 152
Severity = Success
Facility = Application
Language = English
The specified menu item has no submenu associated with it.
.

MessageId = 153
Severity = Success
Facility = Application
Language = English
sizeTo() or moveTo() is invalid for IHelpWindow when the cover page is not visible.
.

MessageId = 154
Severity = Success
Facility = Application
Language = English
There is no item at index %1.
.

MessageId = 155
Severity = Success
Facility = Application
Language = English
The rendering format is unknown.
.

MessageId = 156
Severity = Success
Facility = Application
Language = English
The rendering mechanism is unknown.
.

MessageId = 157
Severity = Success
Facility = Application
Language = English
Use rfProcess for the same process.
.

MessageId = 158
Severity = Success
Facility = Application
Language = English
Rendering at the source failed.
.

MessageId = 159
Severity = Success
Facility = Application
Language = English
The DRAGTRANSFER structure is invalid.
.

MessageId = 160
Severity = Success
Facility = Application
Language = English
No source object was supplied.
.

MessageId = 161
Severity = Success
Facility = Application
Language = English
The index supplied is out of range.
.

MessageId = 162
Severity = Success
Facility = Application
Language = English
The provideTargetItemFor function failed.
.

MessageId = 163
Severity = Success
Facility = Application
Language = English
The DRAGITEM structure is invalid.
.

MessageId = 164
Severity = Success
Facility = Application
Language = English
The clipboard is locked by another application.
.

MessageId = 165
Severity = Success
Facility = Application
Language = English
The clipboard data returned is truncated due to insufficient buffer size.
.

MessageId = 166
Severity = Success
Facility = Application
Language = English
A valid shell widget does not exist for this frame window control.
.

MessageId = 167
Severity = Success
Facility = Application
Language = English
A slider's primary scale requires a minimum of two ticks.
.

MessageId = 168
Severity = Success
Facility = Application
Language = English
The tick number supplied is invalid.
.

MessageId = 169
Severity = Success
Facility = Application
Language = English
The pixel supplied is invalid.
.

MessageId = 170
Severity = Success
Facility = Application
Language = English
The application initialization failed.
.

MessageId = 171
Severity = Success
Facility = Application
Language = English
The modifier state for the left and right key do not match.
.

MessageId = 172
Severity = Success
Facility = Application
Language = English
The specified timer ID is not valid.
.

MessageId = 173
Severity = Success
Facility = Application
Language = English
start() is not valid because the specified timer is already started.
.

MessageId = 174
Severity = Success
Facility = Application
Language = English
Unable to allocate a new timer ID.
.

MessageId = 175
Severity = Success
Facility = Application
Language = English
.

MessageId = 176
Severity = Success
Facility = Application
Language = English
.

MessageId = 177
Severity = Success
Facility = Application
Language = English
.

MessageId = 178
Severity = Success
Facility = Application
Language = English
.

MessageId = 179
Severity = Success
Facility = Application
Language = English
.

MessageId = 180
Severity = Success
Facility = Application
Language = English
Expected a window class of %1.
.

MessageId = 181
Severity = Success
Facility = Application
Language = English
The visible count cannot be greater than the scroll bar range.
.

MessageId = 182
Severity = Success
Facility = Application
Language = English
Could not find the widget name to convert to a widget.
.

MessageId = 183
Severity = Success
Facility = Application
Language = English
No match was found for the specified search string.
.

MessageId = 184
Severity = Success
Facility = Application
Language = English
The list box is empty.
.

MessageId = 185
Severity = Success
Facility = Application
Language = English
A GUI exception condition was detected.
.

MessageId = 186
Severity = Success
Facility = Application
Language = English
A system exception condition was detected.
.

MessageId = 187
Severity = Success
Facility = Application
Language = English
The combination box text cannot be set because no item matches the text.
.

MessageId = 188
Severity = Success
Facility = Application
Language = English
.

MessageId = 189
Severity = Success
Facility = Application
Language = English
.

MessageId = 190
Severity = Success
Facility = Application
Language = English
An INumericSpinButton cannot be constructed from a text PM spin button.
.

MessageId = 191
Severity = Success
Facility = Application
Language = English
An ITextSpinButton cannot be constructed from a numeric PM spin button.
.

MessageId = 192
Severity = Success
Facility = Application
Language = English
The specifed text does not match any of the values in the spin button text array.
.

MessageId = 193
Severity = Success
Facility = Application
Language = English
The list box contains no selected items.
.

MessageId = 194
Severity = Success
Facility = Application
Language = English
The list box type is single select.
.

MessageId = 195
Severity = Success
Facility = Application
Language = English
.

MessageId = 196
Severity = Success
Facility = Application
Language = English
.

MessageId = 197
Severity = Success
Facility = Application
Language = English
.

MessageId = 198
Severity = Success
Facility = Application
Language = English
.

MessageId = 199
Severity = Success
Facility = Application
Language = English
.

MessageId = 200
Severity = Success
Facility = Application
Language = English
.

MessageId = 201
Severity = Success
Facility = Application
Language = English
Abort
.

MessageId = 202
Severity = Success
Facility = Application
Language = English
Retry
.

MessageId = 203
Severity = Success
Facility = Application
Language = English
Ignore
.

MessageId = 204
Severity = Success
Facility = Application
Language = English
Enter
.

MessageId = 205
Severity = Success
Facility = Application
Language = English
Help
.

MessageId = 206
Severity = Success
Facility = Application
Language = English
Apply
.

MessageId = 207
Severity = Success
Facility = Application
Language = English
Reset
.

MessageId = 208
Severity = Success
Facility = Application
Language = English
OK
.

MessageId = 209
Severity = Success
Facility = Application
Language = English
Cancel
.

MessageId = 210
Severity = Success
Facility = Application
Language = English
The picture string has an unrecognized picture character.
.

MessageId = 211
Severity = Success
Facility = Application
Language = English
The picture string has unmatched quotes.
.

MessageId = 212
Severity = Success
Facility = Application
Language = English
The picture string has an invalid range.
.

MessageId = 213
Severity = Success
Facility = Application
Language = English
.

MessageId = 214
Severity = Success
Facility = Application
Language = English
.

MessageId = 215
Severity = Success
Facility = Application
Language = English
.

MessageId = 216
Severity = Success
Facility = Application
Language = English
.

MessageId = 217
Severity = Success
Facility = Application
Language = English
.

MessageId = 218
Severity = Success
Facility = Application
Language = English
.

MessageId = 219
Severity = Success
Facility = Application
Language = English
.

MessageId = 220
Severity = Success
Facility = Application
Language = English
.

MessageId = 221
Severity = Success
Facility = Application
Language = English
.

MessageId = 222
Severity = Success
Facility = Application
Language = English
.

MessageId = 223
Severity = Success
Facility = Application
Language = English
.

MessageId = 224
Severity = Success
Facility = Application
Language = English
.

MessageId = 225
Severity = Success
Facility = Application
Language = English
.

MessageId = 226
Severity = Success
Facility = Application
Language = English
.

MessageId = 227
Severity = Success
Facility = Application
Language = English
.

MessageId = 228
Severity = Success
Facility = Application
Language = English
.

MessageId = 229
Severity = Success
Facility = Application
Language = English
.

MessageId = 230
Severity = Success
Facility = Application
Language = English
.

MessageId = 231
Severity = Success
Facility = Application
Language = English
.

MessageId = 232
Severity = Success
Facility = Application
Language = English
.

MessageId = 233
Severity = Success
Facility = Application
Language = English
.

MessageId = 234
Severity = Success
Facility = Application
Language = English
.

MessageId = 235
Severity = Success
Facility = Application
Language = English
.

MessageId = 236
Severity = Success
Facility = Application
Language = English
.

MessageId = 237
Severity = Success
Facility = Application
Language = English
.

MessageId = 238
Severity = Success
Facility = Application
Language = English
.

MessageId = 239
Severity = Success
Facility = Application
Language = English
.

MessageId = 240
Severity = Success
Facility = Application
Language = English
.

MessageId = 241
Severity = Success
Facility = Application
Language = English
.

MessageId = 242
Severity = Success
Facility = Application
Language = English
.

MessageId = 243
Severity = Success
Facility = Application
Language = English
.

MessageId = 244
Severity = Success
Facility = Application
Language = English
.

MessageId = 245
Severity = Success
Facility = Application
Language = English
.

MessageId = 246
Severity = Success
Facility = Application
Language = English
.

MessageId = 247
Severity = Success
Facility = Application
Language = English
.

MessageId = 248
Severity = Success
Facility = Application
Language = English
.

MessageId = 249
Severity = Success
Facility = Application
Language = English
.

MessageId = 250
Severity = Success
Facility = Application
Language = English
Could not map the point to another IWindowHandle.
.

MessageId = 251
Severity = Success
Facility = Application
Language = English
Yes
.

MessageId = 252
Severity = Success
Facility = Application
Language = English
No
.

MessageId = 253
Severity = Success
Facility = Application
Language = English
Description
.

MessageId = 254
Severity = Success
Facility = Application
Language = English
Point size
.

MessageId = 255
Severity = Success
Facility = Application
Language = English
The data is not available in the specified format.
.

MessageId = 256
Severity = Success
Facility = Application
Language = English
Registration of the specified format failed.
.

MessageId = 257
Severity = Success
Facility = Application
Language = English
The requested format was not found.
.

MessageId = 258
Severity = Success
Facility = Application
Language = English
An unknown error occurred.
.

MessageId = 259
Severity = Success
Facility = Application
Language = English
An error occurred while attempting to open a file.
.

MessageId = 260
Severity = Success
Facility = Application
Language = English
An error occurred while attempting to create a file.
.

MessageId = 261
Severity = Success
Facility = Application
Language = English
The file format does not support this bits-per-pixel.
.

MessageId = 262
Severity = Success
Facility = Application
Language = English
Could not create device context resource.
.

MessageId = 263
Severity = Success
Facility = Application
Language = English
Could not create presentation space resource.
.

MessageId = 264
Severity = Success
Facility = Application
Language = English
Could not create metafile resource.
.

MessageId = 265
Severity = Success
Facility = Application
Language = English
Could not create bitmap resource.
.

MessageId = 266
Severity = Success
Facility = Application
Language = English
Coordinates need to be clipped.
.

MessageId = 267
Severity = Success
Facility = Application
Language = English
This format is not supported.
.

MessageId = 268
Severity = Success
Facility = Application
Language = English
Invalid option.
.

MessageId = 269
Severity = Success
Facility = Application
Language = English
This file type is not supported.
.

MessageId = 270
Severity = Success
Facility = Application
Language = English
An invalid magic number or signature block was specified.
.

MessageId = 271
Severity = Success
Facility = Application
Language = English
An invalid bitmap size was specified.
.

MessageId = 272
Severity = Success
Facility = Application
Language = English
An error occurred while attempting to read a file.
.

MessageId = 273
Severity = Success
Facility = Application
Language = English
An error occurred while attempting to write to a file.
.

MessageId = 274
Severity = Success
Facility = Application
Language = English
Number of bitmap planes is not 1.
.

MessageId = 275
Severity = Success
Facility = Application
Language = English
Bit count is not 1, 4, 8, or 24.
.

MessageId = 276
Severity = Success
Facility = Application
Language = English
cbFix has an invalid value.
.

MessageId = 277
Severity = Success
Facility = Application
Language = English
The compression type is not RLE4 or RLE8.
.

MessageId = 278
Severity = Success
Facility = Application
Language = English
There were fewer bitmaps in the file than the specified index.
.

MessageId = 279
Severity = Success
Facility = Application
Language = English
Incorrect bits-per-pixel were specified.
.

MessageId = 280
Severity = Success
Facility = Application
Language = English
The terminator was found before the requested image descriptor.
.

MessageId = 281
Severity = Success
Facility = Application
Language = English
The code size is not in the range 2 to 9.
.

MessageId = 282
Severity = Success
Facility = Application
Language = English
The encoded data is corrupt.
.

MessageId = 283
Severity = Success
Facility = Application
Language = English
The file length is not a multiple of its width.
.

MessageId = 284
Severity = Success
Facility = Application
Language = English
An error occurred while attempting to open the complementary palette file.
.

MessageId = 285
Severity = Success
Facility = Application
Language = English
An error occurred while attempting to create the complementary palette file.
.

MessageId = 286
Severity = Success
Facility = Application
Language = English
There is no FORM signature.
.

MessageId = 287
Severity = Success
Facility = Application
Language = English
There is no ILBM signature.
.

MessageId = 288
Severity = Success
Facility = Application
Language = English
There are multiple BMHD bitmap headers.
.

MessageId = 289
Severity = Success
Facility = Application
Language = English
There is no BMHD bitmap header.
.

MessageId = 290
Severity = Success
Facility = Application
Language = English
An incorrect size of BMHD bitmap header was used.
.

MessageId = 291
Severity = Success
Facility = Application
Language = English
Unsupported or invalid bits-per-pixel were used.
.

MessageId = 292
Severity = Success
Facility = Application
Language = English
The CMAP color map is the wrong size.
.

MessageId = 293
Severity = Success
Facility = Application
Language = English
The compression type is neither uncompressed nor RLE.
.

MessageId = 294
Severity = Success
Facility = Application
Language = English
The CAMG chunk is the wrong size.
.

MessageId = 295
Severity = Success
Facility = Application
Language = English
An unsupported version of SHAM (not 0) was used.
.

MessageId = 296
Severity = Success
Facility = Application
Language = English
The version number needs to be 4 or 5.
.

MessageId = 297
Severity = Success
Facility = Application
Language = English
The encoding mode is not 1.
.

MessageId = 298
Severity = Success
Facility = Application
Language = English
An unsupported bits-per-pixel/plane or plane combination was specified.
.

MessageId = 299
Severity = Success
Facility = Application
Language = English
The file trailer is corrupted.
.

MessageId = 300
Severity = Success
Facility = Application
Language = English
An incorrect maximum pixel intensity was used.
.

MessageId = 301
Severity = Success
Facility = Application
Language = English
A record in the PSEG file does not start with 0x5a.  Try the fixrec option.
.

MessageId = 302
Severity = Success
Facility = Application
Language = English
An invalid or unknown record exists in the PSEG file.
.

MessageId = 303
Severity = Success
Facility = Application
Language = English
A size record was not found before the raster data or image cell position records were.
.

MessageId = 304
Severity = Success
Facility = Application
Language = English
The width must be a multiple of 8.
.

MessageId = 305
Severity = Success
Facility = Application
Language = English
The default cell size must be a multiple of 8.
.

MessageId = 306
Severity = Success
Facility = Application
Language = English
The cell size must be a multiple of 8.
.

MessageId = 307
Severity = Success
Facility = Application
Language = English
The cell position must be a multiple of 8.
.

MessageId = 308
Severity = Success
Facility = Application
Language = English
A record was found in an unexpected place.
.

MessageId = 309
Severity = Success
Facility = Application
Language = English
A sprite has a first bit that is not a multiple of 8.
.

MessageId = 310
Severity = Success
Facility = Application
Language = English
A sprite was defined in an unknown mode.
.

MessageId = 311
Severity = Success
Facility = Application
Language = English
There were fewer sprites in the file than the index specified.
.

MessageId = 312
Severity = Success
Facility = Application
Language = English
The 8-bit file does not have 0, 16, or 64 palette entries in it.
.

MessageId = 313
Severity = Success
Facility = Application
Language = English
The bits-per-pixel are not 8, 16, 24 or 32.
.

MessageId = 314
Severity = Success
Facility = Application
Language = English
An unsupported compression type was specified for bits-per-pixel.
.

MessageId = 315
Severity = Success
Facility = Application
Language = English
The color map entry size is not 24 bits-per-pixel.
.

MessageId = 316
Severity = Success
Facility = Application
Language = English
The version number must be 42.
.

MessageId = 317
Severity = Success
Facility = Application
Language = English
Too many tags are in the file.
.

MessageId = 318
Severity = Success
Facility = Application
Language = English
An incorrect tag type was used.
.

MessageId = 319
Severity = Success
Facility = Application
Language = English
A header is corrupted.
.

MessageId = 320
Severity = Success
Facility = Application
Language = English
The imageWidth, ImageLength, or StripOffsets tag is missing.
.

MessageId = 321
Severity = Success
Facility = Application
Language = English
The SamplesPerPixel tag must be 1 for a bitmap or greyscale file.
.

MessageId = 322
Severity = Success
Facility = Application
Language = English
The BitsPerSample tag must be 1, 4, or 8 for a bitmap or greyscale file.
.

MessageId = 323
Severity = Success
Facility = Application
Language = English
The SamplesPerPixel tag must be 3 or more for a RGB file.
.

MessageId = 324
Severity = Success
Facility = Application
Language = English
The BitsPerSample tag must be 8 for a RGB file.
.

MessageId = 325
Severity = Success
Facility = Application
Language = English
The SamplesPerPixel tag must be 1 for a file that includes a palette.
.

MessageId = 326
Severity = Success
Facility = Application
Language = English
The BitsPerSample tag must be 1, 4, or 8 for a file that includes a palette.
.

MessageId = 327
Severity = Success
Facility = Application
Language = English
The SamplesPerPixel tag must be 4 for a CMYK file.
.

MessageId = 328
Severity = Success
Facility = Application
Language = English
The BitsPerSample tag must be 8 for a CMYK file.
.

MessageId = 329
Severity = Success
Facility = Application
Language = English
The Compression tag is CCITT 1D Modified Huffman, which is not supported.
.

MessageId = 330
Severity = Success
Facility = Application
Language = English
The Compression tag is CCITT T.4 G3 Facsimile, which is not supported.
.

MessageId = 331
Severity = Success
Facility = Application
Language = English
The Compression tag is CCITT T.6 G4 Facsimile, which is not supported.
.

MessageId = 332
Severity = Success
Facility = Application
Language = English
The Compression tag is not uncompressed, PackBits, or LZW, which is not supported.
.

MessageId = 333
Severity = Success
Facility = Application
Language = English
The ColorMap tag is missing.
.

MessageId = 334
Severity = Success
Facility = Application
Language = English
Encoded data is corrupted.
.

MessageId = 335
Severity = Success
Facility = Application
Language = English
The Predictor tag is invalid.
.

MessageId = 336
Severity = Success
Facility = Application
Language = English
The PhotometricInterpretation tag is a transparency mask, which is not supported.
.

MessageId = 337
Severity = Success
Facility = Application
Language = English
The PhotometricInterpretation tag is Y-Cb-Cr color space, which is not supported.
.

MessageId = 338
Severity = Success
Facility = Application
Language = English
The PhotometricInterpretation tag is unsupported or incorrect.
.

MessageId = 339
Severity = Success
Facility = Application
Language = English
The FillOrder tag must be 1.
.

MessageId = 340
Severity = Success
Facility = Application
Language = English
The PlanarConfiguration tag must be 1 for non-RGB files.
.

MessageId = 341
Severity = Success
Facility = Application
Language = English
The PlanarConfiguration tag must be 1 or 2 for RGB files.
.

MessageId = 342
Severity = Success
Facility = Application
Language = English
The InkSet tag indicates non-CMYK color separations.
.

MessageId = 343
Severity = Success
Facility = Application
Language = English
The Orientation tag must be 1 or 4.
.

MessageId = 344
Severity = Success
Facility = Application
Language = English
There are fewer bitmaps in the file than the index specified.
.

MessageId = 345
Severity = Success
Facility = Application
Language = English
The width is not a multiple of 4 pixels.
.

MessageId = 346
Severity = Success
Facility = Application
Language = English
An identifier was expected.
.

MessageId = 347
Severity = Success
Facility = Application
Language = English
An unexpected end of file was encountered.
.

MessageId = 348
Severity = Success
Facility = Application
Language = English
A char or short was expected.
.

MessageId = 349
Severity = Success
Facility = Application
Language = English
[ was expected.
.

MessageId = 350
Severity = Success
Facility = Application
Language = English
] was expected.
.

MessageId = 351
Severity = Success
Facility = Application
Language = English
= was expected.
.

MessageId = 352
Severity = Success
Facility = Application
Language = English
{ was expected.
.

MessageId = 353
Severity = Success
Facility = Application
Language = English
} was expected.
.

MessageId = 354
Severity = Success
Facility = Application
Language = English
, was expected.
.

MessageId = 355
Severity = Success
Facility = Application
Language = English
A number was expected.
.

MessageId = 356
Severity = Success
Facility = Application
Language = English
; was expected.
.

MessageId = 357
Severity = Success
Facility = Application
Language = English
.

MessageId = 358
Severity = Success
Facility = Application
Language = English
.

MessageId = 359
Severity = Success
Facility = Application
Language = English
.

MessageId = 360
Severity = Success
Facility = Application
Language = English
.

MessageId = 361
Severity = Success
Facility = Application
Language = English
.

MessageId = 362
Severity = Success
Facility = Application
Language = English
.

MessageId = 363
Severity = Success
Facility = Application
Language = English
.

MessageId = 364
Severity = Success
Facility = Application
Language = English
.

MessageId = 365
Severity = Success
Facility = Application
Language = English
.

MessageId = 366
Severity = Success
Facility = Application
Language = English
.

MessageId = 367
Severity = Success
Facility = Application
Language = English
.

MessageId = 368
Severity = Success
Facility = Application
Language = English
.

MessageId = 369
Severity = Success
Facility = Application
Language = English
.

MessageId = 370
Severity = Success
Facility = Application
Language = English
A child already exists.
.

MessageId = 371
Severity = Success
Facility = Application
Language = English
The collection is empty.
.

MessageId = 372
Severity = Success
Facility = Application
Language = English
The cursor is not contained in this collection.
.

MessageId = 373
Severity = Success
Facility = Application
Language = English
The cursor is not for the given collection.
.

MessageId = 374
Severity = Success
Facility = Application
Language = English
The cursor is not for this collection.
.

MessageId = 375
Severity = Success
Facility = Application
Language = English
An identical collection was specified.
.

MessageId = 376
Severity = Success
Facility = Application
Language = English
An invalid cursor was specified.
.

MessageId = 377
Severity = Success
Facility = Application
Language = English
An invalid position was specified.
.

MessageId = 378
Severity = Success
Facility = Application
Language = English
An invalid replacement was specified.
.

MessageId = 379
Severity = Success
Facility = Application
Language = English
A key already exists.
.

MessageId = 380
Severity = Success
Facility = Application
Language = English
A key is not contained.
.

MessageId = 381
Severity = Success
Facility = Application
Language = English
This collection is unbounded.
.

MessageId = 382
Severity = Success
Facility = Application
Language = English
The system is out of memory for collection elements.
.

MessageId = 383
Severity = Success
Facility = Application
Language = English
A root already exists.
.

MessageId = 384
Severity = Success
Facility = Application
Language = English
A cyclic child attachment occurred.
.

MessageId = 385
Severity = Success
Facility = Application
Language = English
.

MessageId = 386
Severity = Success
Facility = Application
Language = English
.

MessageId = 387
Severity = Success
Facility = Application
Language = English
.

MessageId = 388
Severity = Success
Facility = Application
Language = English
.

MessageId = 389
Severity = Success
Facility = Application
Language = English
.

MessageId = 390
Severity = Success
Facility = Application
Language = English
.

MessageId = 391
Severity = Success
Facility = Application
Language = English
.

MessageId = 392
Severity = Success
Facility = Application
Language = English
.

MessageId = 393
Severity = Success
Facility = Application
Language = English
.

MessageId = 394
Severity = Success
Facility = Application
Language = English
.

MessageId = 395
Severity = Success
Facility = Application
Language = English
.

MessageId = 396
Severity = Success
Facility = Application
Language = English
.

MessageId = 397
Severity = Success
Facility = Application
Language = English
.

MessageId = 398
Severity = Success
Facility = Application
Language = English
.

MessageId = 399
Severity = Success
Facility = Application
Language = English
.

MessageId = 400
Severity = Success
Facility = Application
Language = English
An abstract class cannot be constructed.
.

MessageId = 401
Severity = Success
Facility = Application
Language = English
An object could not be found in the context.
.

MessageId = 402
Severity = Success
Facility = Application
Language = English
The stream is not valid.
.

MessageId = 403
Severity = Success
Facility = Application
Language = English
The streamed object cannot be derived from the base object type.
.

MessageId = 404
Severity = Success
Facility = Application
Language = English
The type information for the class is missing.
.

MessageId = 405
Severity = Success
Facility = Application
Language = English
The type information for the class has previously been added.
.

MessageId = 406
Severity = Success
Facility = Application
Language = English
The file cannot be opened.
.

MessageId = 407
Severity = Success
Facility = Application
Language = English
The seek position in the stream is not valid.
.

MessageId = 408
Severity = Success
Facility = Application
Language = English
The file is not large enough to hold the stream.
.

MessageId = 409
Severity = Success
Facility = Application
Language = English
An error occurred writing the stream to the file.
.

MessageId = 410
Severity = Success
Facility = Application
Language = English
There is insufficient data in the file stream.
.

MessageId = 411
Severity = Success
Facility = Application
Language = English
The object's version number is not supported by this application.
.

MessageId = 412
Severity = Success
Facility = Application
Language = English
.

MessageId = 413
Severity = Success
Facility = Application
Language = English
.

MessageId = 414
Severity = Success
Facility = Application
Language = English
.

MessageId = 415
Severity = Success
Facility = Application
Language = English
.

MessageId = 416
Severity = Success
Facility = Application
Language = English
.

MessageId = 417
Severity = Success
Facility = Application
Language = English
.

MessageId = 418
Severity = Success
Facility = Application
Language = English
.

MessageId = 419
Severity = Success
Facility = Application
Language = English
.

MessageId = 420
Severity = Success
Facility = Application
Language = English
.

MessageId = 421
Severity = Success
Facility = Application
Language = English
.

MessageId = 422
Severity = Success
Facility = Application
Language = English
.

MessageId = 423
Severity = Success
Facility = Application
Language = English
.

MessageId = 424
Severity = Success
Facility = Application
Language = English
.

MessageId = 425
Severity = Success
Facility = Application
Language = English
.

MessageId = 426
Severity = Success
Facility = Application
Language = English
.

MessageId = 427
Severity = Success
Facility = Application
Language = English
.

MessageId = 428
Severity = Success
Facility = Application
Language = English
.

MessageId = 429
Severity = Success
Facility = Application
Language = English
.

MessageId = 430
Severity = Success
Facility = Application
Language = English
.

MessageId = 431
Severity = Success
Facility = Application
Language = English
.

MessageId = 432
Severity = Success
Facility = Application
Language = English
.

MessageId = 433
Severity = Success
Facility = Application
Language = English
.

MessageId = 434
Severity = Success
Facility = Application
Language = English
.

MessageId = 435
Severity = Success
Facility = Application
Language = English
.

MessageId = 436
Severity = Success
Facility = Application
Language = English
.

MessageId = 437
Severity = Success
Facility = Application
Language = English
.

MessageId = 438
Severity = Success
Facility = Application
Language = English
.

MessageId = 439
Severity = Success
Facility = Application
Language = English
.

MessageId = 440
Severity = Success
Facility = Application
Language = English
.

MessageId = 441
Severity = Success
Facility = Application
Language = English
.

MessageId = 442
Severity = Success
Facility = Application
Language = English
.

MessageId = 443
Severity = Success
Facility = Application
Language = English
.

MessageId = 444
Severity = Success
Facility = Application
Language = English
.

MessageId = 445
Severity = Success
Facility = Application
Language = English
.

MessageId = 446
Severity = Success
Facility = Application
Language = English
.

MessageId = 447
Severity = Success
Facility = Application
Language = English
.

MessageId = 448
Severity = Success
Facility = Application
Language = English
.

MessageId = 449
Severity = Success
Facility = Application
Language = English
.

MessageId = 450
Severity = Success
Facility = Application
Language = English
(Untitled)
.

MessageId = 451
Severity = Success
Facility = Application
Language = English
Could not insert this object into the container.
.

MessageId = 452
Severity = Success
Facility = Application
Language = English
An error occurred while attempting to open file %1.
.

MessageId = 453
Severity = Success
Facility = Application
Language = English
This file could not be saved. Do you want to discard changes?
.

MessageId = 454
Severity = Success
Facility = Application
Language = English
Do you want to save changes to file %1?
.

MessageId = 455
Severity = Success
Facility = Application
Language = English
An occur occurred while attempting to save this file.
.

MessageId = 456
Severity = Success
Facility = Application
Language = English
%1 in %2
.

MessageId = 457
Severity = Success
Facility = Application
Language = English
An error occurred while attempting to activate the server.
.

MessageId = 458
Severity = Success
Facility = Application
Language = English
In place %1
.

MessageId = 459
Severity = Success
Facility = Application
Language = English
.

MessageId = 460
Severity = Success
Facility = Application
Language = English
.

MessageId = 461
Severity = Success
Facility = Application
Language = English
.

MessageId = 462
Severity = Success
Facility = Application
Language = English
.

MessageId = 463
Severity = Success
Facility = Application
Language = English
.

MessageId = 464
Severity = Success
Facility = Application
Language = English
.

MessageId = 465
Severity = Success
Facility = Application
Language = English
.

MessageId = 466
Severity = Success
Facility = Application
Language = English
.

MessageId = 467
Severity = Success
Facility = Application
Language = English
.

MessageId = 468
Severity = Success
Facility = Application
Language = English
.

MessageId = 469
Severity = Success
Facility = Application
Language = English
.

MessageId = 470
Severity = Success
Facility = Application
Language = English
.

MessageId = 471
Severity = Success
Facility = Application
Language = English
.

MessageId = 472
Severity = Success
Facility = Application
Language = English
.

MessageId = 473
Severity = Success
Facility = Application
Language = English
.

MessageId = 474
Severity = Success
Facility = Application
Language = English
.

MessageId = 475
Severity = Success
Facility = Application
Language = English
.

MessageId = 476
Severity = Success
Facility = Application
Language = English
.

MessageId = 477
Severity = Success
Facility = Application
Language = English
.

MessageId = 478
Severity = Success
Facility = Application
Language = English
.

MessageId = 479
Severity = Success
Facility = Application
Language = English
.

MessageId = 480
Severity = Success
Facility = Application
Language = English
.

MessageId = 481
Severity = Success
Facility = Application
Language = English
.

MessageId = 482
Severity = Success
Facility = Application
Language = English
.

MessageId = 483
Severity = Success
Facility = Application
Language = English
.

MessageId = 484
Severity = Success
Facility = Application
Language = English
.

MessageId = 485
Severity = Success
Facility = Application
Language = English
.

MessageId = 486
Severity = Success
Facility = Application
Language = English
.

MessageId = 487
Severity = Success
Facility = Application
Language = English
.

MessageId = 488
Severity = Success
Facility = Application
Language = English
.

MessageId = 489
Severity = Success
Facility = Application
Language = English
.

MessageId = 490
Severity = Success
Facility = Application
Language = English
.

MessageId = 491
Severity = Success
Facility = Application
Language = English
.

MessageId = 492
Severity = Success
Facility = Application
Language = English
.

MessageId = 493
Severity = Success
Facility = Application
Language = English
.

MessageId = 494
Severity = Success
Facility = Application
Language = English
.

MessageId = 495
Severity = Success
Facility = Application
Language = English
.

MessageId = 496
Severity = Success
Facility = Application
Language = English
.

MessageId = 497
Severity = Success
Facility = Application
Language = English
.

MessageId = 498
Severity = Success
Facility = Application
Language = English
.

MessageId = 499
Severity = Success
Facility = Application
Language = English
.

