/**********************************************************************
*                                                                     *
*  IBM(R) VisualAge(TM) for C++ for Windows(R), Version 3.5           *
*                                                                     *
*  PID: 5622-880                                                      *
*  - Licensed Material - Program-Property of IBM                      *
*  (C) Copyright IBM Corp. 1991, 1995 - All Right Reserved.           *
*                                                                     *
*  US Government Users Restricted Rights - Use, duplication or        *
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  *
*                                                                     *
*  VisualAge, and IBM are trademarks or registered trademarks of      *
*  International Business Machines Corporation.                       *
*  Windows is a registered trademark of Microsoft Corporation.        *
*                                                                     *
**********************************************************************/

// ----------------
// IMapOnKeySetImpl
// ----------------

// public members

template <class Base>
inline void
IMapOnKeySetImpl <Base>::
operator= (IMapOnKeySetImpl <Base> const& collection)
{ BaseOf (*this).Base::operator= (BaseOf (collection));
}
#if defined (__LIB_BUILD__)

// protected members

template <class Base>
inline IBoolean
IMapOnKeySetImpl <Base>::
EqualElements (void const* element1, void const* element2) const
{ return OpsOf (*this).EqualElements (element1, element2);
}

// private members

template <class Base>
inline Base&
IMapOnKeySetImpl <Base>::
BaseOf (IMapOnKeySetImpl <Base> const& collection)
{ return collection.ivBase;
}

template <class Base>
inline IMapOnKeySetImpl <Base>::Ops&
IMapOnKeySetImpl <Base>::
OpsOf (IMapOnKeySetImpl <Base> const& collection)
{ return (Ops&) Inherited::OpsOf (collection);
}
#endif

// ----------------
// IAMapOnKeySetOps
// ----------------

// public members

template <class Base>
inline
IAMapOnKeySetOps <Base>::
~IAMapOnKeySetOps ()
{
}
