#ifdef __MVS__
                   ??=ifdef __COMPILER_VER__
                     ??=pragma filetag("IBM-1047")
                   ??=endif
                   #pragma nomargins nosequence
                   #pragma checkout(suspend)
#endif

#ifndef _IVBASE_
#define _IVBASE_
/*******************************************************************************
* FILE NAME: ivbase.hpp                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IVBase                                                                   *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>

#pragma pack(4)

class ostream;

#if defined (__SOM_ENABLED__)
#if defined (__RRBC_LIB__)
#pragma SOMAsDefault (on)
#else
#pragma SOMAsDefault (off)
#endif
#endif

class IString;

class IVBase : public IBase {
public:
/*--------------------------- Constructors -----------------------------------*/
virtual
 ~IVBase         ( );

/*--------------------------- Diagnostics ------------------------------------*/
friend ostream
 &operator <<    ( ostream      &aStream,
                   const IVBase &anObject );

virtual IString
  asString       ( ) const,
  asDebugInfo    ( ) const;


#if defined (__SOM_ENABLED__ ) && defined (__RRBC_LIB__)

#pragma SOMClassVersion  (*, 3, 0)

#pragma SOMReleaseOrder( \
/*   1 */       asString() const,\
/*   2 */       asDebugInfo() const)

#endif    // SOM_ENABLED & RRBC_LIB

}; // IVBase


#if defined (__SOM_ENABLED__)
#pragma SOMAsDefault (pop)
#endif

#pragma pack()

#endif /* _IVBASE_ */

#ifdef __MVS__
                   #pragma checkout(resume)
#endif

