/* NOSHIP */
/*****************************************************************************
 *
 * Class: CAswPersistStorageImpl
 *
 * (C) Copyright Lotus Development Coporation 1994, 1996. All Rights Reserved.
 *
 * Description:
 *    Implmentation of the IPersistStorage interface for CAswObjectInstance
 *
 *****************************************************************************/

#ifndef ASIPSTG_H
#define ASIPSTG_H
#include <aspack.h>
class CAswPersistStorageImpl : public CAswIPersistStorage
{
public:
   CAswPersistStorageImpl(PASWCONTROL         pCtl,
                          PASWCOMBASE         pCOMBase,
                          PASWOBJECTINSTANCE  pObjInstance);
   ~CAswPersistStorageImpl(void);
   CAswResult Setup (void);
   CAswResult virtual Shutdown (BOOL fEmergency = FALSE);
   STDMETHOD(GetClassID) (LPCLSID lpClassID);
   STDMETHOD(IsDirty) (void);
   STDMETHOD(InitNew) (LPSTORAGE pStg);
   STDMETHOD(Load) (LPSTORAGE pStg);
   STDMETHOD(Save) (LPSTORAGE pStgSave, BOOL fSameAsLoad);
   STDMETHOD(SaveCompleted) (LPSTORAGE pStgNew);
   STDMETHOD(HandsOffStorage) (void);
private:
   BOOL ResetStorage(void);
   PASWOBJECTINSTANCE const   m_pObjInstance;
   CAswStorage                m_AswStorage;
   BOOL                       m_fSameAsLoad;
   BOOL                       m_fNoScribbleMode;
   BOOL                       m_fSetupAlready;
};
#include <aspop.h>
#endif 
